/*
 * Internal module API header file.
 *
 * Generated by SIP 4.7.6 on Sat Jul 19 09:12:37 2008
 *
 * Copyright (c) 2008 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of QScintilla.
 * 
 * This file may be used under the terms of the GNU General Public
 * License versions 2.0 or 3.0 as published by the Free Software
 * Foundation and appearing in the files LICENSE.GPL2 and LICENSE.GPL3
 * included in the packaging of this file.  Alternatively you may (at
 * your option) use any later version of the GNU General Public
 * License if such license has been publicly approved by Riverbank
 * Computing Limited (or its successors, if any) and the KDE Free Qt
 * Foundation. In addition, as a special exception, Riverbank gives you
 * certain additional rights. These rights are described in the Riverbank
 * GPL Exception version 1.1, which can be found in the file
 * GPL_EXCEPTION.txt in this package.
 * 
 * Please review the following information to ensure GNU General
 * Public Licensing requirements will be met:
 * http://trolltech.com/products/qt/licenses/licensing/opensource/. If
 * you are unsure which license is appropriate for your use, please
 * review the following information:
 * http://trolltech.com/products/qt/licenses/licensing/licensingoverview
 * or contact the sales department at sales@riverbankcomputing.com.
 * 
 * This file is provided "AS IS" with NO WARRANTY OF ANY KIND,
 * INCLUDING THE WARRANTIES OF DESIGN, MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE. Trolltech reserves all rights not expressly
 * granted herein.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QsciAPI_H
#define _QsciAPI_H


#include <sip.h>

#include <QMetaType>

/* These are the features that are enabled. */
#define SIP_FEATURE_Qsci_Qt4


#define SIP_FEATURE_PyQt_OpenSSL
#define SIP_FEATURE_Py_DateTime
#define SIP_FEATURE_PyQt_NoQtPrintRangeBug
#define SIP_FEATURE_PyQt_WhatsThis
#define SIP_FEATURE_PyQt_ToolTip
#define SIP_FEATURE_PyQt_StatusTip
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility


/*
 * Convenient names to refer to the names of classes defined in this module.
 * These are part of the public API.
 */
#define sipName_QsciPrinter  sipNm_Qsci_QsciPrinter
#define sipName_QsciMacro  sipNm_Qsci_QsciMacro
#define sipName_QsciLexerVHDL  sipNm_Qsci_QsciLexerVHDL
#define sipName_QsciLexerTeX  sipNm_Qsci_QsciLexerTeX
#define sipName_QsciLexerSQL  sipNm_Qsci_QsciLexerSQL
#define sipName_QsciLexerRuby  sipNm_Qsci_QsciLexerRuby
#define sipName_QsciLexerPython  sipNm_Qsci_QsciLexerPython
#define sipName_QsciLexerProperties  sipNm_Qsci_QsciLexerProperties
#define sipName_QsciLexerPOV  sipNm_Qsci_QsciLexerPOV
#define sipName_QsciLexerPerl  sipNm_Qsci_QsciLexerPerl
#define sipName_QsciLexerMakefile  sipNm_Qsci_QsciLexerMakefile
#define sipName_QsciLexerLua  sipNm_Qsci_QsciLexerLua
#define sipName_QsciLexerJavaScript  sipNm_Qsci_QsciLexerJavaScript
#define sipName_QsciLexerJava  sipNm_Qsci_QsciLexerJava
#define sipName_QsciLexerIDL  sipNm_Qsci_QsciLexerIDL
#define sipName_QsciLexerHTML  sipNm_Qsci_QsciLexerHTML
#define sipName_QsciLexerDiff  sipNm_Qsci_QsciLexerDiff
#define sipName_QsciLexerD  sipNm_Qsci_QsciLexerD
#define sipName_QsciLexerCSS  sipNm_Qsci_QsciLexerCSS
#define sipName_QsciLexerCSharp  sipNm_Qsci_QsciLexerCSharp
#define sipName_QsciLexerCPP  sipNm_Qsci_QsciLexerCPP
#define sipName_QsciLexerCMake  sipNm_Qsci_QsciLexerCMake
#define sipName_QsciLexerBatch  sipNm_Qsci_QsciLexerBatch
#define sipName_QsciLexerBash  sipNm_Qsci_QsciLexerBash
#define sipName_QsciLexer  sipNm_Qsci_QsciLexer
#define sipName_QsciDocument  sipNm_Qsci_QsciDocument
#define sipName_QsciCommandSet  sipNm_Qsci_QsciCommandSet
#define sipName_QsciCommand  sipNm_Qsci_QsciCommand
#define sipName_QsciAPIs  sipNm_Qsci_QsciAPIs
#define sipName_QsciScintillaBase  sipNm_Qsci_QsciScintillaBase
#define sipName_QsciScintilla  sipNm_Qsci_QsciScintilla

/* Convenient names to call the SIP API. */
#define sipConvertFromSliceObject(o,len,start,stop,step,slen)   PySlice_GetIndicesEx((PySliceObject *)(o),(len),(start),(stop),(step),(slen))
#define sipIsSubClassInstance(o,wt) PyObject_TypeCheck((o),(PyTypeObject *)(wt))

#define sipMapStringToClass         sipAPI_Qsci->api_map_string_to_class
#define sipMapIntToClass            sipAPI_Qsci->api_map_int_to_class
#define sipMalloc                   sipAPI_Qsci->api_malloc
#define sipFree                     sipAPI_Qsci->api_free
#define sipBuildResult              sipAPI_Qsci->api_build_result
#define sipCallMethod               sipAPI_Qsci->api_call_method
#define sipParseResult              sipAPI_Qsci->api_parse_result
#define sipParseArgs                sipAPI_Qsci->api_parse_args
#define sipParsePair                sipAPI_Qsci->api_parse_pair
#define sipCommonCtor               sipAPI_Qsci->api_common_ctor
#define sipCommonDtor               sipAPI_Qsci->api_common_dtor
#define sipConvertFromSequenceIndex sipAPI_Qsci->api_convert_from_sequence_index
#define sipConvertFromVoidPtr       sipAPI_Qsci->api_convert_from_void_ptr
#define sipConvertToCpp             sipAPI_Qsci->api_convert_to_cpp
#define sipConvertToVoidPtr         sipAPI_Qsci->api_convert_to_void_ptr
#define sipNoFunction               sipAPI_Qsci->api_no_function
#define sipNoMethod                 sipAPI_Qsci->api_no_method
#define sipAbstractMethod           sipAPI_Qsci->api_abstract_method
#define sipBadClass                 sipAPI_Qsci->api_bad_class
#define sipBadSetType               sipAPI_Qsci->api_bad_set_type
#define sipBadCatcherResult         sipAPI_Qsci->api_bad_catcher_result
#define sipBadOperatorArg           sipAPI_Qsci->api_bad_operator_arg
#define sipTrace                    sipAPI_Qsci->api_trace
#define sipTransfer                 sipAPI_Qsci->api_transfer
#define sipTransferBack             sipAPI_Qsci->api_transfer_back
#define sipTransferTo               sipAPI_Qsci->api_transfer_to
#define sipTransferBreak            sipAPI_Qsci->api_transfer_break
#define sipWrapper_Check            sipAPI_Qsci->api_wrapper_check
#define sipGetWrapper               sipAPI_Qsci->api_get_wrapper
#define sipGetCppPtr                sipAPI_Qsci->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_Qsci->api_get_complex_cpp_ptr
#define sipIsPyMethod               sipAPI_Qsci->api_is_py_method
#define sipCallHook                 sipAPI_Qsci->api_call_hook
#define sipStartThread              sipAPI_Qsci->api_start_thread
#define sipEndThread                sipAPI_Qsci->api_end_thread
#define sipEmitSignal               sipAPI_Qsci->api_emit_signal
#define sipConnectRx                sipAPI_Qsci->api_connect_rx
#define sipDisconnectRx             sipAPI_Qsci->api_disconnect_rx
#define sipGetSender                sipAPI_Qsci->api_get_sender
#define sipRaiseUnknownException    sipAPI_Qsci->api_raise_unknown_exception
#define sipRaiseClassException      sipAPI_Qsci->api_raise_class_exception
#define sipRaiseSubClassException   sipAPI_Qsci->api_raise_sub_class_exception
#define sipBadLengthForSlice        sipAPI_Qsci->api_bad_length_for_slice
#define sipClassName                sipAPI_Qsci->api_class_name
#define sipAddClassInstance         sipAPI_Qsci->api_add_class_instance
#define sipAddMappedTypeInstance    sipAPI_Qsci->api_add_mapped_type_instance
#define sipAddEnumInstance          sipAPI_Qsci->api_add_enum_instance
#define sipConvertFromNamedEnum     sipAPI_Qsci->api_convert_from_named_enum
#define sipGetAddress               sipAPI_Qsci->api_get_address
#define sipFreeConnection           sipAPI_Qsci->api_free_connection
#define sipEmitToSlot               sipAPI_Qsci->api_emit_to_slot
#define sipSameConnection           sipAPI_Qsci->api_same_connection
#define sipPySlotExtend             sipAPI_Qsci->api_pyslot_extend
#define sipConvertRx                sipAPI_Qsci->api_convert_rx
#define sipAddDelayedDtor           sipAPI_Qsci->api_add_delayed_dtor
#define sipCanConvertToInstance     sipAPI_Qsci->api_can_convert_to_instance
#define sipCanConvertToMappedType   sipAPI_Qsci->api_can_convert_to_mapped_type
#define sipConvertToInstance        sipAPI_Qsci->api_convert_to_instance
#define sipConvertToMappedType      sipAPI_Qsci->api_convert_to_mapped_type
#define sipForceConvertToInstance   sipAPI_Qsci->api_force_convert_to_instance
#define sipForceConvertToMappedType sipAPI_Qsci->api_force_convert_to_mapped_type
#define sipReleaseInstance          sipAPI_Qsci->api_release_instance
#define sipReleaseMappedType        sipAPI_Qsci->api_release_mapped_type
#define sipConvertFromInstance      sipAPI_Qsci->api_convert_from_instance
#define sipConvertFromNewInstance   sipAPI_Qsci->api_convert_from_new_instance
#define sipConvertFromMappedType    sipAPI_Qsci->api_convert_from_mapped_type
#define sipGetState                 sipAPI_Qsci->api_get_state
#define sipFindMappedType           sipAPI_Qsci->api_find_mapped_type
#define sipLong_AsUnsignedLong      sipAPI_Qsci->api_long_as_unsigned_long
#define sipExportSymbol             sipAPI_Qsci->api_export_symbol
#define sipImportSymbol             sipAPI_Qsci->api_import_symbol
#define sipRegisterIntTypes         sipAPI_Qsci->api_register_int_types
#define sipParseSignature           sipAPI_Qsci->api_parse_signature
#define sipFindClass                sipAPI_Qsci->api_find_class
#define sipFindNamedEnum            sipAPI_Qsci->api_find_named_enum
#define sipString_AsChar            sipAPI_Qsci->api_string_as_char
#define sipUnicode_AsWChar          sipAPI_Qsci->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_Qsci->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_Qsci->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_Qsci->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_Qsci->api_convert_from_const_void_ptr_and_size
#define sipInvokeSlot               sipAPI_Qsci->api_invoke_slot
#define sipParseType                sipAPI_Qsci->api_parse_type
#define sipIsExactWrappedType       sipAPI_Qsci->api_is_exact_wrapped_type
#define sipAssignInstance           sipAPI_Qsci->api_assign_instance
#define sipAssignMappedType         sipAPI_Qsci->api_assign_mapped_type

/* The strings used by this module. */
extern char sipNm_Qsci_SCN_ZOOM[];
extern char sipNm_Qsci_SCN_USERLISTSELECTION[];
extern char sipNm_Qsci_SCN_UPDATEUI[];
extern char sipNm_Qsci_SCN_STYLENEEDED[];
extern char sipNm_Qsci_SCN_SAVEPOINTREACHED[];
extern char sipNm_Qsci_SCN_SAVEPOINTLEFT[];
extern char sipNm_Qsci_SCN_PAINTED[];
extern char sipNm_Qsci_SCN_NEEDSHOWN[];
extern char sipNm_Qsci_SCN_MODIFYATTEMPTRO[];
extern char sipNm_Qsci_SCN_MODIFIED[];
extern char sipNm_Qsci_SCN_MARGINCLICK[];
extern char sipNm_Qsci_SCN_MACRORECORD[];
extern char sipNm_Qsci_SCN_INDICATORRELEASE[];
extern char sipNm_Qsci_SCN_INDICATORCLICK[];
extern char sipNm_Qsci_SCN_HOTSPOTDOUBLECLICK[];
extern char sipNm_Qsci_SCN_HOTSPOTCLICK[];
extern char sipNm_Qsci_SCN_DWELLSTART[];
extern char sipNm_Qsci_SCN_DWELLEND[];
extern char sipNm_Qsci_SCN_DOUBLECLICK[];
extern char sipNm_Qsci_SCN_CHARADDED[];
extern char sipNm_Qsci_SCN_CALLTIPCLICK[];
extern char sipNm_Qsci_SCN_AUTOCSELECTION[];
extern char sipNm_Qsci_SCEN_CHANGE[];
extern char sipNm_Qsci_QSCN_SELCHANGED[];
extern char sipNm_Qsci_SendScintillaPtrResult[];
extern char sipNm_Qsci_SendScintilla[];
extern char sipNm_Qsci_pool[];
extern char sipNm_Qsci_SCLEX_R[];
extern char sipNm_Qsci_SCLEX_ASYMPTOTE[];
extern char sipNm_Qsci_SCLEX_ABAQUS[];
extern char sipNm_Qsci_SCLEX_PROGRESS[];
extern char sipNm_Qsci_SCLEX_PLM[];
extern char sipNm_Qsci_SCLEX_GAP[];
extern char sipNm_Qsci_SCLEX_CMAKE[];
extern char sipNm_Qsci_SCLEX_D[];
extern char sipNm_Qsci_SCLEX_SPICE[];
extern char sipNm_Qsci_SCLEX_OPAL[];
extern char sipNm_Qsci_SCLEX_INNOSETUP[];
extern char sipNm_Qsci_SCLEX_FREEBASIC[];
extern char sipNm_Qsci_SCLEX_CSOUND[];
extern char sipNm_Qsci_SCLEX_FLAGSHIP[];
extern char sipNm_Qsci_SCLEX_SMALLTALK[];
extern char sipNm_Qsci_SCLEX_REBOL[];
extern char sipNm_Qsci_SCLEX_TADS3[];
extern char sipNm_Qsci_SCLEX_PHPSCRIPT[];
extern char sipNm_Qsci_SCLEX_HASKELL[];
extern char sipNm_Qsci_SCLEX_PUREBASIC[];
extern char sipNm_Qsci_SCLEX_BLITZBASIC[];
extern char sipNm_Qsci_SCLEX_CAML[];
extern char sipNm_Qsci_SCLEX_VHDL[];
extern char sipNm_Qsci_SCLEX_ASN1[];
extern char sipNm_Qsci_SCLEX_BASH[];
extern char sipNm_Qsci_SCLEX_APDL[];
extern char sipNm_Qsci_SCLEX_AU3[];
extern char sipNm_Qsci_SCLEX_SPECMAN[];
extern char sipNm_Qsci_SCLEX_GUI4CLI[];
extern char sipNm_Qsci_SCLEX_KIX[];
extern char sipNm_Qsci_SCLEX_VERILOG[];
extern char sipNm_Qsci_SCLEX_MSSQL[];
extern char sipNm_Qsci_SCLEX_OCTAVE[];
extern char sipNm_Qsci_SCLEX_ERLANG[];
extern char sipNm_Qsci_SCLEX_FORTH[];
extern char sipNm_Qsci_SCLEX_POWERBASIC[];
extern char sipNm_Qsci_SCLEX_METAPOST[];
extern char sipNm_Qsci_SCLEX_TEX[];
extern char sipNm_Qsci_SCLEX_YAML[];
extern char sipNm_Qsci_SCLEX_LOT[];
extern char sipNm_Qsci_SCLEX_CLWNOCASE[];
extern char sipNm_Qsci_SCLEX_CLW[];
extern char sipNm_Qsci_SCLEX_MMIXAL[];
extern char sipNm_Qsci_SCLEX_NSIS[];
extern char sipNm_Qsci_SCLEX_PS[];
extern char sipNm_Qsci_SCLEX_ESCRIPT[];
extern char sipNm_Qsci_SCLEX_LOUT[];
extern char sipNm_Qsci_SCLEX_POV[];
extern char sipNm_Qsci_SCLEX_CSS[];
extern char sipNm_Qsci_SCLEX_F77[];
extern char sipNm_Qsci_SCLEX_FORTRAN[];
extern char sipNm_Qsci_SCLEX_CPPNOCASE[];
extern char sipNm_Qsci_SCLEX_ASM[];
extern char sipNm_Qsci_SCLEX_SCRIPTOL[];
extern char sipNm_Qsci_SCLEX_MATLAB[];
extern char sipNm_Qsci_SCLEX_BAAN[];
extern char sipNm_Qsci_SCLEX_PHP[];
extern char sipNm_Qsci_SCLEX_ASP[];
extern char sipNm_Qsci_SCLEX_VBSCRIPT[];
extern char sipNm_Qsci_SCLEX_BULLANT[];
extern char sipNm_Qsci_SCLEX_NNCRONTAB[];
extern char sipNm_Qsci_SCLEX_TCL[];
extern char sipNm_Qsci_SCLEX_EIFFELKW[];
extern char sipNm_Qsci_SCLEX_EIFFEL[];
extern char sipNm_Qsci_SCLEX_RUBY[];
extern char sipNm_Qsci_SCLEX_LISP[];
extern char sipNm_Qsci_SCLEX_ADA[];
extern char sipNm_Qsci_SCLEX_AVE[];
extern char sipNm_Qsci_SCLEX_PASCAL[];
extern char sipNm_Qsci_SCLEX_CONF[];
extern char sipNm_Qsci_SCLEX_DIFF[];
extern char sipNm_Qsci_SCLEX_LUA[];
extern char sipNm_Qsci_SCLEX_LATEX[];
extern char sipNm_Qsci_SCLEX_BATCH[];
extern char sipNm_Qsci_SCLEX_MAKEFILE[];
extern char sipNm_Qsci_SCLEX_ERRORLIST[];
extern char sipNm_Qsci_SCLEX_PROPERTIES[];
extern char sipNm_Qsci_SCLEX_VB[];
extern char sipNm_Qsci_SCLEX_SQL[];
extern char sipNm_Qsci_SCLEX_PERL[];
extern char sipNm_Qsci_SCLEX_XML[];
extern char sipNm_Qsci_SCLEX_HTML[];
extern char sipNm_Qsci_SCLEX_CPP[];
extern char sipNm_Qsci_SCLEX_PYTHON[];
extern char sipNm_Qsci_SCLEX_NULL[];
extern char sipNm_Qsci_SCLEX_CONTAINER[];
extern char sipNm_Qsci_SCMOD_ALT[];
extern char sipNm_Qsci_SCMOD_CTRL[];
extern char sipNm_Qsci_SCMOD_SHIFT[];
extern char sipNm_Qsci_SCMOD_NORM[];
extern char sipNm_Qsci_SCK_MENU[];
extern char sipNm_Qsci_SCK_RWIN[];
extern char sipNm_Qsci_SCK_WIN[];
extern char sipNm_Qsci_SCK_DIVIDE[];
extern char sipNm_Qsci_SCK_SUBTRACT[];
extern char sipNm_Qsci_SCK_ADD[];
extern char sipNm_Qsci_SCK_RETURN[];
extern char sipNm_Qsci_SCK_TAB[];
extern char sipNm_Qsci_SCK_BACK[];
extern char sipNm_Qsci_SCK_ESCAPE[];
extern char sipNm_Qsci_SCK_INSERT[];
extern char sipNm_Qsci_SCK_DELETE[];
extern char sipNm_Qsci_SCK_NEXT[];
extern char sipNm_Qsci_SCK_PRIOR[];
extern char sipNm_Qsci_SCK_END[];
extern char sipNm_Qsci_SCK_HOME[];
extern char sipNm_Qsci_SCK_RIGHT[];
extern char sipNm_Qsci_SCK_LEFT[];
extern char sipNm_Qsci_SCK_UP[];
extern char sipNm_Qsci_SCK_DOWN[];
extern char sipNm_Qsci_SC_MODEVENTMASKALL[];
extern char sipNm_Qsci_SC_MOD_CHANGELINESTATE[];
extern char sipNm_Qsci_SC_MOD_CHANGEINDICATOR[];
extern char sipNm_Qsci_SC_STARTACTION[];
extern char sipNm_Qsci_SC_MULTILINEUNDOREDO[];
extern char sipNm_Qsci_SC_MOD_BEFOREDELETE[];
extern char sipNm_Qsci_SC_MOD_BEFOREINSERT[];
extern char sipNm_Qsci_SC_MOD_CHANGEMARKER[];
extern char sipNm_Qsci_SC_LASTSTEPINUNDOREDO[];
extern char sipNm_Qsci_SC_MULTISTEPUNDOREDO[];
extern char sipNm_Qsci_SC_PERFORMED_REDO[];
extern char sipNm_Qsci_SC_PERFORMED_UNDO[];
extern char sipNm_Qsci_SC_PERFORMED_USER[];
extern char sipNm_Qsci_SC_MOD_CHANGEFOLD[];
extern char sipNm_Qsci_SC_MOD_CHANGESTYLE[];
extern char sipNm_Qsci_SC_MOD_DELETETEXT[];
extern char sipNm_Qsci_SC_MOD_INSERTTEXT[];
extern char sipNm_Qsci_CARETSTYLE_BLOCK[];
extern char sipNm_Qsci_CARETSTYLE_LINE[];
extern char sipNm_Qsci_CARETSTYLE_INVISIBLE[];
extern char sipNm_Qsci_CARET_EVEN[];
extern char sipNm_Qsci_CARET_JUMPS[];
extern char sipNm_Qsci_CARET_STRICT[];
extern char sipNm_Qsci_CARET_SLOP[];
extern char sipNm_Qsci_VISIBLE_STRICT[];
extern char sipNm_Qsci_VISIBLE_SLOP[];
extern char sipNm_Qsci_SC_CURSORWAIT[];
extern char sipNm_Qsci_SC_CURSORNORMAL[];
extern char sipNm_Qsci_EDGE_BACKGROUND[];
extern char sipNm_Qsci_EDGE_LINE[];
extern char sipNm_Qsci_EDGE_NONE[];
extern char sipNm_Qsci_SC_CACHE_DOCUMENT[];
extern char sipNm_Qsci_SC_CACHE_PAGE[];
extern char sipNm_Qsci_SC_CACHE_CARET[];
extern char sipNm_Qsci_SC_CACHE_NONE[];
extern char sipNm_Qsci_SC_WRAP_CHAR[];
extern char sipNm_Qsci_SC_WRAP_WORD[];
extern char sipNm_Qsci_SC_WRAP_NONE[];
extern char sipNm_Qsci_SC_TIME_FOREVER[];
extern char sipNm_Qsci_SC_FOLDFLAG_LEVELNUMBERS[];
extern char sipNm_Qsci_SC_FOLDFLAG_LINEAFTER_CONTRACTED[];
extern char sipNm_Qsci_SC_FOLDFLAG_LINEAFTER_EXPANDED[];
extern char sipNm_Qsci_SC_FOLDFLAG_LINEBEFORE_CONTRACTED[];
extern char sipNm_Qsci_SC_FOLDFLAG_LINEBEFORE_EXPANDED[];
extern char sipNm_Qsci_SC_FOLDFLAG_BOX[];
extern char sipNm_Qsci_SC_FOLDLEVELNUMBERMASK[];
extern char sipNm_Qsci_SC_FOLDLEVELUNINDENT[];
extern char sipNm_Qsci_SC_FOLDLEVELCONTRACTED[];
extern char sipNm_Qsci_SC_FOLDLEVELBOXFOOTERFLAG[];
extern char sipNm_Qsci_SC_FOLDLEVELBOXHEADERFLAG[];
extern char sipNm_Qsci_SC_FOLDLEVELHEADERFLAG[];
extern char sipNm_Qsci_SC_FOLDLEVELWHITEFLAG[];
extern char sipNm_Qsci_SC_FOLDLEVELBASE[];
extern char sipNm_Qsci_SCFIND_POSIX[];
extern char sipNm_Qsci_SCFIND_REGEXP[];
extern char sipNm_Qsci_SCFIND_WORDSTART[];
extern char sipNm_Qsci_SCFIND_MATCHCASE[];
extern char sipNm_Qsci_SCFIND_WHOLEWORD[];
extern char sipNm_Qsci_SC_PRINT_COLOURONWHITEDEFAULTBG[];
extern char sipNm_Qsci_SC_PRINT_COLOURONWHITE[];
extern char sipNm_Qsci_SC_PRINT_BLACKONWHITE[];
extern char sipNm_Qsci_SC_PRINT_INVERTLIGHT[];
extern char sipNm_Qsci_SC_PRINT_NORMAL[];
extern char sipNm_Qsci_INDICS_MASK[];
extern char sipNm_Qsci_INDIC2_MASK[];
extern char sipNm_Qsci_INDIC1_MASK[];
extern char sipNm_Qsci_INDIC0_MASK[];
extern char sipNm_Qsci_INDIC_CONTAINER[];
extern char sipNm_Qsci_INDIC_ROUNDBOX[];
extern char sipNm_Qsci_INDIC_BOX[];
extern char sipNm_Qsci_INDIC_HIDDEN[];
extern char sipNm_Qsci_INDIC_STRIKE[];
extern char sipNm_Qsci_INDIC_DIAGONAL[];
extern char sipNm_Qsci_INDIC_TT[];
extern char sipNm_Qsci_INDIC_SQUIGGLE[];
extern char sipNm_Qsci_INDIC_PLAIN[];
extern char sipNm_Qsci_INDIC_MAX[];
extern char sipNm_Qsci_SC_IV_LOOKBOTH[];
extern char sipNm_Qsci_SC_IV_LOOKFORWARD[];
extern char sipNm_Qsci_SC_IV_REAL[];
extern char sipNm_Qsci_SC_IV_NONE[];
extern char sipNm_Qsci_SC_CASE_LOWER[];
extern char sipNm_Qsci_SC_CASE_UPPER[];
extern char sipNm_Qsci_SC_CASE_MIXED[];
extern char sipNm_Qsci_SC_CHARSET_8859_15[];
extern char sipNm_Qsci_SC_CHARSET_THAI[];
extern char sipNm_Qsci_SC_CHARSET_VIETNAMESE[];
extern char sipNm_Qsci_SC_CHARSET_ARABIC[];
extern char sipNm_Qsci_SC_CHARSET_HEBREW[];
extern char sipNm_Qsci_SC_CHARSET_JOHAB[];
extern char sipNm_Qsci_SC_CHARSET_TURKISH[];
extern char sipNm_Qsci_SC_CHARSET_SYMBOL[];
extern char sipNm_Qsci_SC_CHARSET_SHIFTJIS[];
extern char sipNm_Qsci_SC_CHARSET_RUSSIAN[];
extern char sipNm_Qsci_SC_CHARSET_OEM[];
extern char sipNm_Qsci_SC_CHARSET_MAC[];
extern char sipNm_Qsci_SC_CHARSET_HANGUL[];
extern char sipNm_Qsci_SC_CHARSET_GREEK[];
extern char sipNm_Qsci_SC_CHARSET_GB2312[];
extern char sipNm_Qsci_SC_CHARSET_EASTEUROPE[];
extern char sipNm_Qsci_SC_CHARSET_CHINESEBIG5[];
extern char sipNm_Qsci_SC_CHARSET_BALTIC[];
extern char sipNm_Qsci_SC_CHARSET_DEFAULT[];
extern char sipNm_Qsci_SC_CHARSET_ANSI[];
extern char sipNm_Qsci_STYLE_MAX[];
extern char sipNm_Qsci_STYLE_LASTPREDEFINED[];
extern char sipNm_Qsci_STYLE_CALLTIP[];
extern char sipNm_Qsci_STYLE_INDENTGUIDE[];
extern char sipNm_Qsci_STYLE_CONTROLCHAR[];
extern char sipNm_Qsci_STYLE_BRACEBAD[];
extern char sipNm_Qsci_STYLE_BRACELIGHT[];
extern char sipNm_Qsci_STYLE_LINENUMBER[];
extern char sipNm_Qsci_STYLE_DEFAULT[];
extern char sipNm_Qsci_SC_MARGIN_FORE[];
extern char sipNm_Qsci_SC_MARGIN_BACK[];
extern char sipNm_Qsci_SC_MARGIN_NUMBER[];
extern char sipNm_Qsci_SC_MARGIN_SYMBOL[];
extern char sipNm_Qsci_SC_MASK_FOLDERS[];
extern char sipNm_Qsci_SC_MARKNUM_FOLDEROPEN[];
extern char sipNm_Qsci_SC_MARKNUM_FOLDER[];
extern char sipNm_Qsci_SC_MARKNUM_FOLDERSUB[];
extern char sipNm_Qsci_SC_MARKNUM_FOLDERTAIL[];
extern char sipNm_Qsci_SC_MARKNUM_FOLDERMIDTAIL[];
extern char sipNm_Qsci_SC_MARKNUM_FOLDEROPENMID[];
extern char sipNm_Qsci_SC_MARKNUM_FOLDEREND[];
extern char sipNm_Qsci_SC_MARK_CHARACTER[];
extern char sipNm_Qsci_SC_MARK_FULLRECT[];
extern char sipNm_Qsci_SC_MARK_PIXMAP[];
extern char sipNm_Qsci_SC_MARK_ARROWS[];
extern char sipNm_Qsci_SC_MARK_DOTDOTDOT[];
extern char sipNm_Qsci_SC_MARK_BACKGROUND[];
extern char sipNm_Qsci_SC_MARK_CIRCLEMINUSCONNECTED[];
extern char sipNm_Qsci_SC_MARK_CIRCLEMINUS[];
extern char sipNm_Qsci_SC_MARK_CIRCLEPLUSCONNECTED[];
extern char sipNm_Qsci_SC_MARK_CIRCLEPLUS[];
extern char sipNm_Qsci_SC_MARK_TCORNERCURVE[];
extern char sipNm_Qsci_SC_MARK_LCORNERCURVE[];
extern char sipNm_Qsci_SC_MARK_BOXMINUSCONNECTED[];
extern char sipNm_Qsci_SC_MARK_BOXMINUS[];
extern char sipNm_Qsci_SC_MARK_BOXPLUSCONNECTED[];
extern char sipNm_Qsci_SC_MARK_BOXPLUS[];
extern char sipNm_Qsci_SC_MARK_TCORNER[];
extern char sipNm_Qsci_SC_MARK_LCORNER[];
extern char sipNm_Qsci_SC_MARK_VLINE[];
extern char sipNm_Qsci_SC_MARK_PLUS[];
extern char sipNm_Qsci_SC_MARK_MINUS[];
extern char sipNm_Qsci_SC_MARK_ARROWDOWN[];
extern char sipNm_Qsci_SC_MARK_EMPTY[];
extern char sipNm_Qsci_SC_MARK_SHORTARROW[];
extern char sipNm_Qsci_SC_MARK_SMALLRECT[];
extern char sipNm_Qsci_SC_MARK_ARROW[];
extern char sipNm_Qsci_SC_MARK_ROUNDRECT[];
extern char sipNm_Qsci_SC_MARK_CIRCLE[];
extern char sipNm_Qsci_SC_CP_UTF8[];
extern char sipNm_Qsci_SC_CP_DBCS[];
extern char sipNm_Qsci_SC_EOL_LF[];
extern char sipNm_Qsci_SC_EOL_CR[];
extern char sipNm_Qsci_SC_EOL_CRLF[];
extern char sipNm_Qsci_SCWS_VISIBLEAFTERINDENT[];
extern char sipNm_Qsci_SCWS_VISIBLEALWAYS[];
extern char sipNm_Qsci_SCWS_INVISIBLE[];
extern char sipNm_Qsci_SC_SEL_LINES[];
extern char sipNm_Qsci_SC_SEL_RECTANGLE[];
extern char sipNm_Qsci_SC_SEL_STREAM[];
extern char sipNm_Qsci_SC_WRAPVISUALFLAGLOC_START_BY_TEXT[];
extern char sipNm_Qsci_SC_WRAPVISUALFLAGLOC_END_BY_TEXT[];
extern char sipNm_Qsci_SC_WRAPVISUALFLAGLOC_DEFAULT[];
extern char sipNm_Qsci_SC_WRAPVISUALFLAG_START[];
extern char sipNm_Qsci_SC_WRAPVISUALFLAG_END[];
extern char sipNm_Qsci_SC_WRAPVISUALFLAG_NONE[];
extern char sipNm_Qsci_SC_ALPHA_NOALPHA[];
extern char sipNm_Qsci_SC_ALPHA_OPAQUE[];
extern char sipNm_Qsci_SC_ALPHA_TRANSPARENT[];
extern char sipNm_Qsci_SCI_GETSTYLEBITSNEEDED[];
extern char sipNm_Qsci_SCI_GETPROPERTYINT[];
extern char sipNm_Qsci_SCI_GETPROPERTYEXPANDED[];
extern char sipNm_Qsci_SCI_GETPROPERTY[];
extern char sipNm_Qsci_SCI_LOADLEXERLIBRARY[];
extern char sipNm_Qsci_SCI_SETLEXERLANGUAGE[];
extern char sipNm_Qsci_SCI_SETKEYWORDS[];
extern char sipNm_Qsci_SCI_SETPROPERTY[];
extern char sipNm_Qsci_SCI_COLOURISE[];
extern char sipNm_Qsci_SCI_GETLEXER[];
extern char sipNm_Qsci_SCI_SETLEXER[];
extern char sipNm_Qsci_SCI_STOPRECORD[];
extern char sipNm_Qsci_SCI_STARTRECORD[];
extern char sipNm_Qsci_SCI_DELWORDRIGHTEND[];
extern char sipNm_Qsci_SCI_GETSCROLLWIDTHTRACKING[];
extern char sipNm_Qsci_SCI_SETSCROLLWIDTHTRACKING[];
extern char sipNm_Qsci_SCI_GETPOSITIONCACHE[];
extern char sipNm_Qsci_SCI_SETPOSITIONCACHE[];
extern char sipNm_Qsci_SCI_GETCARETSTYLE[];
extern char sipNm_Qsci_SCI_SETCARETSTYLE[];
extern char sipNm_Qsci_SCI_INDICGETUNDER[];
extern char sipNm_Qsci_SCI_INDICSETUNDER[];
extern char sipNm_Qsci_SCI_INDICATOREND[];
extern char sipNm_Qsci_SCI_INDICATORSTART[];
extern char sipNm_Qsci_SCI_INDICATORVALUEAT[];
extern char sipNm_Qsci_SCI_INDICATORALLONFOR[];
extern char sipNm_Qsci_SCI_INDICATORCLEARRANGE[];
extern char sipNm_Qsci_SCI_INDICATORFILLRANGE[];
extern char sipNm_Qsci_SCI_GETINDICATORVALUE[];
extern char sipNm_Qsci_SCI_SETINDICATORVALUE[];
extern char sipNm_Qsci_SCI_GETINDICATORCURRENT[];
extern char sipNm_Qsci_SCI_SETINDICATORCURRENT[];
extern char sipNm_Qsci_SCI_GETHOTSPOTSINGLELINE[];
extern char sipNm_Qsci_SCI_GETHOTSPOTACTIVEUNDERLINE[];
extern char sipNm_Qsci_SCI_GETHOTSPOTACTIVEBACK[];
extern char sipNm_Qsci_SCI_GETHOTSPOTACTIVEFORE[];
extern char sipNm_Qsci_SCI_STYLEGETHOTSPOT[];
extern char sipNm_Qsci_SCI_STYLEGETCHANGEABLE[];
extern char sipNm_Qsci_SCI_STYLEGETVISIBLE[];
extern char sipNm_Qsci_SCI_STYLEGETCHARACTERSET[];
extern char sipNm_Qsci_SCI_STYLEGETCASE[];
extern char sipNm_Qsci_SCI_STYLEGETUNDERLINE[];
extern char sipNm_Qsci_SCI_STYLEGETEOLFILLED[];
extern char sipNm_Qsci_SCI_STYLEGETFONT[];
extern char sipNm_Qsci_SCI_STYLEGETSIZE[];
extern char sipNm_Qsci_SCI_STYLEGETITALIC[];
extern char sipNm_Qsci_SCI_STYLEGETBOLD[];
extern char sipNm_Qsci_SCI_STYLEGETBACK[];
extern char sipNm_Qsci_SCI_STYLEGETFORE[];
extern char sipNm_Qsci_SCI_SETSELEOLFILLED[];
extern char sipNm_Qsci_SCI_GETSELEOLFILLED[];
extern char sipNm_Qsci_SCI_SETSELALPHA[];
extern char sipNm_Qsci_SCI_GETSELALPHA[];
extern char sipNm_Qsci_SCI_MARKERSETALPHA[];
extern char sipNm_Qsci_SCI_GETCARETLINEBACKALPHA[];
extern char sipNm_Qsci_SCI_SETCARETLINEBACKALPHA[];
extern char sipNm_Qsci_SCI_SELECTIONDUPLICATE[];
extern char sipNm_Qsci_SCI_GETPASTECONVERTENDINGS[];
extern char sipNm_Qsci_SCI_SETPASTECONVERTENDINGS[];
extern char sipNm_Qsci_SCI_MARKERADDSET[];
extern char sipNm_Qsci_SCI_GETWRAPSTARTINDENT[];
extern char sipNm_Qsci_SCI_SETWRAPSTARTINDENT[];
extern char sipNm_Qsci_SCI_GETWRAPVISUALFLAGSLOCATION[];
extern char sipNm_Qsci_SCI_SETWRAPVISUALFLAGSLOCATION[];
extern char sipNm_Qsci_SCI_GETWRAPVISUALFLAGS[];
extern char sipNm_Qsci_SCI_SETWRAPVISUALFLAGS[];
extern char sipNm_Qsci_SCI_TOGGLECARETSTICKY[];
extern char sipNm_Qsci_SCI_SETCARETSTICKY[];
extern char sipNm_Qsci_SCI_GETCARETSTICKY[];
extern char sipNm_Qsci_SCI_FINDCOLUMN[];
extern char sipNm_Qsci_SCI_LINECOPY[];
extern char sipNm_Qsci_SCI_VCHOMEWRAPEXTEND[];
extern char sipNm_Qsci_SCI_VCHOMEWRAP[];
extern char sipNm_Qsci_SCI_LINEENDWRAPEXTEND[];
extern char sipNm_Qsci_SCI_LINEENDWRAP[];
extern char sipNm_Qsci_SCI_HOMEWRAPEXTEND[];
extern char sipNm_Qsci_SCI_HOMEWRAP[];
extern char sipNm_Qsci_SCI_ALLOCATE[];
extern char sipNm_Qsci_SCI_AUTOCGETCURRENT[];
extern char sipNm_Qsci_SCI_SETCHARSDEFAULT[];
extern char sipNm_Qsci_SCI_SETWHITESPACECHARS[];
extern char sipNm_Qsci_SCI_WORDRIGHTENDEXTEND[];
extern char sipNm_Qsci_SCI_WORDRIGHTEND[];
extern char sipNm_Qsci_SCI_WORDLEFTENDEXTEND[];
extern char sipNm_Qsci_SCI_WORDLEFTEND[];
extern char sipNm_Qsci_SCI_STUTTEREDPAGEDOWNEXTEND[];
extern char sipNm_Qsci_SCI_STUTTEREDPAGEDOWN[];
extern char sipNm_Qsci_SCI_STUTTEREDPAGEUPEXTEND[];
extern char sipNm_Qsci_SCI_STUTTEREDPAGEUP[];
extern char sipNm_Qsci_SCI_PAGEDOWNRECTEXTEND[];
extern char sipNm_Qsci_SCI_PAGEUPRECTEXTEND[];
extern char sipNm_Qsci_SCI_LINEENDRECTEXTEND[];
extern char sipNm_Qsci_SCI_VCHOMERECTEXTEND[];
extern char sipNm_Qsci_SCI_HOMERECTEXTEND[];
extern char sipNm_Qsci_SCI_CHARRIGHTRECTEXTEND[];
extern char sipNm_Qsci_SCI_CHARLEFTRECTEXTEND[];
extern char sipNm_Qsci_SCI_LINEUPRECTEXTEND[];
extern char sipNm_Qsci_SCI_LINEDOWNRECTEXTEND[];
extern char sipNm_Qsci_SCI_GETLINESELENDPOSITION[];
extern char sipNm_Qsci_SCI_GETLINESELSTARTPOSITION[];
extern char sipNm_Qsci_SCI_GETSELECTIONMODE[];
extern char sipNm_Qsci_SCI_SETSELECTIONMODE[];
extern char sipNm_Qsci_SCI_COPYTEXT[];
extern char sipNm_Qsci_SCI_COPYRANGE[];
extern char sipNm_Qsci_SCI_POSITIONAFTER[];
extern char sipNm_Qsci_SCI_POSITIONBEFORE[];
extern char sipNm_Qsci_SCI_PARAUPEXTEND[];
extern char sipNm_Qsci_SCI_PARAUP[];
extern char sipNm_Qsci_SCI_PARADOWNEXTEND[];
extern char sipNm_Qsci_SCI_PARADOWN[];
extern char sipNm_Qsci_SCI_SETHOTSPOTACTIVEUNDERLINE[];
extern char sipNm_Qsci_SCI_SETHOTSPOTACTIVEBACK[];
extern char sipNm_Qsci_SCI_SETHOTSPOTACTIVEFORE[];
extern char sipNm_Qsci_SCI_STYLESETHOTSPOT[];
extern char sipNm_Qsci_SCI_CLEARREGISTEREDIMAGES[];
extern char sipNm_Qsci_SCI_GETPRINTWRAPMODE[];
extern char sipNm_Qsci_SCI_SETPRINTWRAPMODE[];
extern char sipNm_Qsci_SCI_REGISTERIMAGE[];
extern char sipNm_Qsci_SCI_LINEDUPLICATE[];
extern char sipNm_Qsci_SCI_SETYCARETPOLICY[];
extern char sipNm_Qsci_SCI_SETXCARETPOLICY[];
extern char sipNm_Qsci_SCI_GRABFOCUS[];
extern char sipNm_Qsci_SCI_CHOOSECARETX[];
extern char sipNm_Qsci_SCI_GETXOFFSET[];
extern char sipNm_Qsci_SCI_SETXOFFSET[];
extern char sipNm_Qsci_SCI_DELLINERIGHT[];
extern char sipNm_Qsci_SCI_DELLINELEFT[];
extern char sipNm_Qsci_SCI_SETVISIBLEPOLICY[];
extern char sipNm_Qsci_SCI_WORDPARTRIGHTEXTEND[];
extern char sipNm_Qsci_SCI_WORDPARTRIGHT[];
extern char sipNm_Qsci_SCI_WORDPARTLEFTEXTEND[];
extern char sipNm_Qsci_SCI_WORDPARTLEFT[];
extern char sipNm_Qsci_SCI_GETCONTROLCHARSYMBOL[];
extern char sipNm_Qsci_SCI_SETCONTROLCHARSYMBOL[];
extern char sipNm_Qsci_SCI_GETCURSOR[];
extern char sipNm_Qsci_SCI_SETCURSOR[];
extern char sipNm_Qsci_SCI_GETMOUSEDOWNCAPTURES[];
extern char sipNm_Qsci_SCI_SETMOUSEDOWNCAPTURES[];
extern char sipNm_Qsci_SCI_GETSTATUS[];
extern char sipNm_Qsci_SCI_SETSTATUS[];
extern char sipNm_Qsci_SCI_GETFOCUS[];
extern char sipNm_Qsci_SCI_SETFOCUS[];
extern char sipNm_Qsci_SCI_GETMODEVENTMASK[];
extern char sipNm_Qsci_SCI_RELEASEDOCUMENT[];
extern char sipNm_Qsci_SCI_ADDREFDOCUMENT[];
extern char sipNm_Qsci_SCI_CREATEDOCUMENT[];
extern char sipNm_Qsci_SCI_GETZOOM[];
extern char sipNm_Qsci_SCI_SETZOOM[];
extern char sipNm_Qsci_SCI_SELECTIONISRECTANGLE[];
extern char sipNm_Qsci_SCI_USEPOPUP[];
extern char sipNm_Qsci_SCI_LINESONSCREEN[];
extern char sipNm_Qsci_SCI_SEARCHPREV[];
extern char sipNm_Qsci_SCI_SEARCHNEXT[];
extern char sipNm_Qsci_SCI_SEARCHANCHOR[];
extern char sipNm_Qsci_SCI_SETEDGECOLOUR[];
extern char sipNm_Qsci_SCI_GETEDGECOLOUR[];
extern char sipNm_Qsci_SCI_SETEDGEMODE[];
extern char sipNm_Qsci_SCI_GETEDGEMODE[];
extern char sipNm_Qsci_SCI_SETEDGECOLUMN[];
extern char sipNm_Qsci_SCI_GETEDGECOLUMN[];
extern char sipNm_Qsci_SCI_SETMODEVENTMASK[];
extern char sipNm_Qsci_SCI_SETDOCPOINTER[];
extern char sipNm_Qsci_SCI_GETDOCPOINTER[];
extern char sipNm_Qsci_SCI_SETVIEWEOL[];
extern char sipNm_Qsci_SCI_GETVIEWEOL[];
extern char sipNm_Qsci_SCI_BRACEMATCH[];
extern char sipNm_Qsci_SCI_BRACEBADLIGHT[];
extern char sipNm_Qsci_SCI_BRACEHIGHLIGHT[];
extern char sipNm_Qsci_SCI_LINELENGTH[];
extern char sipNm_Qsci_SCI_MOVECARETINSIDEVIEW[];
extern char sipNm_Qsci_SCI_LINEENDDISPLAYEXTEND[];
extern char sipNm_Qsci_SCI_LINEENDDISPLAY[];
extern char sipNm_Qsci_SCI_HOMEDISPLAYEXTEND[];
extern char sipNm_Qsci_SCI_HOMEDISPLAY[];
extern char sipNm_Qsci_SCI_DELETEBACKNOTLINE[];
extern char sipNm_Qsci_SCI_LINESCROLLUP[];
extern char sipNm_Qsci_SCI_LINESCROLLDOWN[];
extern char sipNm_Qsci_SCI_UPPERCASE[];
extern char sipNm_Qsci_SCI_LOWERCASE[];
extern char sipNm_Qsci_SCI_LINETRANSPOSE[];
extern char sipNm_Qsci_SCI_LINEDELETE[];
extern char sipNm_Qsci_SCI_LINECUT[];
extern char sipNm_Qsci_SCI_DELWORDRIGHT[];
extern char sipNm_Qsci_SCI_DELWORDLEFT[];
extern char sipNm_Qsci_SCI_ZOOMOUT[];
extern char sipNm_Qsci_SCI_ZOOMIN[];
extern char sipNm_Qsci_SCI_VCHOMEEXTEND[];
extern char sipNm_Qsci_SCI_VCHOME[];
extern char sipNm_Qsci_SCI_FORMFEED[];
extern char sipNm_Qsci_SCI_NEWLINE[];
extern char sipNm_Qsci_SCI_BACKTAB[];
extern char sipNm_Qsci_SCI_TAB[];
extern char sipNm_Qsci_SCI_DELETEBACK[];
extern char sipNm_Qsci_SCI_CANCEL[];
extern char sipNm_Qsci_SCI_EDITTOGGLEOVERTYPE[];
extern char sipNm_Qsci_SCI_PAGEDOWNEXTEND[];
extern char sipNm_Qsci_SCI_PAGEDOWN[];
extern char sipNm_Qsci_SCI_PAGEUPEXTEND[];
extern char sipNm_Qsci_SCI_PAGEUP[];
extern char sipNm_Qsci_SCI_DOCUMENTENDEXTEND[];
extern char sipNm_Qsci_SCI_DOCUMENTEND[];
extern char sipNm_Qsci_SCI_DOCUMENTSTARTEXTEND[];
extern char sipNm_Qsci_SCI_DOCUMENTSTART[];
extern char sipNm_Qsci_SCI_LINEENDEXTEND[];
extern char sipNm_Qsci_SCI_LINEEND[];
extern char sipNm_Qsci_SCI_HOMEEXTEND[];
extern char sipNm_Qsci_SCI_HOME[];
extern char sipNm_Qsci_SCI_WORDRIGHTEXTEND[];
extern char sipNm_Qsci_SCI_WORDRIGHT[];
extern char sipNm_Qsci_SCI_WORDLEFTEXTEND[];
extern char sipNm_Qsci_SCI_WORDLEFT[];
extern char sipNm_Qsci_SCI_CHARRIGHTEXTEND[];
extern char sipNm_Qsci_SCI_CHARRIGHT[];
extern char sipNm_Qsci_SCI_CHARLEFTEXTEND[];
extern char sipNm_Qsci_SCI_CHARLEFT[];
extern char sipNm_Qsci_SCI_LINEUPEXTEND[];
extern char sipNm_Qsci_SCI_LINEUP[];
extern char sipNm_Qsci_SCI_LINEDOWNEXTEND[];
extern char sipNm_Qsci_SCI_LINEDOWN[];
extern char sipNm_Qsci_SCI_SETFOLDMARGINHICOLOUR[];
extern char sipNm_Qsci_SCI_SETFOLDMARGINCOLOUR[];
extern char sipNm_Qsci_SCI_LINESSPLIT[];
extern char sipNm_Qsci_SCI_LINESJOIN[];
extern char sipNm_Qsci_SCI_TARGETFROMSELECTION[];
extern char sipNm_Qsci_SCI_AUTOCSETTYPESEPARATOR[];
extern char sipNm_Qsci_SCI_AUTOCGETTYPESEPARATOR[];
extern char sipNm_Qsci_SCI_SETTWOPHASEDRAW[];
extern char sipNm_Qsci_SCI_GETTWOPHASEDRAW[];
extern char sipNm_Qsci_SCI_APPENDTEXT[];
extern char sipNm_Qsci_SCI_GETVSCROLLBAR[];
extern char sipNm_Qsci_SCI_SETVSCROLLBAR[];
extern char sipNm_Qsci_SCI_TEXTHEIGHT[];
extern char sipNm_Qsci_SCI_GETENDATLASTLINE[];
extern char sipNm_Qsci_SCI_SETENDATLASTLINE[];
extern char sipNm_Qsci_SCI_TEXTWIDTH[];
extern char sipNm_Qsci_SCI_GETSCROLLWIDTH[];
extern char sipNm_Qsci_SCI_SETSCROLLWIDTH[];
extern char sipNm_Qsci_SCI_GETLAYOUTCACHE[];
extern char sipNm_Qsci_SCI_SETLAYOUTCACHE[];
extern char sipNm_Qsci_SCI_GETWRAPMODE[];
extern char sipNm_Qsci_SCI_SETWRAPMODE[];
extern char sipNm_Qsci_SCI_WORDENDPOSITION[];
extern char sipNm_Qsci_SCI_WORDSTARTPOSITION[];
extern char sipNm_Qsci_SCI_GETMOUSEDWELLTIME[];
extern char sipNm_Qsci_SCI_SETMOUSEDWELLTIME[];
extern char sipNm_Qsci_SCI_GETBACKSPACEUNINDENTS[];
extern char sipNm_Qsci_SCI_SETBACKSPACEUNINDENTS[];
extern char sipNm_Qsci_SCI_GETTABINDENTS[];
extern char sipNm_Qsci_SCI_SETTABINDENTS[];
extern char sipNm_Qsci_SCI_WRAPCOUNT[];
extern char sipNm_Qsci_SCI_ENSUREVISIBLEENFORCEPOLICY[];
extern char sipNm_Qsci_SCI_SETFOLDFLAGS[];
extern char sipNm_Qsci_SCI_ENSUREVISIBLE[];
extern char sipNm_Qsci_SCI_TOGGLEFOLD[];
extern char sipNm_Qsci_SCI_GETFOLDEXPANDED[];
extern char sipNm_Qsci_SCI_SETFOLDEXPANDED[];
extern char sipNm_Qsci_SCI_GETLINEVISIBLE[];
extern char sipNm_Qsci_SCI_HIDELINES[];
extern char sipNm_Qsci_SCI_SHOWLINES[];
extern char sipNm_Qsci_SCI_GETFOLDPARENT[];
extern char sipNm_Qsci_SCI_GETLASTCHILD[];
extern char sipNm_Qsci_SCI_GETFOLDLEVEL[];
extern char sipNm_Qsci_SCI_SETFOLDLEVEL[];
extern char sipNm_Qsci_SCI_DOCLINEFROMVISIBLE[];
extern char sipNm_Qsci_SCI_VISIBLEFROMDOCLINE[];
extern char sipNm_Qsci_SCI_CALLTIPUSESTYLE[];
extern char sipNm_Qsci_SCI_AUTOCGETMAXHEIGHT[];
extern char sipNm_Qsci_SCI_AUTOCSETMAXHEIGHT[];
extern char sipNm_Qsci_SCI_AUTOCGETMAXWIDTH[];
extern char sipNm_Qsci_SCI_AUTOCSETMAXWIDTH[];
extern char sipNm_Qsci_SCI_CALLTIPSETFOREHLT[];
extern char sipNm_Qsci_SCI_CALLTIPSETFORE[];
extern char sipNm_Qsci_SCI_CALLTIPSETBACK[];
extern char sipNm_Qsci_SCI_CALLTIPSETHLT[];
extern char sipNm_Qsci_SCI_CALLTIPPOSSTART[];
extern char sipNm_Qsci_SCI_CALLTIPACTIVE[];
extern char sipNm_Qsci_SCI_CALLTIPCANCEL[];
extern char sipNm_Qsci_SCI_CALLTIPSHOW[];
extern char sipNm_Qsci_SCI_GETSEARCHFLAGS[];
extern char sipNm_Qsci_SCI_SETSEARCHFLAGS[];
extern char sipNm_Qsci_SCI_SEARCHINTARGET[];
extern char sipNm_Qsci_SCI_REPLACETARGETRE[];
extern char sipNm_Qsci_SCI_REPLACETARGET[];
extern char sipNm_Qsci_SCI_GETTARGETEND[];
extern char sipNm_Qsci_SCI_SETTARGETEND[];
extern char sipNm_Qsci_SCI_GETTARGETSTART[];
extern char sipNm_Qsci_SCI_SETTARGETSTART[];
extern char sipNm_Qsci_SCI_GETCARETWIDTH[];
extern char sipNm_Qsci_SCI_SETCARETWIDTH[];
extern char sipNm_Qsci_SCI_GETOVERTYPE[];
extern char sipNm_Qsci_SCI_SETOVERTYPE[];
extern char sipNm_Qsci_SCI_GETDIRECTPOINTER[];
extern char sipNm_Qsci_SCI_GETDIRECTFUNCTION[];
extern char sipNm_Qsci_SCI_GETTEXTLENGTH[];
extern char sipNm_Qsci_SCI_GETTEXT[];
extern char sipNm_Qsci_SCI_SETTEXT[];
extern char sipNm_Qsci_SCI_CLEAR[];
extern char sipNm_Qsci_SCI_PASTE[];
extern char sipNm_Qsci_SCI_COPY[];
extern char sipNm_Qsci_SCI_CUT[];
extern char sipNm_Qsci_SCI_UNDO[];
extern char sipNm_Qsci_SCI_EMPTYUNDOBUFFER[];
extern char sipNm_Qsci_SCI_CANUNDO[];
extern char sipNm_Qsci_SCI_CANPASTE[];
extern char sipNm_Qsci_SCI_NULL[];
extern char sipNm_Qsci_SCI_SETREADONLY[];
extern char sipNm_Qsci_SCI_REPLACESEL[];
extern char sipNm_Qsci_SCI_SCROLLCARET[];
extern char sipNm_Qsci_SCI_LINESCROLL[];
extern char sipNm_Qsci_SCI_POSITIONFROMLINE[];
extern char sipNm_Qsci_SCI_LINEFROMPOSITION[];
extern char sipNm_Qsci_SCI_POINTYFROMPOSITION[];
extern char sipNm_Qsci_SCI_POINTXFROMPOSITION[];
extern char sipNm_Qsci_SCI_HIDESELECTION[];
extern char sipNm_Qsci_SCI_GETTEXTRANGE[];
extern char sipNm_Qsci_SCI_GETSELTEXT[];
extern char sipNm_Qsci_SCI_SETSEL[];
extern char sipNm_Qsci_SCI_GETMODIFY[];
extern char sipNm_Qsci_SCI_GETMARGINRIGHT[];
extern char sipNm_Qsci_SCI_SETMARGINRIGHT[];
extern char sipNm_Qsci_SCI_GETMARGINLEFT[];
extern char sipNm_Qsci_SCI_SETMARGINLEFT[];
extern char sipNm_Qsci_SCI_GETLINECOUNT[];
extern char sipNm_Qsci_SCI_GETLINE[];
extern char sipNm_Qsci_SCI_GETFIRSTVISIBLELINE[];
extern char sipNm_Qsci_SCI_FORMATRANGE[];
extern char sipNm_Qsci_SCI_FINDTEXT[];
extern char sipNm_Qsci_SCI_GETPRINTCOLOURMODE[];
extern char sipNm_Qsci_SCI_SETPRINTCOLOURMODE[];
extern char sipNm_Qsci_SCI_GETPRINTMAGNIFICATION[];
extern char sipNm_Qsci_SCI_SETPRINTMAGNIFICATION[];
extern char sipNm_Qsci_SCI_GETSELECTIONEND[];
extern char sipNm_Qsci_SCI_SETSELECTIONEND[];
extern char sipNm_Qsci_SCI_GETSELECTIONSTART[];
extern char sipNm_Qsci_SCI_SETSELECTIONSTART[];
extern char sipNm_Qsci_SCI_SETCURRENTPOS[];
extern char sipNm_Qsci_SCI_GETREADONLY[];
extern char sipNm_Qsci_SCI_GETUSEPALETTE[];
extern char sipNm_Qsci_SCI_GETCARETFORE[];
extern char sipNm_Qsci_SCI_GETCODEPAGE[];
extern char sipNm_Qsci_SCI_GETLINEENDPOSITION[];
extern char sipNm_Qsci_SCI_GETHIGHLIGHTGUIDE[];
extern char sipNm_Qsci_SCI_SETHIGHLIGHTGUIDE[];
extern char sipNm_Qsci_SCI_GETINDENTATIONGUIDES[];
extern char sipNm_Qsci_SCI_SETINDENTATIONGUIDES[];
extern char sipNm_Qsci_SCI_GETHSCROLLBAR[];
extern char sipNm_Qsci_SCI_SETHSCROLLBAR[];
extern char sipNm_Qsci_SCI_GETCOLUMN[];
extern char sipNm_Qsci_SCI_GETLINEINDENTPOSITION[];
extern char sipNm_Qsci_SCI_GETLINEINDENTATION[];
extern char sipNm_Qsci_SCI_SETLINEINDENTATION[];
extern char sipNm_Qsci_SCI_GETUSETABS[];
extern char sipNm_Qsci_SCI_SETUSETABS[];
extern char sipNm_Qsci_SCI_GETINDENT[];
extern char sipNm_Qsci_SCI_SETINDENT[];
extern char sipNm_Qsci_SCI_AUTOCGETDROPRESTOFWORD[];
extern char sipNm_Qsci_SCI_AUTOCSETDROPRESTOFWORD[];
extern char sipNm_Qsci_SCI_AUTOCGETAUTOHIDE[];
extern char sipNm_Qsci_SCI_AUTOCSETAUTOHIDE[];
extern char sipNm_Qsci_SCI_USERLISTSHOW[];
extern char sipNm_Qsci_SCI_AUTOCGETIGNORECASE[];
extern char sipNm_Qsci_SCI_AUTOCSETIGNORECASE[];
extern char sipNm_Qsci_SCI_AUTOCGETCHOOSESINGLE[];
extern char sipNm_Qsci_SCI_AUTOCSETCHOOSESINGLE[];
extern char sipNm_Qsci_SCI_AUTOCSETFILLUPS[];
extern char sipNm_Qsci_SCI_AUTOCGETCANCELATSTART[];
extern char sipNm_Qsci_SCI_AUTOCSETCANCELATSTART[];
extern char sipNm_Qsci_SCI_AUTOCSELECT[];
extern char sipNm_Qsci_SCI_AUTOCGETSEPARATOR[];
extern char sipNm_Qsci_SCI_AUTOCSETSEPARATOR[];
extern char sipNm_Qsci_SCI_AUTOCSTOPS[];
extern char sipNm_Qsci_SCI_AUTOCCOMPLETE[];
extern char sipNm_Qsci_SCI_AUTOCPOSSTART[];
extern char sipNm_Qsci_SCI_AUTOCACTIVE[];
extern char sipNm_Qsci_SCI_AUTOCCANCEL[];
extern char sipNm_Qsci_SCI_AUTOCSHOW[];
extern char sipNm_Qsci_SCI_STYLESETCHANGEABLE[];
extern char sipNm_Qsci_SCI_SETCARETLINEBACK[];
extern char sipNm_Qsci_SCI_GETCARETLINEBACK[];
extern char sipNm_Qsci_SCI_SETCARETLINEVISIBLE[];
extern char sipNm_Qsci_SCI_GETCARETLINEVISIBLE[];
extern char sipNm_Qsci_SCI_GETMAXLINESTATE[];
extern char sipNm_Qsci_SCI_GETLINESTATE[];
extern char sipNm_Qsci_SCI_SETLINESTATE[];
extern char sipNm_Qsci_SCI_GETSTYLEBITS[];
extern char sipNm_Qsci_SCI_SETSTYLEBITS[];
extern char sipNm_Qsci_SCI_SETWHITESPACEBACK[];
extern char sipNm_Qsci_SCI_SETWHITESPACEFORE[];
extern char sipNm_Qsci_SCI_INDICGETFORE[];
extern char sipNm_Qsci_SCI_INDICSETFORE[];
extern char sipNm_Qsci_SCI_INDICGETSTYLE[];
extern char sipNm_Qsci_SCI_INDICSETSTYLE[];
extern char sipNm_Qsci_SCI_ENDUNDOACTION[];
extern char sipNm_Qsci_SCI_BEGINUNDOACTION[];
extern char sipNm_Qsci_SCI_SETWORDCHARS[];
extern char sipNm_Qsci_SCI_SETCARETPERIOD[];
extern char sipNm_Qsci_SCI_GETCARETPERIOD[];
extern char sipNm_Qsci_SCI_STYLESETVISIBLE[];
extern char sipNm_Qsci_SCI_SETSTYLINGEX[];
extern char sipNm_Qsci_SCI_CLEARALLCMDKEYS[];
extern char sipNm_Qsci_SCI_CLEARCMDKEY[];
extern char sipNm_Qsci_SCI_ASSIGNCMDKEY[];
extern char sipNm_Qsci_SCI_SETCARETFORE[];
extern char sipNm_Qsci_SCI_SETSELBACK[];
extern char sipNm_Qsci_SCI_SETSELFORE[];
extern char sipNm_Qsci_SCI_STYLESETCHARACTERSET[];
extern char sipNm_Qsci_SCI_STYLESETCASE[];
extern char sipNm_Qsci_SCI_STYLESETUNDERLINE[];
extern char sipNm_Qsci_SCI_STYLERESETDEFAULT[];
extern char sipNm_Qsci_SCI_STYLESETEOLFILLED[];
extern char sipNm_Qsci_SCI_STYLESETFONT[];
extern char sipNm_Qsci_SCI_STYLESETSIZE[];
extern char sipNm_Qsci_SCI_STYLESETITALIC[];
extern char sipNm_Qsci_SCI_STYLESETBOLD[];
extern char sipNm_Qsci_SCI_STYLESETBACK[];
extern char sipNm_Qsci_SCI_STYLESETFORE[];
extern char sipNm_Qsci_SCI_STYLECLEARALL[];
extern char sipNm_Qsci_SCI_GETMARGINSENSITIVEN[];
extern char sipNm_Qsci_SCI_SETMARGINSENSITIVEN[];
extern char sipNm_Qsci_SCI_GETMARGINMASKN[];
extern char sipNm_Qsci_SCI_SETMARGINMASKN[];
extern char sipNm_Qsci_SCI_GETMARGINWIDTHN[];
extern char sipNm_Qsci_SCI_SETMARGINWIDTHN[];
extern char sipNm_Qsci_SCI_GETMARGINTYPEN[];
extern char sipNm_Qsci_SCI_SETMARGINTYPEN[];
extern char sipNm_Qsci_SCI_MARKERDEFINEPIXMAP[];
extern char sipNm_Qsci_SCI_MARKERPREVIOUS[];
extern char sipNm_Qsci_SCI_MARKERNEXT[];
extern char sipNm_Qsci_SCI_MARKERGET[];
extern char sipNm_Qsci_SCI_MARKERDELETEALL[];
extern char sipNm_Qsci_SCI_MARKERDELETE[];
extern char sipNm_Qsci_SCI_MARKERADD[];
extern char sipNm_Qsci_SCI_MARKERSETBACK[];
extern char sipNm_Qsci_SCI_MARKERSETFORE[];
extern char sipNm_Qsci_SCI_MARKERDEFINE[];
extern char sipNm_Qsci_SCI_SETUSEPALETTE[];
extern char sipNm_Qsci_SCI_SETCODEPAGE[];
extern char sipNm_Qsci_SCI_GETTABWIDTH[];
extern char sipNm_Qsci_SCI_SETTABWIDTH[];
extern char sipNm_Qsci_SCI_SETBUFFEREDDRAW[];
extern char sipNm_Qsci_SCI_GETBUFFEREDDRAW[];
extern char sipNm_Qsci_SCI_SETSTYLING[];
extern char sipNm_Qsci_SCI_STARTSTYLING[];
extern char sipNm_Qsci_SCI_SETEOLMODE[];
extern char sipNm_Qsci_SCI_GETEOLMODE[];
extern char sipNm_Qsci_SCI_CONVERTEOLS[];
extern char sipNm_Qsci_SCI_GETENDSTYLED[];
extern char sipNm_Qsci_SCI_GETCURLINE[];
extern char sipNm_Qsci_SCI_SETANCHOR[];
extern char sipNm_Qsci_SCI_GOTOPOS[];
extern char sipNm_Qsci_SCI_GOTOLINE[];
extern char sipNm_Qsci_SCI_POSITIONFROMPOINTCLOSE[];
extern char sipNm_Qsci_SCI_POSITIONFROMPOINT[];
extern char sipNm_Qsci_SCI_SETVIEWWS[];
extern char sipNm_Qsci_SCI_GETVIEWWS[];
extern char sipNm_Qsci_SCI_GETUNDOCOLLECTION[];
extern char sipNm_Qsci_SCI_MARKERDELETEHANDLE[];
extern char sipNm_Qsci_SCI_MARKERLINEFROMHANDLE[];
extern char sipNm_Qsci_SCI_CANREDO[];
extern char sipNm_Qsci_SCI_GETSTYLEDTEXT[];
extern char sipNm_Qsci_SCI_SETSAVEPOINT[];
extern char sipNm_Qsci_SCI_SELECTALL[];
extern char sipNm_Qsci_SCI_SETUNDOCOLLECTION[];
extern char sipNm_Qsci_SCI_REDO[];
extern char sipNm_Qsci_SCI_GETSTYLEAT[];
extern char sipNm_Qsci_SCI_GETANCHOR[];
extern char sipNm_Qsci_SCI_GETCURRENTPOS[];
extern char sipNm_Qsci_SCI_GETCHARAT[];
extern char sipNm_Qsci_SCI_GETLENGTH[];
extern char sipNm_Qsci_SCI_CLEARDOCUMENTSTYLE[];
extern char sipNm_Qsci_SCI_CLEARALL[];
extern char sipNm_Qsci_SCI_INSERTTEXT[];
extern char sipNm_Qsci_SCI_ADDSTYLEDTEXT[];
extern char sipNm_Qsci_SCI_ADDTEXT[];
extern char sipNm_Qsci_SCI_LEXER_START[];
extern char sipNm_Qsci_SCI_OPTIONAL_START[];
extern char sipNm_Qsci_SCI_START[];
extern char sipNm_Qsci_setMagnification[];
extern char sipNm_Qsci_magnification[];
extern char sipNm_Qsci_formatPage[];
extern char sipNm_Qsci_QsciPrinter[];
extern char sipNm_Qsci_endRecording[];
extern char sipNm_Qsci_startRecording[];
extern char sipNm_Qsci_QsciMacro[];
extern char sipNm_Qsci_setFoldAtParenthesis[];
extern char sipNm_Qsci_setFoldAtBegin[];
extern char sipNm_Qsci_foldAtParenthesis[];
extern char sipNm_Qsci_foldAtBegin[];
extern char sipNm_Qsci_StandardType[];
extern char sipNm_Qsci_StandardPackage[];
extern char sipNm_Qsci_StandardFunction[];
extern char sipNm_Qsci_StandardOperator[];
extern char sipNm_Qsci_QsciLexerVHDL[];
extern char sipNm_Qsci_Group[];
extern char sipNm_Qsci_Special[];
extern char sipNm_Qsci_QsciLexerTeX[];
extern char sipNm_Qsci_setBackslashEscapes[];
extern char sipNm_Qsci_backslashEscapes[];
extern char sipNm_Qsci_KeywordSet5[];
extern char sipNm_Qsci_CommentLineHash[];
extern char sipNm_Qsci_PlusComment[];
extern char sipNm_Qsci_PlusPrompt[];
extern char sipNm_Qsci_PlusKeyword[];
extern char sipNm_Qsci_QsciLexerSQL[];
extern char sipNm_Qsci_Stderr[];
extern char sipNm_Qsci_Stdout[];
extern char sipNm_Qsci_Stdin[];
extern char sipNm_Qsci_DemotedKeyword[];
extern char sipNm_Qsci_PercentStringw[];
extern char sipNm_Qsci_PercentStringr[];
extern char sipNm_Qsci_PercentStringx[];
extern char sipNm_Qsci_PercentStringQ[];
extern char sipNm_Qsci_PercentStringq[];
extern char sipNm_Qsci_HereDocument[];
extern char sipNm_Qsci_ClassVariable[];
extern char sipNm_Qsci_InstanceVariable[];
extern char sipNm_Qsci_ModuleName[];
extern char sipNm_Qsci_Global[];
extern char sipNm_Qsci_QsciLexerRuby[];
extern char sipNm_Qsci_setIndentationWarning[];
extern char sipNm_Qsci_setFoldQuotes[];
extern char sipNm_Qsci_indentationWarning[];
extern char sipNm_Qsci_foldQuotes[];
extern char sipNm_Qsci_Tabs[];
extern char sipNm_Qsci_Spaces[];
extern char sipNm_Qsci_TabsAfterSpaces[];
extern char sipNm_Qsci_Inconsistent[];
extern char sipNm_Qsci_NoWarning[];
extern char sipNm_Qsci_Decorator[];
extern char sipNm_Qsci_HighlightedIdentifier[];
extern char sipNm_Qsci_CommentBlock[];
extern char sipNm_Qsci_FunctionMethodName[];
extern char sipNm_Qsci_ClassName[];
extern char sipNm_Qsci_TripleDoubleQuotedString[];
extern char sipNm_Qsci_TripleSingleQuotedString[];
extern char sipNm_Qsci_QsciLexerPython[];
extern char sipNm_Qsci_DefaultValue[];
extern char sipNm_Qsci_Assignment[];
extern char sipNm_Qsci_QsciLexerProperties[];
extern char sipNm_Qsci_setFoldDirectives[];
extern char sipNm_Qsci_foldDirectives[];
extern char sipNm_Qsci_KeywordSet8[];
extern char sipNm_Qsci_KeywordSet7[];
extern char sipNm_Qsci_KeywordSet6[];
extern char sipNm_Qsci_PredefinedFunctions[];
extern char sipNm_Qsci_PredefinedIdentifiers[];
extern char sipNm_Qsci_TypesModifiersItems[];
extern char sipNm_Qsci_ObjectsCSGAppearance[];
extern char sipNm_Qsci_BadDirective[];
extern char sipNm_Qsci_Directive[];
extern char sipNm_Qsci_QsciLexerPOV[];
extern char sipNm_Qsci_FormatBody[];
extern char sipNm_Qsci_FormatIdentifier[];
extern char sipNm_Qsci_SubroutinePrototype[];
extern char sipNm_Qsci_PODVerbatim[];
extern char sipNm_Qsci_QuotedStringQW[];
extern char sipNm_Qsci_QuotedStringQR[];
extern char sipNm_Qsci_QuotedStringQX[];
extern char sipNm_Qsci_QuotedStringQQ[];
extern char sipNm_Qsci_QuotedStringQ[];
extern char sipNm_Qsci_BacktickHereDocument[];
extern char sipNm_Qsci_DoubleQuotedHereDocument[];
extern char sipNm_Qsci_DataSection[];
extern char sipNm_Qsci_Substitution[];
extern char sipNm_Qsci_SymbolTable[];
extern char sipNm_Qsci_Hash[];
extern char sipNm_Qsci_Array[];
extern char sipNm_Qsci_POD[];
extern char sipNm_Qsci_QsciLexerPerl[];
extern char sipNm_Qsci_Target[];
extern char sipNm_Qsci_QsciLexerMakefile[];
extern char sipNm_Qsci_CoroutinesIOSystemFacilities[];
extern char sipNm_Qsci_StringTableMathsFunctions[];
extern char sipNm_Qsci_BasicFunctions[];
extern char sipNm_Qsci_Preprocessor[];
extern char sipNm_Qsci_LiteralString[];
extern char sipNm_Qsci_LineComment[];
extern char sipNm_Qsci_QsciLexerLua[];
extern char sipNm_Qsci_QsciLexerJavaScript[];
extern char sipNm_Qsci_QsciLexerJava[];
extern char sipNm_Qsci_QsciLexerIDL[];
extern char sipNm_Qsci_setCaseSensitiveTags[];
extern char sipNm_Qsci_caseSensitiveTags[];
extern char sipNm_Qsci_PHPOperator[];
extern char sipNm_Qsci_PHPDoubleQuotedVariable[];
extern char sipNm_Qsci_PHPCommentLine[];
extern char sipNm_Qsci_PHPComment[];
extern char sipNm_Qsci_PHPVariable[];
extern char sipNm_Qsci_PHPNumber[];
extern char sipNm_Qsci_PHPKeyword[];
extern char sipNm_Qsci_PHPSingleQuotedString[];
extern char sipNm_Qsci_PHPDoubleQuotedString[];
extern char sipNm_Qsci_PHPDefault[];
extern char sipNm_Qsci_ASPPythonIdentifier[];
extern char sipNm_Qsci_ASPPythonOperator[];
extern char sipNm_Qsci_ASPPythonFunctionMethodName[];
extern char sipNm_Qsci_ASPPythonClassName[];
extern char sipNm_Qsci_ASPPythonTripleDoubleQuotedString[];
extern char sipNm_Qsci_ASPPythonTripleSingleQuotedString[];
extern char sipNm_Qsci_ASPPythonKeyword[];
extern char sipNm_Qsci_ASPPythonSingleQuotedString[];
extern char sipNm_Qsci_ASPPythonDoubleQuotedString[];
extern char sipNm_Qsci_ASPPythonNumber[];
extern char sipNm_Qsci_ASPPythonComment[];
extern char sipNm_Qsci_ASPPythonDefault[];
extern char sipNm_Qsci_ASPPythonStart[];
extern char sipNm_Qsci_PythonIdentifier[];
extern char sipNm_Qsci_PythonOperator[];
extern char sipNm_Qsci_PythonFunctionMethodName[];
extern char sipNm_Qsci_PythonClassName[];
extern char sipNm_Qsci_PythonTripleDoubleQuotedString[];
extern char sipNm_Qsci_PythonTripleSingleQuotedString[];
extern char sipNm_Qsci_PythonKeyword[];
extern char sipNm_Qsci_PythonSingleQuotedString[];
extern char sipNm_Qsci_PythonDoubleQuotedString[];
extern char sipNm_Qsci_PythonNumber[];
extern char sipNm_Qsci_PythonComment[];
extern char sipNm_Qsci_PythonDefault[];
extern char sipNm_Qsci_PythonStart[];
extern char sipNm_Qsci_ASPVBScriptUnclosedString[];
extern char sipNm_Qsci_ASPVBScriptIdentifier[];
extern char sipNm_Qsci_ASPVBScriptString[];
extern char sipNm_Qsci_ASPVBScriptKeyword[];
extern char sipNm_Qsci_ASPVBScriptNumber[];
extern char sipNm_Qsci_ASPVBScriptComment[];
extern char sipNm_Qsci_ASPVBScriptDefault[];
extern char sipNm_Qsci_ASPVBScriptStart[];
extern char sipNm_Qsci_VBScriptUnclosedString[];
extern char sipNm_Qsci_VBScriptIdentifier[];
extern char sipNm_Qsci_VBScriptString[];
extern char sipNm_Qsci_VBScriptKeyword[];
extern char sipNm_Qsci_VBScriptNumber[];
extern char sipNm_Qsci_VBScriptComment[];
extern char sipNm_Qsci_VBScriptDefault[];
extern char sipNm_Qsci_VBScriptStart[];
extern char sipNm_Qsci_ASPJavaScriptRegex[];
extern char sipNm_Qsci_ASPJavaScriptUnclosedString[];
extern char sipNm_Qsci_ASPJavaScriptSymbol[];
extern char sipNm_Qsci_ASPJavaScriptSingleQuotedString[];
extern char sipNm_Qsci_ASPJavaScriptDoubleQuotedString[];
extern char sipNm_Qsci_ASPJavaScriptKeyword[];
extern char sipNm_Qsci_ASPJavaScriptWord[];
extern char sipNm_Qsci_ASPJavaScriptNumber[];
extern char sipNm_Qsci_ASPJavaScriptCommentDoc[];
extern char sipNm_Qsci_ASPJavaScriptCommentLine[];
extern char sipNm_Qsci_ASPJavaScriptComment[];
extern char sipNm_Qsci_ASPJavaScriptDefault[];
extern char sipNm_Qsci_ASPJavaScriptStart[];
extern char sipNm_Qsci_JavaScriptRegex[];
extern char sipNm_Qsci_JavaScriptUnclosedString[];
extern char sipNm_Qsci_JavaScriptSymbol[];
extern char sipNm_Qsci_JavaScriptSingleQuotedString[];
extern char sipNm_Qsci_JavaScriptDoubleQuotedString[];
extern char sipNm_Qsci_JavaScriptKeyword[];
extern char sipNm_Qsci_JavaScriptWord[];
extern char sipNm_Qsci_JavaScriptNumber[];
extern char sipNm_Qsci_JavaScriptCommentDoc[];
extern char sipNm_Qsci_JavaScriptCommentLine[];
extern char sipNm_Qsci_JavaScriptComment[];
extern char sipNm_Qsci_JavaScriptDefault[];
extern char sipNm_Qsci_JavaScriptStart[];
extern char sipNm_Qsci_SGMLBlockDefault[];
extern char sipNm_Qsci_SGMLParameterComment[];
extern char sipNm_Qsci_SGMLComment[];
extern char sipNm_Qsci_SGMLEntity[];
extern char sipNm_Qsci_SGMLSpecial[];
extern char sipNm_Qsci_SGMLError[];
extern char sipNm_Qsci_SGMLSingleQuotedString[];
extern char sipNm_Qsci_SGMLDoubleQuotedString[];
extern char sipNm_Qsci_SGMLParameter[];
extern char sipNm_Qsci_SGMLCommand[];
extern char sipNm_Qsci_SGMLDefault[];
extern char sipNm_Qsci_ASPXCComment[];
extern char sipNm_Qsci_HTMLValue[];
extern char sipNm_Qsci_PHPStart[];
extern char sipNm_Qsci_CDATA[];
extern char sipNm_Qsci_ASPStart[];
extern char sipNm_Qsci_ASPAtStart[];
extern char sipNm_Qsci_Script[];
extern char sipNm_Qsci_XMLEnd[];
extern char sipNm_Qsci_XMLStart[];
extern char sipNm_Qsci_XMLTagEnd[];
extern char sipNm_Qsci_Entity[];
extern char sipNm_Qsci_HTMLComment[];
extern char sipNm_Qsci_OtherInTag[];
extern char sipNm_Qsci_HTMLSingleQuotedString[];
extern char sipNm_Qsci_HTMLDoubleQuotedString[];
extern char sipNm_Qsci_HTMLNumber[];
extern char sipNm_Qsci_UnknownAttribute[];
extern char sipNm_Qsci_UnknownTag[];
extern char sipNm_Qsci_QsciLexerHTML[];
extern char sipNm_Qsci_LineAdded[];
extern char sipNm_Qsci_LineRemoved[];
extern char sipNm_Qsci_Header[];
extern char sipNm_Qsci_Command[];
extern char sipNm_Qsci_QsciLexerDiff[];
extern char sipNm_Qsci_Character[];
extern char sipNm_Qsci_Typedefs[];
extern char sipNm_Qsci_KeywordDoc[];
extern char sipNm_Qsci_KeywordSecondary[];
extern char sipNm_Qsci_CommentNested[];
extern char sipNm_Qsci_QsciLexerD[];
extern char sipNm_Qsci_CSS2Property[];
extern char sipNm_Qsci_AtRule[];
extern char sipNm_Qsci_Important[];
extern char sipNm_Qsci_IDSelector[];
extern char sipNm_Qsci_Value[];
extern char sipNm_Qsci_UnknownProperty[];
extern char sipNm_Qsci_CSS1Property[];
extern char sipNm_Qsci_UnknownPseudoClass[];
extern char sipNm_Qsci_PseudoClass[];
extern char sipNm_Qsci_ClassSelector[];
extern char sipNm_Qsci_Tag[];
extern char sipNm_Qsci_QsciLexerCSS[];
extern char sipNm_Qsci_QsciLexerCSharp[];
extern char sipNm_Qsci_setStylePreprocessor[];
extern char sipNm_Qsci_setFoldPreprocessor[];
extern char sipNm_Qsci_stylePreprocessor[];
extern char sipNm_Qsci_foldPreprocessor[];
extern char sipNm_Qsci_GlobalClass[];
extern char sipNm_Qsci_CommentDocKeywordError[];
extern char sipNm_Qsci_CommentDocKeyword[];
extern char sipNm_Qsci_KeywordSet2[];
extern char sipNm_Qsci_CommentLineDoc[];
extern char sipNm_Qsci_Regex[];
extern char sipNm_Qsci_VerbatimString[];
extern char sipNm_Qsci_UnclosedString[];
extern char sipNm_Qsci_PreProcessor[];
extern char sipNm_Qsci_UUID[];
extern char sipNm_Qsci_CommentDoc[];
extern char sipNm_Qsci_CommentLine[];
extern char sipNm_Qsci_QsciLexerCPP[];
extern char sipNm_Qsci_setFoldAtElse[];
extern char sipNm_Qsci_foldAtElse[];
extern char sipNm_Qsci_StringVariable[];
extern char sipNm_Qsci_BlockMacro[];
extern char sipNm_Qsci_BlockIf[];
extern char sipNm_Qsci_BlockForeach[];
extern char sipNm_Qsci_BlockWhile[];
extern char sipNm_Qsci_KeywordSet3[];
extern char sipNm_Qsci_Function[];
extern char sipNm_Qsci_StringRightQuote[];
extern char sipNm_Qsci_StringLeftQuote[];
extern char sipNm_Qsci_QsciLexerCMake[];
extern char sipNm_Qsci_Variable[];
extern char sipNm_Qsci_ExternalCommand[];
extern char sipNm_Qsci_HideCommandChar[];
extern char sipNm_Qsci_QsciLexerBatch[];
extern char sipNm_Qsci_setFoldCompact[];
extern char sipNm_Qsci_setFoldComments[];
extern char sipNm_Qsci_foldCompact[];
extern char sipNm_Qsci_foldComments[];
extern char sipNm_Qsci_SingleQuotedHereDocument[];
extern char sipNm_Qsci_HereDocumentDelimiter[];
extern char sipNm_Qsci_Backticks[];
extern char sipNm_Qsci_ParameterExpansion[];
extern char sipNm_Qsci_Scalar[];
extern char sipNm_Qsci_Identifier[];
extern char sipNm_Qsci_Operator[];
extern char sipNm_Qsci_SingleQuotedString[];
extern char sipNm_Qsci_DoubleQuotedString[];
extern char sipNm_Qsci_Keyword[];
extern char sipNm_Qsci_Number[];
extern char sipNm_Qsci_QsciLexerBash[];
extern char sipNm_Qsci_writeProperties[];
extern char sipNm_Qsci_readProperties[];
extern char sipNm_Qsci_propertyChanged[];
extern char sipNm_Qsci_paperChanged[];
extern char sipNm_Qsci_fontChanged[];
extern char sipNm_Qsci_eolFillChanged[];
extern char sipNm_Qsci_colorChanged[];
extern char sipNm_Qsci_setEolFill[];
extern char sipNm_Qsci_setAutoIndentStyle[];
extern char sipNm_Qsci_setDefaultPaper[];
extern char sipNm_Qsci_setDefaultColor[];
extern char sipNm_Qsci_setAPIs[];
extern char sipNm_Qsci_refreshProperties[];
extern char sipNm_Qsci_defaultPaper[];
extern char sipNm_Qsci_defaultEolFill[];
extern char sipNm_Qsci_defaultColor[];
extern char sipNm_Qsci_keywords[];
extern char sipNm_Qsci_eolFill[];
extern char sipNm_Qsci_autoIndentStyle[];
extern char sipNm_Qsci_apis[];
extern char sipNm_Qsci_QsciLexer[];
extern char sipNm_Qsci_QsciDocument[];
extern char sipNm_Qsci_clearAlternateKeys[];
extern char sipNm_Qsci_clearKeys[];
extern char sipNm_Qsci_commands[];
extern char sipNm_Qsci_writeSettings[];
extern char sipNm_Qsci_readSettings[];
extern char sipNm_Qsci_QsciCommandSet[];
extern char sipNm_Qsci_validKey[];
extern char sipNm_Qsci_alternateKey[];
extern char sipNm_Qsci_setAlternateKey[];
extern char sipNm_Qsci_QsciCommand[];
extern char sipNm_Qsci_apiPreparationFinished[];
extern char sipNm_Qsci_apiPreparationStarted[];
extern char sipNm_Qsci_apiPreparationCancelled[];
extern char sipNm_Qsci_installedAPIFiles[];
extern char sipNm_Qsci_savePrepared[];
extern char sipNm_Qsci_loadPrepared[];
extern char sipNm_Qsci_isPrepared[];
extern char sipNm_Qsci_defaultPreparedName[];
extern char sipNm_Qsci_cancelPreparation[];
extern char sipNm_Qsci_prepare[];
extern char sipNm_Qsci_QsciAPIs[];
extern char sipNm_Qsci_userListActivated[];
extern char sipNm_Qsci_modificationAttempted[];
extern char sipNm_Qsci_marginClicked[];
extern char sipNm_Qsci_linesChanged[];
extern char sipNm_Qsci_zoomTo[];
extern char sipNm_Qsci_unindent[];
extern char sipNm_Qsci_setWhitespaceVisibility[];
extern char sipNm_Qsci_setUtf8[];
extern char sipNm_Qsci_setTabWidth[];
extern char sipNm_Qsci_setTabIndents[];
extern char sipNm_Qsci_setSelectionForegroundColor[];
extern char sipNm_Qsci_setSelectionBackgroundColor[];
extern char sipNm_Qsci_setPaper[];
extern char sipNm_Qsci_setMarginWidth[];
extern char sipNm_Qsci_setMarginSensitivity[];
extern char sipNm_Qsci_setMarginMarkerMask[];
extern char sipNm_Qsci_setMarginLineNumbers[];
extern char sipNm_Qsci_setMarginsForegroundColor[];
extern char sipNm_Qsci_setMarginsFont[];
extern char sipNm_Qsci_setMarginsBackgroundColor[];
extern char sipNm_Qsci_setLexer[];
extern char sipNm_Qsci_setIndentationWidth[];
extern char sipNm_Qsci_setIndentationsUseTabs[];
extern char sipNm_Qsci_setIndentationGuidesForegroundColor[];
extern char sipNm_Qsci_setIndentationGuidesBackgroundColor[];
extern char sipNm_Qsci_setIndentationGuides[];
extern char sipNm_Qsci_setFolding[];
extern char sipNm_Qsci_setEolVisibility[];
extern char sipNm_Qsci_setEolMode[];
extern char sipNm_Qsci_setCaretWidth[];
extern char sipNm_Qsci_setCaretLineVisible[];
extern char sipNm_Qsci_setCaretLineBackgroundColor[];
extern char sipNm_Qsci_setCaretForegroundColor[];
extern char sipNm_Qsci_setBackspaceUnindents[];
extern char sipNm_Qsci_setBraceMatching[];
extern char sipNm_Qsci_setAutoIndent[];
extern char sipNm_Qsci_setAutoCompletionThreshold[];
extern char sipNm_Qsci_setAutoCompletionSource[];
extern char sipNm_Qsci_setAutoCompletionShowSingle[];
extern char sipNm_Qsci_setAutoCompletionReplaceWord[];
extern char sipNm_Qsci_selectToMatchingBrace[];
extern char sipNm_Qsci_resetSelectionForegroundColor[];
extern char sipNm_Qsci_resetSelectionBackgroundColor[];
extern char sipNm_Qsci_moveToMatchingBrace[];
extern char sipNm_Qsci_insertAt[];
extern char sipNm_Qsci_foldLine[];
extern char sipNm_Qsci_foldAll[];
extern char sipNm_Qsci_ensureLineVisible[];
extern char sipNm_Qsci_callTip[];
extern char sipNm_Qsci_autoCompleteFromDocument[];
extern char sipNm_Qsci_autoCompleteFromAPIs[];
extern char sipNm_Qsci_autoCompleteFromAll[];
extern char sipNm_Qsci_wordCharacters[];
extern char sipNm_Qsci_whitespaceVisibility[];
extern char sipNm_Qsci_textHeight[];
extern char sipNm_Qsci_tabIndents[];
extern char sipNm_Qsci_standardCommands[];
extern char sipNm_Qsci_showUserList[];
extern char sipNm_Qsci_setSelectionToEol[];
extern char sipNm_Qsci_selectionToEol[];
extern char sipNm_Qsci_setWrapVisualFlags[];
extern char sipNm_Qsci_setUnmatchedBraceForegroundColor[];
extern char sipNm_Qsci_setUnmatchedBraceBackgroundColor[];
extern char sipNm_Qsci_setMatchedBraceForegroundColor[];
extern char sipNm_Qsci_setMatchedBraceBackgroundColor[];
extern char sipNm_Qsci_setMarkerForegroundColor[];
extern char sipNm_Qsci_setMarkerBackgroundColor[];
extern char sipNm_Qsci_setEdgeMode[];
extern char sipNm_Qsci_setEdgeColumn[];
extern char sipNm_Qsci_setEdgeColor[];
extern char sipNm_Qsci_setCallTipsVisible[];
extern char sipNm_Qsci_setCallTipsStyle[];
extern char sipNm_Qsci_setCallTipsHighlightColor[];
extern char sipNm_Qsci_setCallTipsForegroundColor[];
extern char sipNm_Qsci_setCallTipsBackgroundColor[];
extern char sipNm_Qsci_setAutoCompletionWordSeparators[];
extern char sipNm_Qsci_setAutoCompletionFillups[];
extern char sipNm_Qsci_setAutoCompletionFillupsEnabled[];
extern char sipNm_Qsci_setFoldMarginColors[];
extern char sipNm_Qsci_resetFoldMarginColors[];
extern char sipNm_Qsci_registerImage[];
extern char sipNm_Qsci_recolor[];
extern char sipNm_Qsci_paper[];
extern char sipNm_Qsci_markerFindPrevious[];
extern char sipNm_Qsci_markerFindNext[];
extern char sipNm_Qsci_markerLine[];
extern char sipNm_Qsci_markerDeleteHandle[];
extern char sipNm_Qsci_markerDeleteAll[];
extern char sipNm_Qsci_markerDelete[];
extern char sipNm_Qsci_markersAtLine[];
extern char sipNm_Qsci_markerAdd[];
extern char sipNm_Qsci_markerDefine[];
extern char sipNm_Qsci_marginWidth[];
extern char sipNm_Qsci_marginSensitivity[];
extern char sipNm_Qsci_marginMarkerMask[];
extern char sipNm_Qsci_marginLineNumbers[];
extern char sipNm_Qsci_lexer[];
extern char sipNm_Qsci_lines[];
extern char sipNm_Qsci_lineLength[];
extern char sipNm_Qsci_isWordCharacter[];
extern char sipNm_Qsci_isUtf8[];
extern char sipNm_Qsci_isListActive[];
extern char sipNm_Qsci_isCallTipActive[];
extern char sipNm_Qsci_indentationWidth[];
extern char sipNm_Qsci_indentationsUseTabs[];
extern char sipNm_Qsci_indentationGuides[];
extern char sipNm_Qsci_getSelection[];
extern char sipNm_Qsci_getCursorPosition[];
extern char sipNm_Qsci_folding[];
extern char sipNm_Qsci_firstVisibleLine[];
extern char sipNm_Qsci_findNext[];
extern char sipNm_Qsci_findFirst[];
extern char sipNm_Qsci_eolVisibility[];
extern char sipNm_Qsci_eolMode[];
extern char sipNm_Qsci_edgeMode[];
extern char sipNm_Qsci_edgeColumn[];
extern char sipNm_Qsci_edgeColor[];
extern char sipNm_Qsci_endUndoAction[];
extern char sipNm_Qsci_convertEols[];
extern char sipNm_Qsci_clearRegisteredImages[];
extern char sipNm_Qsci_cancelList[];
extern char sipNm_Qsci_callTipsVisible[];
extern char sipNm_Qsci_callTipsStyle[];
extern char sipNm_Qsci_braceMatching[];
extern char sipNm_Qsci_beginUndoAction[];
extern char sipNm_Qsci_backspaceUnindents[];
extern char sipNm_Qsci_autoIndent[];
extern char sipNm_Qsci_autoCompletionThreshold[];
extern char sipNm_Qsci_autoCompletionSource[];
extern char sipNm_Qsci_autoCompletionShowSingle[];
extern char sipNm_Qsci_autoCompletionReplaceWord[];
extern char sipNm_Qsci_autoCompletionFillupsEnabled[];
extern char sipNm_Qsci_WrapFlagByBorder[];
extern char sipNm_Qsci_WrapFlagByText[];
extern char sipNm_Qsci_WrapFlagNone[];
extern char sipNm_Qsci_WrapCharacter[];
extern char sipNm_Qsci_WrapWord[];
extern char sipNm_Qsci_WrapNone[];
extern char sipNm_Qsci_WsVisibleAfterIndent[];
extern char sipNm_Qsci_WsVisible[];
extern char sipNm_Qsci_WsInvisible[];
extern char sipNm_Qsci_ThreeRightArrows[];
extern char sipNm_Qsci_ThreeDots[];
extern char sipNm_Qsci_CircledMinusConnected[];
extern char sipNm_Qsci_CircledMinus[];
extern char sipNm_Qsci_CircledPlusConnected[];
extern char sipNm_Qsci_CircledPlus[];
extern char sipNm_Qsci_LeftSideRoundedSplitter[];
extern char sipNm_Qsci_RoundedBottomLeftCorner[];
extern char sipNm_Qsci_BoxedMinusConnected[];
extern char sipNm_Qsci_BoxedMinus[];
extern char sipNm_Qsci_BoxedPlusConnected[];
extern char sipNm_Qsci_BoxedPlus[];
extern char sipNm_Qsci_LeftSideSplitter[];
extern char sipNm_Qsci_VerticalLine[];
extern char sipNm_Qsci_Plus[];
extern char sipNm_Qsci_Minus[];
extern char sipNm_Qsci_DownTriangle[];
extern char sipNm_Qsci_Invisible[];
extern char sipNm_Qsci_SmallRectangle[];
extern char sipNm_Qsci_RightTriangle[];
extern char sipNm_Qsci_BoxedTreeFoldStyle[];
extern char sipNm_Qsci_CircledTreeFoldStyle[];
extern char sipNm_Qsci_BoxedFoldStyle[];
extern char sipNm_Qsci_CircledFoldStyle[];
extern char sipNm_Qsci_PlainFoldStyle[];
extern char sipNm_Qsci_NoFoldStyle[];
extern char sipNm_Qsci_EolMac[];
extern char sipNm_Qsci_EolUnix[];
extern char sipNm_Qsci_EolWindows[];
extern char sipNm_Qsci_EdgeBackground[];
extern char sipNm_Qsci_EdgeLine[];
extern char sipNm_Qsci_EdgeNone[];
extern char sipNm_Qsci_CallTipsContext[];
extern char sipNm_Qsci_CallTipsNoAutoCompletionContext[];
extern char sipNm_Qsci_CallTipsNoContext[];
extern char sipNm_Qsci_CallTipsNone[];
extern char sipNm_Qsci_SloppyBraceMatch[];
extern char sipNm_Qsci_StrictBraceMatch[];
extern char sipNm_Qsci_NoBraceMatch[];
extern char sipNm_Qsci_AcsAPIs[];
extern char sipNm_Qsci_AcsDocument[];
extern char sipNm_Qsci_AcsAll[];
extern char sipNm_Qsci_AcsNone[];
extern char sipNm_Qsci_AiClosing[];
extern char sipNm_Qsci_AiOpening[];
extern char sipNm_Qsci_AiMaintain[];
extern char sipNm_Qsci_QsciScintillaBase[];
extern char sipNm_Qsci_QsciScintilla[];
extern char sipNm_Qsci_QSCINTILLA_VERSION_STR[];
extern char sipNm_Qsci_QSCINTILLA_VERSION[];
extern char sipNm_Qsci_languageChange[];
extern char sipNm_Qsci_windowActivationChange[];
extern char sipNm_Qsci_fontChange[];
extern char sipNm_Qsci_paletteChange[];
extern char sipNm_Qsci_enabledChange[];
extern char sipNm_Qsci_focusPreviousChild[];
extern char sipNm_Qsci_focusNextChild[];
extern char sipNm_Qsci_destroy[];
extern char sipNm_Qsci_updateMicroFocus[];
extern char sipNm_Qsci_resetInputContext[];
extern char sipNm_Qsci_tabletEvent[];
extern char sipNm_Qsci_setIndentation[];
extern char sipNm_Qsci_indentation[];
extern char sipNm_Qsci_wrapMode[];
extern char sipNm_Qsci_setWrapMode[];
extern char sipNm_Qsci_lineAt[];
extern char sipNm_Qsci_defaultFont[];
extern char sipNm_Qsci_setDefaultFont[];
extern char sipNm_Qsci_removeSelectedText[];
extern char sipNm_Qsci_Position[];
extern char sipNm_Qsci_tabWidth[];
extern char sipNm_Qsci_Label[];
extern char sipNm_Qsci_Rectangle[];
extern char sipNm_Qsci_zoomOut[];
extern char sipNm_Qsci_zoomIn[];
extern char sipNm_Qsci_setEngines[];
extern char sipNm_Qsci_modificationChanged[];
extern char sipNm_Qsci_copyAvailable[];
extern char sipNm_Qsci_ensureCursorVisible[];
extern char sipNm_Qsci_play[];
extern char sipNm_Qsci_Background[];
extern char sipNm_Qsci_Default[];
extern char sipNm_Qsci_actionEvent[];
extern char sipNm_Qsci_enterEvent[];
extern char sipNm_Qsci_leaveEvent[];
extern char sipNm_Qsci_cursorPositionChanged[];
extern char sipNm_Qsci_textChanged[];
extern char sipNm_Qsci_paste[];
extern char sipNm_Qsci_cut[];
extern char sipNm_Qsci_redo[];
extern char sipNm_Qsci_undo[];
extern char sipNm_Qsci_isRedoAvailable[];
extern char sipNm_Qsci_isUndoAvailable[];
extern char sipNm_Qsci_selectedText[];
extern char sipNm_Qsci_hasSelectedText[];
extern char sipNm_Qsci_setModified[];
extern char sipNm_Qsci_isModified[];
extern char sipNm_Qsci_setCursorPosition[];
extern char sipNm_Qsci_indent[];
extern char sipNm_Qsci_metric[];
extern char sipNm_Qsci_paintEngine[];
extern char sipNm_Qsci_devType[];
extern char sipNm_Qsci_moveEvent[];
extern char sipNm_Qsci_setDocument[];
extern char sipNm_Qsci_drawFrame[];
extern char sipNm_Qsci_Symbol[];
extern char sipNm_Qsci_Attribute[];
extern char sipNm_Qsci_Section[];
extern char sipNm_Qsci_setAutoCompletionCaseSensitivity[];
extern char sipNm_Qsci_autoCompletionCaseSensitivity[];
extern char sipNm_Qsci_color[];
extern char sipNm_Qsci_setColor[];
extern char sipNm_Qsci_description[];
extern char sipNm_Qsci_heightForWidth[];
extern char sipNm_Qsci_setVisible[];
extern char sipNm_Qsci_font[];
extern char sipNm_Qsci_setFont[];
extern char sipNm_Qsci_document[];
extern char sipNm_Qsci_showEvent[];
extern char sipNm_Qsci_hideEvent[];
extern char sipNm_Qsci_closeEvent[];
extern char sipNm_Qsci_isReadOnly[];
extern char sipNm_Qsci_setReadOnly[];
extern char sipNm_Qsci_setupViewport[];
extern char sipNm_Qsci_scrollContentsBy[];
extern char sipNm_Qsci_contextMenuEvent[];
extern char sipNm_Qsci_wheelEvent[];
extern char sipNm_Qsci_setViewportMargins[];
extern char sipNm_Qsci_minimumSizeHint[];
extern char sipNm_Qsci_printRange[];
extern char sipNm_Qsci_inputMethodEvent[];
extern char sipNm_Qsci_focusNextPrevChild[];
extern char sipNm_Qsci_inputMethodQuery[];
extern char sipNm_Qsci_resizeEvent[];
extern char sipNm_Qsci_dropEvent[];
extern char sipNm_Qsci_dragLeaveEvent[];
extern char sipNm_Qsci_dragMoveEvent[];
extern char sipNm_Qsci_dragEnterEvent[];
extern char sipNm_Qsci_mouseDoubleClickEvent[];
extern char sipNm_Qsci_viewportEvent[];
extern char sipNm_Qsci_setSelection[];
extern char sipNm_Qsci_selectionChanged[];
extern char sipNm_Qsci_selectAll[];
extern char sipNm_Qsci_sizeHint[];
extern char sipNm_Qsci_changeEvent[];
extern char sipNm_Qsci_focusOutEvent[];
extern char sipNm_Qsci_focusInEvent[];
extern char sipNm_Qsci_mouseMoveEvent[];
extern char sipNm_Qsci_mouseReleaseEvent[];
extern char sipNm_Qsci_mousePressEvent[];
extern char sipNm_Qsci_keyReleaseEvent[];
extern char sipNm_Qsci_keyPressEvent[];
extern char sipNm_Qsci_paintEvent[];
extern char sipNm_Qsci_Error[];
extern char sipNm_Qsci_Comment[];
extern char sipNm_Qsci_save[];
extern char sipNm_Qsci_String[];
extern char sipNm_Qsci_setKey[];
extern char sipNm_Qsci_add[];
extern char sipNm_Qsci_disconnectNotify[];
extern char sipNm_Qsci_connectNotify[];
extern char sipNm_Qsci_customEvent[];
extern char sipNm_Qsci_childEvent[];
extern char sipNm_Qsci_timerEvent[];
extern char sipNm_Qsci_receivers[];
extern char sipNm_Qsci_sender[];
extern char sipNm_Qsci_eventFilter[];
extern char sipNm_Qsci_setText[];
extern char sipNm_Qsci_text[];
extern char sipNm_Qsci_key[];
extern char sipNm_Qsci_language[];
extern char sipNm_Qsci_load[];
extern char sipNm_Qsci_Text[];
extern char sipNm_Qsci_event[];
extern char sipNm_Qsci_Circle[];
extern char sipNm_Qsci_length[];
extern char sipNm_Qsci_replace[];
extern char sipNm_Qsci_insert[];
extern char sipNm_Qsci_append[];
extern char sipNm_Qsci_clear[];
extern char sipNm_Qsci_create[];
extern char sipNm_Qsci_caseSensitive[];
extern char sipNm_Qsci_copy[];
extern char sipNm_Qsci_remove[];
extern char sipNm_Qsci_BottomLeftCorner[];
extern char sipNm_Qsci_RightArrow[];

#define sipEnum_QtMsgType              sipModuleAPI_Qsci_QtCore->em_enums[134]

#define sipClass_QsciScintillaBase             sipModuleAPI_Qsci.em_types[29]
#define sipCast_QsciScintillaBase              sipType_Qsci_QsciScintillaBase.td_cast
#define sipForceConvertTo_QsciScintillaBase    sipType_Qsci_QsciScintillaBase.td_fcto

extern sipTypeDef sipType_Qsci_QsciScintillaBase;

#define sipClass_QsciScintilla             sipModuleAPI_Qsci.em_types[30]
#define sipCast_QsciScintilla              sipType_Qsci_QsciScintilla.td_cast
#define sipForceConvertTo_QsciScintilla    sipType_Qsci_QsciScintilla.td_fcto

#define sipEnum_QsciScintilla_WrapVisualFlag              sipModuleAPI_Qsci.em_enums[1]
#define sipEnum_QsciScintilla_WrapMode              sipModuleAPI_Qsci.em_enums[2]
#define sipEnum_QsciScintilla_WhitespaceVisibility              sipModuleAPI_Qsci.em_enums[3]
#define sipEnum_QsciScintilla_MarkerSymbol              sipModuleAPI_Qsci.em_enums[4]
#define sipEnum_QsciScintilla_FoldStyle              sipModuleAPI_Qsci.em_enums[5]
#define sipEnum_QsciScintilla_EolMode              sipModuleAPI_Qsci.em_enums[6]
#define sipEnum_QsciScintilla_EdgeMode              sipModuleAPI_Qsci.em_enums[7]
#define sipEnum_QsciScintilla_CallTipsStyle              sipModuleAPI_Qsci.em_enums[8]
#define sipEnum_QsciScintilla_BraceMatch              sipModuleAPI_Qsci.em_enums[9]
#define sipEnum_QsciScintilla_AutoCompletionSource              sipModuleAPI_Qsci.em_enums[10]

extern sipTypeDef sipType_Qsci_QsciScintilla;

#define sipClass_QsciAPIs             sipModuleAPI_Qsci.em_types[28]
#define sipCast_QsciAPIs              sipType_Qsci_QsciAPIs.td_cast
#define sipForceConvertTo_QsciAPIs    sipType_Qsci_QsciAPIs.td_fcto

extern sipTypeDef sipType_Qsci_QsciAPIs;

#define sipClass_QsciCommand             sipModuleAPI_Qsci.em_types[27]
#define sipCast_QsciCommand              sipType_Qsci_QsciCommand.td_cast
#define sipForceConvertTo_QsciCommand    sipType_Qsci_QsciCommand.td_fcto

extern sipTypeDef sipType_Qsci_QsciCommand;

#define sipClass_QsciCommandSet             sipModuleAPI_Qsci.em_types[26]
#define sipCast_QsciCommandSet              sipType_Qsci_QsciCommandSet.td_cast
#define sipForceConvertTo_QsciCommandSet    sipType_Qsci_QsciCommandSet.td_fcto

extern sipTypeDef sipType_Qsci_QsciCommandSet;

#define sipClass_QsciDocument             sipModuleAPI_Qsci.em_types[25]
#define sipCast_QsciDocument              sipType_Qsci_QsciDocument.td_cast
#define sipForceConvertTo_QsciDocument    sipType_Qsci_QsciDocument.td_fcto

extern sipTypeDef sipType_Qsci_QsciDocument;

#define sipClass_QsciLexer             sipModuleAPI_Qsci.em_types[2]
#define sipCast_QsciLexer              sipType_Qsci_QsciLexer.td_cast
#define sipForceConvertTo_QsciLexer    sipType_Qsci_QsciLexer.td_fcto

extern sipTypeDef sipType_Qsci_QsciLexer;

#define sipClass_QsciLexerBash             sipModuleAPI_Qsci.em_types[24]
#define sipCast_QsciLexerBash              sipType_Qsci_QsciLexerBash.td_cast
#define sipForceConvertTo_QsciLexerBash    sipType_Qsci_QsciLexerBash.td_fcto

extern sipTypeDef sipType_Qsci_QsciLexerBash;

#define sipClass_QsciLexerBatch             sipModuleAPI_Qsci.em_types[23]
#define sipCast_QsciLexerBatch              sipType_Qsci_QsciLexerBatch.td_cast
#define sipForceConvertTo_QsciLexerBatch    sipType_Qsci_QsciLexerBatch.td_fcto

extern sipTypeDef sipType_Qsci_QsciLexerBatch;

#define sipClass_QsciLexerCMake             sipModuleAPI_Qsci.em_types[22]
#define sipCast_QsciLexerCMake              sipType_Qsci_QsciLexerCMake.td_cast
#define sipForceConvertTo_QsciLexerCMake    sipType_Qsci_QsciLexerCMake.td_fcto

extern sipTypeDef sipType_Qsci_QsciLexerCMake;

#define sipClass_QsciLexerCPP             sipModuleAPI_Qsci.em_types[17]
#define sipCast_QsciLexerCPP              sipType_Qsci_QsciLexerCPP.td_cast
#define sipForceConvertTo_QsciLexerCPP    sipType_Qsci_QsciLexerCPP.td_fcto

extern sipTypeDef sipType_Qsci_QsciLexerCPP;

#define sipClass_QsciLexerCSharp             sipModuleAPI_Qsci.em_types[21]
#define sipCast_QsciLexerCSharp              sipType_Qsci_QsciLexerCSharp.td_cast
#define sipForceConvertTo_QsciLexerCSharp    sipType_Qsci_QsciLexerCSharp.td_fcto

extern sipTypeDef sipType_Qsci_QsciLexerCSharp;

#define sipClass_QsciLexerCSS             sipModuleAPI_Qsci.em_types[16]
#define sipCast_QsciLexerCSS              sipType_Qsci_QsciLexerCSS.td_cast
#define sipForceConvertTo_QsciLexerCSS    sipType_Qsci_QsciLexerCSS.td_fcto

extern sipTypeDef sipType_Qsci_QsciLexerCSS;

#define sipClass_QsciLexerD             sipModuleAPI_Qsci.em_types[15]
#define sipCast_QsciLexerD              sipType_Qsci_QsciLexerD.td_cast
#define sipForceConvertTo_QsciLexerD    sipType_Qsci_QsciLexerD.td_fcto

extern sipTypeDef sipType_Qsci_QsciLexerD;

#define sipClass_QsciLexerDiff             sipModuleAPI_Qsci.em_types[14]
#define sipCast_QsciLexerDiff              sipType_Qsci_QsciLexerDiff.td_cast
#define sipForceConvertTo_QsciLexerDiff    sipType_Qsci_QsciLexerDiff.td_fcto

extern sipTypeDef sipType_Qsci_QsciLexerDiff;

#define sipClass_QsciLexerHTML             sipModuleAPI_Qsci.em_types[13]
#define sipCast_QsciLexerHTML              sipType_Qsci_QsciLexerHTML.td_cast
#define sipForceConvertTo_QsciLexerHTML    sipType_Qsci_QsciLexerHTML.td_fcto

extern sipTypeDef sipType_Qsci_QsciLexerHTML;

#define sipClass_QsciLexerIDL             sipModuleAPI_Qsci.em_types[20]
#define sipCast_QsciLexerIDL              sipType_Qsci_QsciLexerIDL.td_cast
#define sipForceConvertTo_QsciLexerIDL    sipType_Qsci_QsciLexerIDL.td_fcto

extern sipTypeDef sipType_Qsci_QsciLexerIDL;

#define sipClass_QsciLexerJava             sipModuleAPI_Qsci.em_types[19]
#define sipCast_QsciLexerJava              sipType_Qsci_QsciLexerJava.td_cast
#define sipForceConvertTo_QsciLexerJava    sipType_Qsci_QsciLexerJava.td_fcto

extern sipTypeDef sipType_Qsci_QsciLexerJava;

#define sipClass_QsciLexerJavaScript             sipModuleAPI_Qsci.em_types[18]
#define sipCast_QsciLexerJavaScript              sipType_Qsci_QsciLexerJavaScript.td_cast
#define sipForceConvertTo_QsciLexerJavaScript    sipType_Qsci_QsciLexerJavaScript.td_fcto

extern sipTypeDef sipType_Qsci_QsciLexerJavaScript;

#define sipClass_QsciLexerLua             sipModuleAPI_Qsci.em_types[12]
#define sipCast_QsciLexerLua              sipType_Qsci_QsciLexerLua.td_cast
#define sipForceConvertTo_QsciLexerLua    sipType_Qsci_QsciLexerLua.td_fcto

extern sipTypeDef sipType_Qsci_QsciLexerLua;

#define sipClass_QsciLexerMakefile             sipModuleAPI_Qsci.em_types[11]
#define sipCast_QsciLexerMakefile              sipType_Qsci_QsciLexerMakefile.td_cast
#define sipForceConvertTo_QsciLexerMakefile    sipType_Qsci_QsciLexerMakefile.td_fcto

extern sipTypeDef sipType_Qsci_QsciLexerMakefile;

#define sipClass_QsciLexerPerl             sipModuleAPI_Qsci.em_types[10]
#define sipCast_QsciLexerPerl              sipType_Qsci_QsciLexerPerl.td_cast
#define sipForceConvertTo_QsciLexerPerl    sipType_Qsci_QsciLexerPerl.td_fcto

extern sipTypeDef sipType_Qsci_QsciLexerPerl;

#define sipClass_QsciLexerPOV             sipModuleAPI_Qsci.em_types[9]
#define sipCast_QsciLexerPOV              sipType_Qsci_QsciLexerPOV.td_cast
#define sipForceConvertTo_QsciLexerPOV    sipType_Qsci_QsciLexerPOV.td_fcto

extern sipTypeDef sipType_Qsci_QsciLexerPOV;

#define sipClass_QsciLexerProperties             sipModuleAPI_Qsci.em_types[8]
#define sipCast_QsciLexerProperties              sipType_Qsci_QsciLexerProperties.td_cast
#define sipForceConvertTo_QsciLexerProperties    sipType_Qsci_QsciLexerProperties.td_fcto

extern sipTypeDef sipType_Qsci_QsciLexerProperties;

#define sipClass_QsciLexerPython             sipModuleAPI_Qsci.em_types[7]
#define sipCast_QsciLexerPython              sipType_Qsci_QsciLexerPython.td_cast
#define sipForceConvertTo_QsciLexerPython    sipType_Qsci_QsciLexerPython.td_fcto

#define sipEnum_QsciLexerPython_IndentationWarning              sipModuleAPI_Qsci.em_enums[0]

extern sipTypeDef sipType_Qsci_QsciLexerPython;

#define sipClass_QsciLexerRuby             sipModuleAPI_Qsci.em_types[6]
#define sipCast_QsciLexerRuby              sipType_Qsci_QsciLexerRuby.td_cast
#define sipForceConvertTo_QsciLexerRuby    sipType_Qsci_QsciLexerRuby.td_fcto

extern sipTypeDef sipType_Qsci_QsciLexerRuby;

#define sipClass_QsciLexerSQL             sipModuleAPI_Qsci.em_types[5]
#define sipCast_QsciLexerSQL              sipType_Qsci_QsciLexerSQL.td_cast
#define sipForceConvertTo_QsciLexerSQL    sipType_Qsci_QsciLexerSQL.td_fcto

extern sipTypeDef sipType_Qsci_QsciLexerSQL;

#define sipClass_QsciLexerTeX             sipModuleAPI_Qsci.em_types[4]
#define sipCast_QsciLexerTeX              sipType_Qsci_QsciLexerTeX.td_cast
#define sipForceConvertTo_QsciLexerTeX    sipType_Qsci_QsciLexerTeX.td_fcto

extern sipTypeDef sipType_Qsci_QsciLexerTeX;

#define sipClass_QsciLexerVHDL             sipModuleAPI_Qsci.em_types[3]
#define sipCast_QsciLexerVHDL              sipType_Qsci_QsciLexerVHDL.td_cast
#define sipForceConvertTo_QsciLexerVHDL    sipType_Qsci_QsciLexerVHDL.td_fcto

extern sipTypeDef sipType_Qsci_QsciLexerVHDL;

#define sipClass_QsciMacro             sipModuleAPI_Qsci.em_types[1]
#define sipCast_QsciMacro              sipType_Qsci_QsciMacro.td_cast
#define sipForceConvertTo_QsciMacro    sipType_Qsci_QsciMacro.td_fcto

extern sipTypeDef sipType_Qsci_QsciMacro;

#define sipClass_QsciPrinter             sipModuleAPI_Qsci.em_types[0]
#define sipCast_QsciPrinter              sipType_Qsci_QsciPrinter.td_cast
#define sipForceConvertTo_QsciPrinter    sipType_Qsci_QsciPrinter.td_fcto

extern sipTypeDef sipType_Qsci_QsciPrinter;

#define sipMappedType_QList_0201QsciCommand        &sipMappedTypeDef_QList_0201QsciCommand
#define sipForceConvertTo_QList_0201QsciCommand    sipMappedTypeDef_QList_0201QsciCommand.mt_fcto
#define sipConvertFrom_QList_0201QsciCommand       sipMappedTypeDef_QList_0201QsciCommand.mt_cfrom

extern sipMappedType sipMappedTypeDef_QList_0201QsciCommand;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_Qsci;
extern sipExportedModuleDef sipModuleAPI_Qsci;

#define sipClass_QSysInfo             sipModuleAPI_Qsci_QtCore->em_types[150]
#define sipCast_QSysInfo              sipModuleAPI_Qsci_QtCore->em_types[150]->type->td_cast
#define sipForceConvertTo_QSysInfo    sipModuleAPI_Qsci_QtCore->em_types[150]->type->td_fcto

#define sipEnum_QSysInfo_Endian              sipModuleAPI_Qsci_QtCore->em_enums[135]
#define sipEnum_QSysInfo_Sizes              sipModuleAPI_Qsci_QtCore->em_enums[136]

#if !defined(sipClass_Qt)
#define sipClass_Qt             sipModuleAPI_Qsci_QtCore->em_types[136]
#endif

#define sipEnum_Qt_WindowFrameSection              sipModuleAPI_Qsci_QtCore->em_enums[75]
#define sipEnum_Qt_SizeHint              sipModuleAPI_Qsci_QtCore->em_enums[76]
#define sipEnum_Qt_SizeMode              sipModuleAPI_Qsci_QtCore->em_enums[77]
#define sipEnum_Qt_EventPriority              sipModuleAPI_Qsci_QtCore->em_enums[78]
#define sipEnum_Qt_Axis              sipModuleAPI_Qsci_QtCore->em_enums[79]
#define sipEnum_Qt_MaskMode              sipModuleAPI_Qsci_QtCore->em_enums[80]
#define sipEnum_Qt_TextInteractionFlag              sipModuleAPI_Qsci_QtCore->em_enums[81]
#define sipEnum_Qt_ItemSelectionMode              sipModuleAPI_Qsci_QtCore->em_enums[82]
#define sipEnum_Qt_ApplicationAttribute              sipModuleAPI_Qsci_QtCore->em_enums[83]
#define sipEnum_Qt_WindowModality              sipModuleAPI_Qsci_QtCore->em_enums[84]
#define sipEnum_Qt_MatchFlag              sipModuleAPI_Qsci_QtCore->em_enums[85]
#define sipEnum_Qt_ItemFlag              sipModuleAPI_Qsci_QtCore->em_enums[86]
#define sipEnum_Qt_ItemDataRole              sipModuleAPI_Qsci_QtCore->em_enums[87]
#define sipEnum_Qt_CheckState              sipModuleAPI_Qsci_QtCore->em_enums[88]
#define sipEnum_Qt_DropAction              sipModuleAPI_Qsci_QtCore->em_enums[89]
#define sipEnum_Qt_LayoutDirection              sipModuleAPI_Qsci_QtCore->em_enums[90]
#define sipEnum_Qt_ToolButtonStyle              sipModuleAPI_Qsci_QtCore->em_enums[91]
#define sipEnum_Qt_InputMethodQuery              sipModuleAPI_Qsci_QtCore->em_enums[92]
#define sipEnum_Qt_ContextMenuPolicy              sipModuleAPI_Qsci_QtCore->em_enums[93]
#define sipEnum_Qt_FocusReason              sipModuleAPI_Qsci_QtCore->em_enums[94]
#define sipEnum_Qt_TransformationMode              sipModuleAPI_Qsci_QtCore->em_enums[95]
#define sipEnum_Qt_ClipOperation              sipModuleAPI_Qsci_QtCore->em_enums[96]
#define sipEnum_Qt_FillRule              sipModuleAPI_Qsci_QtCore->em_enums[97]
#define sipEnum_Qt_ShortcutContext              sipModuleAPI_Qsci_QtCore->em_enums[98]
#define sipEnum_Qt_ConnectionType              sipModuleAPI_Qsci_QtCore->em_enums[99]
#define sipEnum_Qt_Corner              sipModuleAPI_Qsci_QtCore->em_enums[100]
#define sipEnum_Qt_CaseSensitivity              sipModuleAPI_Qsci_QtCore->em_enums[101]
#define sipEnum_Qt_ScrollBarPolicy              sipModuleAPI_Qsci_QtCore->em_enums[102]
#define sipEnum_Qt_DayOfWeek              sipModuleAPI_Qsci_QtCore->em_enums[103]
#define sipEnum_Qt_TimeSpec              sipModuleAPI_Qsci_QtCore->em_enums[104]
#define sipEnum_Qt_DateFormat              sipModuleAPI_Qsci_QtCore->em_enums[105]
#define sipEnum_Qt_ToolBarArea              sipModuleAPI_Qsci_QtCore->em_enums[106]
#define sipEnum_Qt_DockWidgetArea              sipModuleAPI_Qsci_QtCore->em_enums[107]
#define sipEnum_Qt_AnchorAttribute              sipModuleAPI_Qsci_QtCore->em_enums[108]
#define sipEnum_Qt_AspectRatioMode              sipModuleAPI_Qsci_QtCore->em_enums[109]
#define sipEnum_Qt_TextFormat              sipModuleAPI_Qsci_QtCore->em_enums[110]
#define sipEnum_Qt_CursorShape              sipModuleAPI_Qsci_QtCore->em_enums[111]
#define sipEnum_Qt_UIEffect              sipModuleAPI_Qsci_QtCore->em_enums[112]
#define sipEnum_Qt_BrushStyle              sipModuleAPI_Qsci_QtCore->em_enums[113]
#define sipEnum_Qt_PenJoinStyle              sipModuleAPI_Qsci_QtCore->em_enums[114]
#define sipEnum_Qt_PenCapStyle              sipModuleAPI_Qsci_QtCore->em_enums[115]
#define sipEnum_Qt_PenStyle              sipModuleAPI_Qsci_QtCore->em_enums[116]
#define sipEnum_Qt_ArrowType              sipModuleAPI_Qsci_QtCore->em_enums[117]
#define sipEnum_Qt_Key              sipModuleAPI_Qsci_QtCore->em_enums[118]
#define sipEnum_Qt_BGMode              sipModuleAPI_Qsci_QtCore->em_enums[119]
#define sipEnum_Qt_ImageConversionFlag              sipModuleAPI_Qsci_QtCore->em_enums[120]
#define sipEnum_Qt_WidgetAttribute              sipModuleAPI_Qsci_QtCore->em_enums[121]
#define sipEnum_Qt_WindowState              sipModuleAPI_Qsci_QtCore->em_enums[122]
#define sipEnum_Qt_WindowType              sipModuleAPI_Qsci_QtCore->em_enums[123]
#define sipEnum_Qt_TextElideMode              sipModuleAPI_Qsci_QtCore->em_enums[124]
#define sipEnum_Qt_TextFlag              sipModuleAPI_Qsci_QtCore->em_enums[125]
#define sipEnum_Qt_AlignmentFlag              sipModuleAPI_Qsci_QtCore->em_enums[126]
#define sipEnum_Qt_SortOrder              sipModuleAPI_Qsci_QtCore->em_enums[127]
#define sipEnum_Qt_FocusPolicy              sipModuleAPI_Qsci_QtCore->em_enums[128]
#define sipEnum_Qt_Orientation              sipModuleAPI_Qsci_QtCore->em_enums[129]
#define sipEnum_Qt_MouseButton              sipModuleAPI_Qsci_QtCore->em_enums[130]
#define sipEnum_Qt_Modifier              sipModuleAPI_Qsci_QtCore->em_enums[131]
#define sipEnum_Qt_KeyboardModifier              sipModuleAPI_Qsci_QtCore->em_enums[132]
#define sipEnum_Qt_GlobalColor              sipModuleAPI_Qsci_QtCore->em_enums[133]

#define sipClass_Qt_KeyboardModifiers             sipModuleAPI_Qsci_QtCore->em_types[149]
#define sipCast_Qt_KeyboardModifiers              sipModuleAPI_Qsci_QtCore->em_types[149]->type->td_cast
#define sipForceConvertTo_Qt_KeyboardModifiers    sipModuleAPI_Qsci_QtCore->em_types[149]->type->td_fcto

#define sipClass_Qt_MouseButtons             sipModuleAPI_Qsci_QtCore->em_types[148]
#define sipCast_Qt_MouseButtons              sipModuleAPI_Qsci_QtCore->em_types[148]->type->td_cast
#define sipForceConvertTo_Qt_MouseButtons    sipModuleAPI_Qsci_QtCore->em_types[148]->type->td_fcto

#define sipClass_Qt_Orientations             sipModuleAPI_Qsci_QtCore->em_types[147]
#define sipCast_Qt_Orientations              sipModuleAPI_Qsci_QtCore->em_types[147]->type->td_cast
#define sipForceConvertTo_Qt_Orientations    sipModuleAPI_Qsci_QtCore->em_types[147]->type->td_fcto

#define sipClass_Qt_Alignment             sipModuleAPI_Qsci_QtCore->em_types[146]
#define sipCast_Qt_Alignment              sipModuleAPI_Qsci_QtCore->em_types[146]->type->td_cast
#define sipForceConvertTo_Qt_Alignment    sipModuleAPI_Qsci_QtCore->em_types[146]->type->td_fcto

#define sipClass_Qt_WindowFlags             sipModuleAPI_Qsci_QtCore->em_types[145]
#define sipCast_Qt_WindowFlags              sipModuleAPI_Qsci_QtCore->em_types[145]->type->td_cast
#define sipForceConvertTo_Qt_WindowFlags    sipModuleAPI_Qsci_QtCore->em_types[145]->type->td_fcto

#define sipClass_Qt_WindowStates             sipModuleAPI_Qsci_QtCore->em_types[144]
#define sipCast_Qt_WindowStates              sipModuleAPI_Qsci_QtCore->em_types[144]->type->td_cast
#define sipForceConvertTo_Qt_WindowStates    sipModuleAPI_Qsci_QtCore->em_types[144]->type->td_fcto

#define sipClass_Qt_ImageConversionFlags             sipModuleAPI_Qsci_QtCore->em_types[143]
#define sipCast_Qt_ImageConversionFlags              sipModuleAPI_Qsci_QtCore->em_types[143]->type->td_cast
#define sipForceConvertTo_Qt_ImageConversionFlags    sipModuleAPI_Qsci_QtCore->em_types[143]->type->td_fcto

#define sipClass_Qt_DockWidgetAreas             sipModuleAPI_Qsci_QtCore->em_types[142]
#define sipCast_Qt_DockWidgetAreas              sipModuleAPI_Qsci_QtCore->em_types[142]->type->td_cast
#define sipForceConvertTo_Qt_DockWidgetAreas    sipModuleAPI_Qsci_QtCore->em_types[142]->type->td_fcto

#define sipClass_Qt_ToolBarAreas             sipModuleAPI_Qsci_QtCore->em_types[141]
#define sipCast_Qt_ToolBarAreas              sipModuleAPI_Qsci_QtCore->em_types[141]->type->td_cast
#define sipForceConvertTo_Qt_ToolBarAreas    sipModuleAPI_Qsci_QtCore->em_types[141]->type->td_fcto

#define sipClass_Qt_DropActions             sipModuleAPI_Qsci_QtCore->em_types[140]
#define sipCast_Qt_DropActions              sipModuleAPI_Qsci_QtCore->em_types[140]->type->td_cast
#define sipForceConvertTo_Qt_DropActions    sipModuleAPI_Qsci_QtCore->em_types[140]->type->td_fcto

#define sipClass_Qt_ItemFlags             sipModuleAPI_Qsci_QtCore->em_types[139]
#define sipCast_Qt_ItemFlags              sipModuleAPI_Qsci_QtCore->em_types[139]->type->td_cast
#define sipForceConvertTo_Qt_ItemFlags    sipModuleAPI_Qsci_QtCore->em_types[139]->type->td_fcto

#define sipClass_Qt_MatchFlags             sipModuleAPI_Qsci_QtCore->em_types[138]
#define sipCast_Qt_MatchFlags              sipModuleAPI_Qsci_QtCore->em_types[138]->type->td_cast
#define sipForceConvertTo_Qt_MatchFlags    sipModuleAPI_Qsci_QtCore->em_types[138]->type->td_fcto

#define sipClass_Qt_TextInteractionFlags             sipModuleAPI_Qsci_QtCore->em_types[137]
#define sipCast_Qt_TextInteractionFlags              sipModuleAPI_Qsci_QtCore->em_types[137]->type->td_cast
#define sipForceConvertTo_Qt_TextInteractionFlags    sipModuleAPI_Qsci_QtCore->em_types[137]->type->td_fcto

#define sipClass_QObject             sipModuleAPI_Qsci_QtCore->em_types[106]
#define sipCast_QObject              sipModuleAPI_Qsci_QtCore->em_types[106]->type->td_cast
#define sipForceConvertTo_QObject    sipModuleAPI_Qsci_QtCore->em_types[106]->type->td_fcto

#define sipClass_QAbstractEventDispatcher             sipModuleAPI_Qsci_QtCore->em_types[135]
#define sipCast_QAbstractEventDispatcher              sipModuleAPI_Qsci_QtCore->em_types[135]->type->td_cast
#define sipForceConvertTo_QAbstractEventDispatcher    sipModuleAPI_Qsci_QtCore->em_types[135]->type->td_fcto

#define sipClass_QAbstractFileEngine             sipModuleAPI_Qsci_QtCore->em_types[103]
#define sipCast_QAbstractFileEngine              sipModuleAPI_Qsci_QtCore->em_types[103]->type->td_cast
#define sipForceConvertTo_QAbstractFileEngine    sipModuleAPI_Qsci_QtCore->em_types[103]->type->td_fcto

#define sipEnum_QAbstractFileEngine_FileTime              sipModuleAPI_Qsci_QtCore->em_enums[71]
#define sipEnum_QAbstractFileEngine_FileOwner              sipModuleAPI_Qsci_QtCore->em_enums[72]
#define sipEnum_QAbstractFileEngine_FileName              sipModuleAPI_Qsci_QtCore->em_enums[73]
#define sipEnum_QAbstractFileEngine_FileFlag              sipModuleAPI_Qsci_QtCore->em_enums[74]

#define sipClass_QAbstractFileEngine_FileFlags             sipModuleAPI_Qsci_QtCore->em_types[104]
#define sipCast_QAbstractFileEngine_FileFlags              sipModuleAPI_Qsci_QtCore->em_types[104]->type->td_cast
#define sipForceConvertTo_QAbstractFileEngine_FileFlags    sipModuleAPI_Qsci_QtCore->em_types[104]->type->td_fcto

#define sipClass_QAbstractFileEngineHandler             sipModuleAPI_Qsci_QtCore->em_types[102]
#define sipCast_QAbstractFileEngineHandler              sipModuleAPI_Qsci_QtCore->em_types[102]->type->td_cast
#define sipForceConvertTo_QAbstractFileEngineHandler    sipModuleAPI_Qsci_QtCore->em_types[102]->type->td_fcto

#define sipClass_QAbstractFileEngineIterator             sipModuleAPI_Qsci_QtCore->em_types[101]
#define sipCast_QAbstractFileEngineIterator              sipModuleAPI_Qsci_QtCore->em_types[101]->type->td_cast
#define sipForceConvertTo_QAbstractFileEngineIterator    sipModuleAPI_Qsci_QtCore->em_types[101]->type->td_fcto

#define sipClass_QModelIndex             sipModuleAPI_Qsci_QtCore->em_types[100]
#define sipCast_QModelIndex              sipModuleAPI_Qsci_QtCore->em_types[100]->type->td_cast
#define sipForceConvertTo_QModelIndex    sipModuleAPI_Qsci_QtCore->em_types[100]->type->td_fcto

#define sipClass_QPersistentModelIndex             sipModuleAPI_Qsci_QtCore->em_types[99]
#define sipCast_QPersistentModelIndex              sipModuleAPI_Qsci_QtCore->em_types[99]->type->td_cast
#define sipForceConvertTo_QPersistentModelIndex    sipModuleAPI_Qsci_QtCore->em_types[99]->type->td_fcto

#define sipClass_QAbstractItemModel             sipModuleAPI_Qsci_QtCore->em_types[132]
#define sipCast_QAbstractItemModel              sipModuleAPI_Qsci_QtCore->em_types[132]->type->td_cast
#define sipForceConvertTo_QAbstractItemModel    sipModuleAPI_Qsci_QtCore->em_types[132]->type->td_fcto

#define sipClass_QAbstractTableModel             sipModuleAPI_Qsci_QtCore->em_types[134]
#define sipCast_QAbstractTableModel              sipModuleAPI_Qsci_QtCore->em_types[134]->type->td_cast
#define sipForceConvertTo_QAbstractTableModel    sipModuleAPI_Qsci_QtCore->em_types[134]->type->td_fcto

#define sipClass_QAbstractListModel             sipModuleAPI_Qsci_QtCore->em_types[133]
#define sipCast_QAbstractListModel              sipModuleAPI_Qsci_QtCore->em_types[133]->type->td_cast
#define sipForceConvertTo_QAbstractListModel    sipModuleAPI_Qsci_QtCore->em_types[133]->type->td_fcto

#define sipClass_QBasicTimer             sipModuleAPI_Qsci_QtCore->em_types[98]
#define sipCast_QBasicTimer              sipModuleAPI_Qsci_QtCore->em_types[98]->type->td_cast
#define sipForceConvertTo_QBasicTimer    sipModuleAPI_Qsci_QtCore->em_types[98]->type->td_fcto

#define sipClass_QBitArray             sipModuleAPI_Qsci_QtCore->em_types[97]
#define sipCast_QBitArray              sipModuleAPI_Qsci_QtCore->em_types[97]->type->td_cast
#define sipForceConvertTo_QBitArray    sipModuleAPI_Qsci_QtCore->em_types[97]->type->td_fcto

#define sipClass_QIODevice             sipModuleAPI_Qsci_QtCore->em_types[125]
#define sipCast_QIODevice              sipModuleAPI_Qsci_QtCore->em_types[125]->type->td_cast
#define sipForceConvertTo_QIODevice    sipModuleAPI_Qsci_QtCore->em_types[125]->type->td_fcto

#define sipEnum_QIODevice_OpenModeFlag              sipModuleAPI_Qsci_QtCore->em_enums[50]

#define sipClass_QBuffer             sipModuleAPI_Qsci_QtCore->em_types[131]
#define sipCast_QBuffer              sipModuleAPI_Qsci_QtCore->em_types[131]->type->td_cast
#define sipForceConvertTo_QBuffer    sipModuleAPI_Qsci_QtCore->em_types[131]->type->td_fcto

#define sipClass_QByteArray             sipModuleAPI_Qsci_QtCore->em_types[96]
#define sipCast_QByteArray              sipModuleAPI_Qsci_QtCore->em_types[96]->type->td_cast
#define sipForceConvertTo_QByteArray    sipModuleAPI_Qsci_QtCore->em_types[96]->type->td_fcto

#define sipClass_QByteArrayMatcher             sipModuleAPI_Qsci_QtCore->em_types[95]
#define sipCast_QByteArrayMatcher              sipModuleAPI_Qsci_QtCore->em_types[95]->type->td_cast
#define sipForceConvertTo_QByteArrayMatcher    sipModuleAPI_Qsci_QtCore->em_types[95]->type->td_fcto

#define sipClass_QLatin1Char             sipModuleAPI_Qsci_QtCore->em_types[94]
#define sipCast_QLatin1Char              sipModuleAPI_Qsci_QtCore->em_types[94]->type->td_cast
#define sipForceConvertTo_QLatin1Char    sipModuleAPI_Qsci_QtCore->em_types[94]->type->td_fcto

#define sipClass_QChar             sipModuleAPI_Qsci_QtCore->em_types[93]
#define sipCast_QChar              sipModuleAPI_Qsci_QtCore->em_types[93]->type->td_cast
#define sipForceConvertTo_QChar    sipModuleAPI_Qsci_QtCore->em_types[93]->type->td_fcto

#define sipEnum_QChar_UnicodeVersion              sipModuleAPI_Qsci_QtCore->em_enums[64]
#define sipEnum_QChar_CombiningClass              sipModuleAPI_Qsci_QtCore->em_enums[65]
#define sipEnum_QChar_Joining              sipModuleAPI_Qsci_QtCore->em_enums[66]
#define sipEnum_QChar_Decomposition              sipModuleAPI_Qsci_QtCore->em_enums[67]
#define sipEnum_QChar_Direction              sipModuleAPI_Qsci_QtCore->em_enums[68]
#define sipEnum_QChar_Category              sipModuleAPI_Qsci_QtCore->em_enums[69]
#define sipEnum_QChar_SpecialCharacter              sipModuleAPI_Qsci_QtCore->em_enums[70]

#define sipClass_QCoreApplication             sipModuleAPI_Qsci_QtCore->em_types[124]
#define sipCast_QCoreApplication              sipModuleAPI_Qsci_QtCore->em_types[124]->type->td_cast
#define sipForceConvertTo_QCoreApplication    sipModuleAPI_Qsci_QtCore->em_types[124]->type->td_fcto

#define sipEnum_QCoreApplication_Encoding              sipModuleAPI_Qsci_QtCore->em_enums[63]

#define sipClass_QEvent             sipModuleAPI_Qsci_QtCore->em_types[89]
#define sipCast_QEvent              sipModuleAPI_Qsci_QtCore->em_types[89]->type->td_cast
#define sipForceConvertTo_QEvent    sipModuleAPI_Qsci_QtCore->em_types[89]->type->td_fcto

#define sipEnum_QEvent_Type              sipModuleAPI_Qsci_QtCore->em_enums[62]

#define sipClass_QTimerEvent             sipModuleAPI_Qsci_QtCore->em_types[92]
#define sipCast_QTimerEvent              sipModuleAPI_Qsci_QtCore->em_types[92]->type->td_cast
#define sipForceConvertTo_QTimerEvent    sipModuleAPI_Qsci_QtCore->em_types[92]->type->td_fcto

#define sipClass_QChildEvent             sipModuleAPI_Qsci_QtCore->em_types[91]
#define sipCast_QChildEvent              sipModuleAPI_Qsci_QtCore->em_types[91]->type->td_cast
#define sipForceConvertTo_QChildEvent    sipModuleAPI_Qsci_QtCore->em_types[91]->type->td_fcto

#define sipClass_QDynamicPropertyChangeEvent             sipModuleAPI_Qsci_QtCore->em_types[90]
#define sipCast_QDynamicPropertyChangeEvent              sipModuleAPI_Qsci_QtCore->em_types[90]->type->td_cast
#define sipForceConvertTo_QDynamicPropertyChangeEvent    sipModuleAPI_Qsci_QtCore->em_types[90]->type->td_fcto

#define sipClass_QCryptographicHash             sipModuleAPI_Qsci_QtCore->em_types[88]
#define sipCast_QCryptographicHash              sipModuleAPI_Qsci_QtCore->em_types[88]->type->td_cast
#define sipForceConvertTo_QCryptographicHash    sipModuleAPI_Qsci_QtCore->em_types[88]->type->td_fcto

#define sipEnum_QCryptographicHash_Algorithm              sipModuleAPI_Qsci_QtCore->em_enums[61]

#define sipClass_QDataStream             sipModuleAPI_Qsci_QtCore->em_types[87]
#define sipCast_QDataStream              sipModuleAPI_Qsci_QtCore->em_types[87]->type->td_cast
#define sipForceConvertTo_QDataStream    sipModuleAPI_Qsci_QtCore->em_types[87]->type->td_fcto

#define sipEnum_QDataStream_Status              sipModuleAPI_Qsci_QtCore->em_enums[58]
#define sipEnum_QDataStream_ByteOrder              sipModuleAPI_Qsci_QtCore->em_enums[59]
#define sipEnum_QDataStream_Version              sipModuleAPI_Qsci_QtCore->em_enums[60]

#define sipClass_QDate             sipModuleAPI_Qsci_QtCore->em_types[86]
#define sipCast_QDate              sipModuleAPI_Qsci_QtCore->em_types[86]->type->td_cast
#define sipForceConvertTo_QDate    sipModuleAPI_Qsci_QtCore->em_types[86]->type->td_fcto

#define sipClass_QTime             sipModuleAPI_Qsci_QtCore->em_types[85]
#define sipCast_QTime              sipModuleAPI_Qsci_QtCore->em_types[85]->type->td_cast
#define sipForceConvertTo_QTime    sipModuleAPI_Qsci_QtCore->em_types[85]->type->td_fcto

#define sipClass_QDateTime             sipModuleAPI_Qsci_QtCore->em_types[84]
#define sipCast_QDateTime              sipModuleAPI_Qsci_QtCore->em_types[84]->type->td_cast
#define sipForceConvertTo_QDateTime    sipModuleAPI_Qsci_QtCore->em_types[84]->type->td_fcto

#define sipClass_QDir             sipModuleAPI_Qsci_QtCore->em_types[81]
#define sipCast_QDir              sipModuleAPI_Qsci_QtCore->em_types[81]->type->td_cast
#define sipForceConvertTo_QDir    sipModuleAPI_Qsci_QtCore->em_types[81]->type->td_fcto

#define sipEnum_QDir_SortFlag              sipModuleAPI_Qsci_QtCore->em_enums[56]
#define sipEnum_QDir_Filter              sipModuleAPI_Qsci_QtCore->em_enums[57]

#define sipClass_QDir_Filters             sipModuleAPI_Qsci_QtCore->em_types[83]
#define sipCast_QDir_Filters              sipModuleAPI_Qsci_QtCore->em_types[83]->type->td_cast
#define sipForceConvertTo_QDir_Filters    sipModuleAPI_Qsci_QtCore->em_types[83]->type->td_fcto

#define sipClass_QDir_SortFlags             sipModuleAPI_Qsci_QtCore->em_types[82]
#define sipCast_QDir_SortFlags              sipModuleAPI_Qsci_QtCore->em_types[82]->type->td_cast
#define sipForceConvertTo_QDir_SortFlags    sipModuleAPI_Qsci_QtCore->em_types[82]->type->td_fcto

#define sipClass_QDirIterator             sipModuleAPI_Qsci_QtCore->em_types[79]
#define sipCast_QDirIterator              sipModuleAPI_Qsci_QtCore->em_types[79]->type->td_cast
#define sipForceConvertTo_QDirIterator    sipModuleAPI_Qsci_QtCore->em_types[79]->type->td_fcto

#define sipEnum_QDirIterator_IteratorFlag              sipModuleAPI_Qsci_QtCore->em_enums[55]

#define sipClass_QDirIterator_IteratorFlags             sipModuleAPI_Qsci_QtCore->em_types[80]
#define sipCast_QDirIterator_IteratorFlags              sipModuleAPI_Qsci_QtCore->em_types[80]->type->td_cast
#define sipForceConvertTo_QDirIterator_IteratorFlags    sipModuleAPI_Qsci_QtCore->em_types[80]->type->td_fcto

#define sipClass_QEventLoop             sipModuleAPI_Qsci_QtCore->em_types[122]
#define sipCast_QEventLoop              sipModuleAPI_Qsci_QtCore->em_types[122]->type->td_cast
#define sipForceConvertTo_QEventLoop    sipModuleAPI_Qsci_QtCore->em_types[122]->type->td_fcto

#define sipEnum_QEventLoop_ProcessEventsFlag              sipModuleAPI_Qsci_QtCore->em_enums[54]

#define sipClass_QEventLoop_ProcessEventsFlags             sipModuleAPI_Qsci_QtCore->em_types[123]
#define sipCast_QEventLoop_ProcessEventsFlags              sipModuleAPI_Qsci_QtCore->em_types[123]->type->td_cast
#define sipForceConvertTo_QEventLoop_ProcessEventsFlags    sipModuleAPI_Qsci_QtCore->em_types[123]->type->td_fcto

#define sipClass_QFile             sipModuleAPI_Qsci_QtCore->em_types[128]
#define sipCast_QFile              sipModuleAPI_Qsci_QtCore->em_types[128]->type->td_cast
#define sipForceConvertTo_QFile    sipModuleAPI_Qsci_QtCore->em_types[128]->type->td_fcto

#define sipEnum_QFile_Permission              sipModuleAPI_Qsci_QtCore->em_enums[51]
#define sipEnum_QFile_MemoryMapFlags              sipModuleAPI_Qsci_QtCore->em_enums[52]
#define sipEnum_QFile_FileError              sipModuleAPI_Qsci_QtCore->em_enums[53]

#define sipClass_QFile_Permissions             sipModuleAPI_Qsci_QtCore->em_types[129]
#define sipCast_QFile_Permissions              sipModuleAPI_Qsci_QtCore->em_types[129]->type->td_cast
#define sipForceConvertTo_QFile_Permissions    sipModuleAPI_Qsci_QtCore->em_types[129]->type->td_fcto

#define sipClass_QFileInfo             sipModuleAPI_Qsci_QtCore->em_types[78]
#define sipCast_QFileInfo              sipModuleAPI_Qsci_QtCore->em_types[78]->type->td_cast
#define sipForceConvertTo_QFileInfo    sipModuleAPI_Qsci_QtCore->em_types[78]->type->td_fcto

#define sipClass_QFileSystemWatcher             sipModuleAPI_Qsci_QtCore->em_types[121]
#define sipCast_QFileSystemWatcher              sipModuleAPI_Qsci_QtCore->em_types[121]->type->td_cast
#define sipForceConvertTo_QFileSystemWatcher    sipModuleAPI_Qsci_QtCore->em_types[121]->type->td_fcto

#define sipClass_QFSFileEngine             sipModuleAPI_Qsci_QtCore->em_types[105]
#define sipCast_QFSFileEngine              sipModuleAPI_Qsci_QtCore->em_types[105]->type->td_cast
#define sipForceConvertTo_QFSFileEngine    sipModuleAPI_Qsci_QtCore->em_types[105]->type->td_fcto

#define sipClass_QIODevice_OpenMode             sipModuleAPI_Qsci_QtCore->em_types[126]
#define sipCast_QIODevice_OpenMode              sipModuleAPI_Qsci_QtCore->em_types[126]->type->td_cast
#define sipForceConvertTo_QIODevice_OpenMode    sipModuleAPI_Qsci_QtCore->em_types[126]->type->td_fcto

#define sipClass_QLibrary             sipModuleAPI_Qsci_QtCore->em_types[119]
#define sipCast_QLibrary              sipModuleAPI_Qsci_QtCore->em_types[119]->type->td_cast
#define sipForceConvertTo_QLibrary    sipModuleAPI_Qsci_QtCore->em_types[119]->type->td_fcto

#define sipEnum_QLibrary_LoadHint              sipModuleAPI_Qsci_QtCore->em_enums[49]

#define sipClass_QLibrary_LoadHints             sipModuleAPI_Qsci_QtCore->em_types[120]
#define sipCast_QLibrary_LoadHints              sipModuleAPI_Qsci_QtCore->em_types[120]->type->td_cast
#define sipForceConvertTo_QLibrary_LoadHints    sipModuleAPI_Qsci_QtCore->em_types[120]->type->td_fcto

#define sipClass_QLibraryInfo             sipModuleAPI_Qsci_QtCore->em_types[77]
#define sipCast_QLibraryInfo              sipModuleAPI_Qsci_QtCore->em_types[77]->type->td_cast
#define sipForceConvertTo_QLibraryInfo    sipModuleAPI_Qsci_QtCore->em_types[77]->type->td_fcto

#define sipEnum_QLibraryInfo_LibraryLocation              sipModuleAPI_Qsci_QtCore->em_enums[48]

#define sipClass_QLine             sipModuleAPI_Qsci_QtCore->em_types[76]
#define sipCast_QLine              sipModuleAPI_Qsci_QtCore->em_types[76]->type->td_cast
#define sipForceConvertTo_QLine    sipModuleAPI_Qsci_QtCore->em_types[76]->type->td_fcto

#define sipClass_QLineF             sipModuleAPI_Qsci_QtCore->em_types[75]
#define sipCast_QLineF              sipModuleAPI_Qsci_QtCore->em_types[75]->type->td_cast
#define sipForceConvertTo_QLineF    sipModuleAPI_Qsci_QtCore->em_types[75]->type->td_fcto

#define sipEnum_QLineF_IntersectType              sipModuleAPI_Qsci_QtCore->em_enums[47]

#define sipClass_QLocale             sipModuleAPI_Qsci_QtCore->em_types[73]
#define sipCast_QLocale              sipModuleAPI_Qsci_QtCore->em_types[73]->type->td_cast
#define sipForceConvertTo_QLocale    sipModuleAPI_Qsci_QtCore->em_types[73]->type->td_fcto

#define sipEnum_QLocale_MeasurementSystem              sipModuleAPI_Qsci_QtCore->em_enums[42]
#define sipEnum_QLocale_FormatType              sipModuleAPI_Qsci_QtCore->em_enums[43]
#define sipEnum_QLocale_NumberOption              sipModuleAPI_Qsci_QtCore->em_enums[44]
#define sipEnum_QLocale_Country              sipModuleAPI_Qsci_QtCore->em_enums[45]
#define sipEnum_QLocale_Language              sipModuleAPI_Qsci_QtCore->em_enums[46]

#define sipClass_QLocale_NumberOptions             sipModuleAPI_Qsci_QtCore->em_types[74]
#define sipCast_QLocale_NumberOptions              sipModuleAPI_Qsci_QtCore->em_types[74]->type->td_cast
#define sipForceConvertTo_QLocale_NumberOptions    sipModuleAPI_Qsci_QtCore->em_types[74]->type->td_fcto

#define sipClass_QSystemLocale             sipModuleAPI_Qsci_QtCore->em_types[72]
#define sipCast_QSystemLocale              sipModuleAPI_Qsci_QtCore->em_types[72]->type->td_cast
#define sipForceConvertTo_QSystemLocale    sipModuleAPI_Qsci_QtCore->em_types[72]->type->td_fcto

#define sipEnum_QSystemLocale_QueryType              sipModuleAPI_Qsci_QtCore->em_enums[41]

#define sipClass_QMetaMethod             sipModuleAPI_Qsci_QtCore->em_types[71]
#define sipCast_QMetaMethod              sipModuleAPI_Qsci_QtCore->em_types[71]->type->td_cast
#define sipForceConvertTo_QMetaMethod    sipModuleAPI_Qsci_QtCore->em_types[71]->type->td_fcto

#define sipEnum_QMetaMethod_MethodType              sipModuleAPI_Qsci_QtCore->em_enums[39]
#define sipEnum_QMetaMethod_Access              sipModuleAPI_Qsci_QtCore->em_enums[40]

#define sipClass_QMetaEnum             sipModuleAPI_Qsci_QtCore->em_types[70]
#define sipCast_QMetaEnum              sipModuleAPI_Qsci_QtCore->em_types[70]->type->td_cast
#define sipForceConvertTo_QMetaEnum    sipModuleAPI_Qsci_QtCore->em_types[70]->type->td_fcto

#define sipClass_QMetaProperty             sipModuleAPI_Qsci_QtCore->em_types[69]
#define sipCast_QMetaProperty              sipModuleAPI_Qsci_QtCore->em_types[69]->type->td_cast
#define sipForceConvertTo_QMetaProperty    sipModuleAPI_Qsci_QtCore->em_types[69]->type->td_fcto

#define sipClass_QMetaClassInfo             sipModuleAPI_Qsci_QtCore->em_types[68]
#define sipCast_QMetaClassInfo              sipModuleAPI_Qsci_QtCore->em_types[68]->type->td_cast
#define sipForceConvertTo_QMetaClassInfo    sipModuleAPI_Qsci_QtCore->em_types[68]->type->td_fcto

#define sipClass_QMetaType             sipModuleAPI_Qsci_QtCore->em_types[67]
#define sipCast_QMetaType              sipModuleAPI_Qsci_QtCore->em_types[67]->type->td_cast
#define sipForceConvertTo_QMetaType    sipModuleAPI_Qsci_QtCore->em_types[67]->type->td_fcto

#define sipEnum_QMetaType_Type              sipModuleAPI_Qsci_QtCore->em_enums[38]

#define sipClass_QMimeData             sipModuleAPI_Qsci_QtCore->em_types[118]
#define sipCast_QMimeData              sipModuleAPI_Qsci_QtCore->em_types[118]->type->td_cast
#define sipForceConvertTo_QMimeData    sipModuleAPI_Qsci_QtCore->em_types[118]->type->td_fcto

#define sipClass_QMutex             sipModuleAPI_Qsci_QtCore->em_types[66]
#define sipCast_QMutex              sipModuleAPI_Qsci_QtCore->em_types[66]->type->td_cast
#define sipForceConvertTo_QMutex    sipModuleAPI_Qsci_QtCore->em_types[66]->type->td_fcto

#define sipEnum_QMutex_RecursionMode              sipModuleAPI_Qsci_QtCore->em_enums[37]

#define sipClass_QMutexLocker             sipModuleAPI_Qsci_QtCore->em_types[65]
#define sipCast_QMutexLocker              sipModuleAPI_Qsci_QtCore->em_types[65]->type->td_cast
#define sipForceConvertTo_QMutexLocker    sipModuleAPI_Qsci_QtCore->em_types[65]->type->td_fcto

#define sipClass_QObjectCleanupHandler             sipModuleAPI_Qsci_QtCore->em_types[117]
#define sipCast_QObjectCleanupHandler              sipModuleAPI_Qsci_QtCore->em_types[117]->type->td_cast
#define sipForceConvertTo_QObjectCleanupHandler    sipModuleAPI_Qsci_QtCore->em_types[117]->type->td_fcto

#define sipClass_QMetaObject             sipModuleAPI_Qsci_QtCore->em_types[45]
#define sipCast_QMetaObject              sipModuleAPI_Qsci_QtCore->em_types[45]->type->td_cast
#define sipForceConvertTo_QMetaObject    sipModuleAPI_Qsci_QtCore->em_types[45]->type->td_fcto

#define sipClass_QGenericArgument             sipModuleAPI_Qsci_QtCore->em_types[44]
#define sipCast_QGenericArgument              sipModuleAPI_Qsci_QtCore->em_types[44]->type->td_cast
#define sipForceConvertTo_QGenericArgument    sipModuleAPI_Qsci_QtCore->em_types[44]->type->td_fcto

#define sipClass_QGenericReturnArgument             sipModuleAPI_Qsci_QtCore->em_types[43]
#define sipCast_QGenericReturnArgument              sipModuleAPI_Qsci_QtCore->em_types[43]->type->td_cast
#define sipForceConvertTo_QGenericReturnArgument    sipModuleAPI_Qsci_QtCore->em_types[43]->type->td_fcto

#define sipClass_QPluginLoader             sipModuleAPI_Qsci_QtCore->em_types[116]
#define sipCast_QPluginLoader              sipModuleAPI_Qsci_QtCore->em_types[116]->type->td_cast
#define sipForceConvertTo_QPluginLoader    sipModuleAPI_Qsci_QtCore->em_types[116]->type->td_fcto

#define sipClass_QPoint             sipModuleAPI_Qsci_QtCore->em_types[42]
#define sipCast_QPoint              sipModuleAPI_Qsci_QtCore->em_types[42]->type->td_cast
#define sipForceConvertTo_QPoint    sipModuleAPI_Qsci_QtCore->em_types[42]->type->td_fcto

#define sipClass_QPointF             sipModuleAPI_Qsci_QtCore->em_types[41]
#define sipCast_QPointF              sipModuleAPI_Qsci_QtCore->em_types[41]->type->td_cast
#define sipForceConvertTo_QPointF    sipModuleAPI_Qsci_QtCore->em_types[41]->type->td_fcto

#define sipClass_QProcess             sipModuleAPI_Qsci_QtCore->em_types[127]
#define sipCast_QProcess              sipModuleAPI_Qsci_QtCore->em_types[127]->type->td_cast
#define sipForceConvertTo_QProcess    sipModuleAPI_Qsci_QtCore->em_types[127]->type->td_fcto

#define sipEnum_QProcess_ProcessChannelMode              sipModuleAPI_Qsci_QtCore->em_enums[32]
#define sipEnum_QProcess_ProcessChannel              sipModuleAPI_Qsci_QtCore->em_enums[33]
#define sipEnum_QProcess_ProcessState              sipModuleAPI_Qsci_QtCore->em_enums[34]
#define sipEnum_QProcess_ProcessError              sipModuleAPI_Qsci_QtCore->em_enums[35]
#define sipEnum_QProcess_ExitStatus              sipModuleAPI_Qsci_QtCore->em_enums[36]

#define sipClass_QReadWriteLock             sipModuleAPI_Qsci_QtCore->em_types[40]
#define sipCast_QReadWriteLock              sipModuleAPI_Qsci_QtCore->em_types[40]->type->td_cast
#define sipForceConvertTo_QReadWriteLock    sipModuleAPI_Qsci_QtCore->em_types[40]->type->td_fcto

#define sipEnum_QReadWriteLock_RecursionMode              sipModuleAPI_Qsci_QtCore->em_enums[31]

#define sipClass_QReadLocker             sipModuleAPI_Qsci_QtCore->em_types[39]
#define sipCast_QReadLocker              sipModuleAPI_Qsci_QtCore->em_types[39]->type->td_cast
#define sipForceConvertTo_QReadLocker    sipModuleAPI_Qsci_QtCore->em_types[39]->type->td_fcto

#define sipClass_QWriteLocker             sipModuleAPI_Qsci_QtCore->em_types[38]
#define sipCast_QWriteLocker              sipModuleAPI_Qsci_QtCore->em_types[38]->type->td_cast
#define sipForceConvertTo_QWriteLocker    sipModuleAPI_Qsci_QtCore->em_types[38]->type->td_fcto

#define sipClass_QRect             sipModuleAPI_Qsci_QtCore->em_types[37]
#define sipCast_QRect              sipModuleAPI_Qsci_QtCore->em_types[37]->type->td_cast
#define sipForceConvertTo_QRect    sipModuleAPI_Qsci_QtCore->em_types[37]->type->td_fcto

#define sipClass_QRectF             sipModuleAPI_Qsci_QtCore->em_types[36]
#define sipCast_QRectF              sipModuleAPI_Qsci_QtCore->em_types[36]->type->td_cast
#define sipForceConvertTo_QRectF    sipModuleAPI_Qsci_QtCore->em_types[36]->type->td_fcto

#define sipClass_QRegExp             sipModuleAPI_Qsci_QtCore->em_types[35]
#define sipCast_QRegExp              sipModuleAPI_Qsci_QtCore->em_types[35]->type->td_cast
#define sipForceConvertTo_QRegExp    sipModuleAPI_Qsci_QtCore->em_types[35]->type->td_fcto

#define sipEnum_QRegExp_CaretMode              sipModuleAPI_Qsci_QtCore->em_enums[29]
#define sipEnum_QRegExp_PatternSyntax              sipModuleAPI_Qsci_QtCore->em_enums[30]

#define sipClass_QResource             sipModuleAPI_Qsci_QtCore->em_types[34]
#define sipCast_QResource              sipModuleAPI_Qsci_QtCore->em_types[34]->type->td_cast
#define sipForceConvertTo_QResource    sipModuleAPI_Qsci_QtCore->em_types[34]->type->td_fcto

#define sipClass_QRunnable             sipModuleAPI_Qsci_QtCore->em_types[33]
#define sipCast_QRunnable              sipModuleAPI_Qsci_QtCore->em_types[33]->type->td_cast
#define sipForceConvertTo_QRunnable    sipModuleAPI_Qsci_QtCore->em_types[33]->type->td_fcto

#define sipClass_QSemaphore             sipModuleAPI_Qsci_QtCore->em_types[32]
#define sipCast_QSemaphore              sipModuleAPI_Qsci_QtCore->em_types[32]->type->td_cast
#define sipForceConvertTo_QSemaphore    sipModuleAPI_Qsci_QtCore->em_types[32]->type->td_fcto

#define sipClass_QSettings             sipModuleAPI_Qsci_QtCore->em_types[115]
#define sipCast_QSettings              sipModuleAPI_Qsci_QtCore->em_types[115]->type->td_cast
#define sipForceConvertTo_QSettings    sipModuleAPI_Qsci_QtCore->em_types[115]->type->td_fcto

#define sipEnum_QSettings_Scope              sipModuleAPI_Qsci_QtCore->em_enums[26]
#define sipEnum_QSettings_Format              sipModuleAPI_Qsci_QtCore->em_enums[27]
#define sipEnum_QSettings_Status              sipModuleAPI_Qsci_QtCore->em_enums[28]

#define sipClass_QSharedMemory             sipModuleAPI_Qsci_QtCore->em_types[114]
#define sipCast_QSharedMemory              sipModuleAPI_Qsci_QtCore->em_types[114]->type->td_cast
#define sipForceConvertTo_QSharedMemory    sipModuleAPI_Qsci_QtCore->em_types[114]->type->td_fcto

#define sipEnum_QSharedMemory_SharedMemoryError              sipModuleAPI_Qsci_QtCore->em_enums[24]
#define sipEnum_QSharedMemory_AccessMode              sipModuleAPI_Qsci_QtCore->em_enums[25]

#define sipClass_QSignalMapper             sipModuleAPI_Qsci_QtCore->em_types[113]
#define sipCast_QSignalMapper              sipModuleAPI_Qsci_QtCore->em_types[113]->type->td_cast
#define sipForceConvertTo_QSignalMapper    sipModuleAPI_Qsci_QtCore->em_types[113]->type->td_fcto

#define sipClass_QSize             sipModuleAPI_Qsci_QtCore->em_types[31]
#define sipCast_QSize              sipModuleAPI_Qsci_QtCore->em_types[31]->type->td_cast
#define sipForceConvertTo_QSize    sipModuleAPI_Qsci_QtCore->em_types[31]->type->td_fcto

#define sipClass_QSizeF             sipModuleAPI_Qsci_QtCore->em_types[30]
#define sipCast_QSizeF              sipModuleAPI_Qsci_QtCore->em_types[30]->type->td_cast
#define sipForceConvertTo_QSizeF    sipModuleAPI_Qsci_QtCore->em_types[30]->type->td_fcto

#define sipClass_QSocketNotifier             sipModuleAPI_Qsci_QtCore->em_types[112]
#define sipCast_QSocketNotifier              sipModuleAPI_Qsci_QtCore->em_types[112]->type->td_cast
#define sipForceConvertTo_QSocketNotifier    sipModuleAPI_Qsci_QtCore->em_types[112]->type->td_fcto

#define sipEnum_QSocketNotifier_Type              sipModuleAPI_Qsci_QtCore->em_enums[23]

#define sipClass_QString             sipModuleAPI_Qsci_QtCore->em_types[28]
#define sipCast_QString              sipModuleAPI_Qsci_QtCore->em_types[28]->type->td_cast
#define sipForceConvertTo_QString    sipModuleAPI_Qsci_QtCore->em_types[28]->type->td_fcto

#define sipEnum_QString_NormalizationForm              sipModuleAPI_Qsci_QtCore->em_enums[20]
#define sipEnum_QString_SplitBehavior              sipModuleAPI_Qsci_QtCore->em_enums[21]
#define sipEnum_QString_SectionFlag              sipModuleAPI_Qsci_QtCore->em_enums[22]

#define sipClass_QString_SectionFlags             sipModuleAPI_Qsci_QtCore->em_types[29]
#define sipCast_QString_SectionFlags              sipModuleAPI_Qsci_QtCore->em_types[29]->type->td_cast
#define sipForceConvertTo_QString_SectionFlags    sipModuleAPI_Qsci_QtCore->em_types[29]->type->td_fcto

#define sipClass_QLatin1String             sipModuleAPI_Qsci_QtCore->em_types[27]
#define sipCast_QLatin1String              sipModuleAPI_Qsci_QtCore->em_types[27]->type->td_cast
#define sipForceConvertTo_QLatin1String    sipModuleAPI_Qsci_QtCore->em_types[27]->type->td_fcto

#define sipClass_QStringRef             sipModuleAPI_Qsci_QtCore->em_types[26]
#define sipCast_QStringRef              sipModuleAPI_Qsci_QtCore->em_types[26]->type->td_cast
#define sipForceConvertTo_QStringRef    sipModuleAPI_Qsci_QtCore->em_types[26]->type->td_fcto

#define sipClass_QStringList             sipModuleAPI_Qsci_QtCore->em_types[25]
#define sipCast_QStringList              sipModuleAPI_Qsci_QtCore->em_types[25]->type->td_cast
#define sipForceConvertTo_QStringList    sipModuleAPI_Qsci_QtCore->em_types[25]->type->td_fcto

#define sipClass_QStringMatcher             sipModuleAPI_Qsci_QtCore->em_types[24]
#define sipCast_QStringMatcher              sipModuleAPI_Qsci_QtCore->em_types[24]->type->td_cast
#define sipForceConvertTo_QStringMatcher    sipModuleAPI_Qsci_QtCore->em_types[24]->type->td_fcto

#define sipClass_QSystemSemaphore             sipModuleAPI_Qsci_QtCore->em_types[23]
#define sipCast_QSystemSemaphore              sipModuleAPI_Qsci_QtCore->em_types[23]->type->td_cast
#define sipForceConvertTo_QSystemSemaphore    sipModuleAPI_Qsci_QtCore->em_types[23]->type->td_fcto

#define sipEnum_QSystemSemaphore_SystemSemaphoreError              sipModuleAPI_Qsci_QtCore->em_enums[18]
#define sipEnum_QSystemSemaphore_AccessMode              sipModuleAPI_Qsci_QtCore->em_enums[19]

#define sipClass_QTemporaryFile             sipModuleAPI_Qsci_QtCore->em_types[130]
#define sipCast_QTemporaryFile              sipModuleAPI_Qsci_QtCore->em_types[130]->type->td_cast
#define sipForceConvertTo_QTemporaryFile    sipModuleAPI_Qsci_QtCore->em_types[130]->type->td_fcto

#define sipClass_QTextBoundaryFinder             sipModuleAPI_Qsci_QtCore->em_types[21]
#define sipCast_QTextBoundaryFinder              sipModuleAPI_Qsci_QtCore->em_types[21]->type->td_cast
#define sipForceConvertTo_QTextBoundaryFinder    sipModuleAPI_Qsci_QtCore->em_types[21]->type->td_fcto

#define sipEnum_QTextBoundaryFinder_BoundaryType              sipModuleAPI_Qsci_QtCore->em_enums[16]
#define sipEnum_QTextBoundaryFinder_BoundaryReason              sipModuleAPI_Qsci_QtCore->em_enums[17]

#define sipClass_QTextBoundaryFinder_BoundaryReasons             sipModuleAPI_Qsci_QtCore->em_types[22]
#define sipCast_QTextBoundaryFinder_BoundaryReasons              sipModuleAPI_Qsci_QtCore->em_types[22]->type->td_cast
#define sipForceConvertTo_QTextBoundaryFinder_BoundaryReasons    sipModuleAPI_Qsci_QtCore->em_types[22]->type->td_fcto

#define sipClass_QTextCodec             sipModuleAPI_Qsci_QtCore->em_types[18]
#define sipCast_QTextCodec              sipModuleAPI_Qsci_QtCore->em_types[18]->type->td_cast
#define sipForceConvertTo_QTextCodec    sipModuleAPI_Qsci_QtCore->em_types[18]->type->td_fcto

#define sipEnum_QTextCodec_ConversionFlag              sipModuleAPI_Qsci_QtCore->em_enums[15]

#define sipClass_QTextCodec_ConversionFlags             sipModuleAPI_Qsci_QtCore->em_types[20]
#define sipCast_QTextCodec_ConversionFlags              sipModuleAPI_Qsci_QtCore->em_types[20]->type->td_cast
#define sipForceConvertTo_QTextCodec_ConversionFlags    sipModuleAPI_Qsci_QtCore->em_types[20]->type->td_fcto

#define sipClass_QTextCodec_ConverterState             sipModuleAPI_Qsci_QtCore->em_types[19]
#define sipCast_QTextCodec_ConverterState              sipModuleAPI_Qsci_QtCore->em_types[19]->type->td_cast
#define sipForceConvertTo_QTextCodec_ConverterState    sipModuleAPI_Qsci_QtCore->em_types[19]->type->td_fcto

#define sipClass_QTextEncoder             sipModuleAPI_Qsci_QtCore->em_types[17]
#define sipCast_QTextEncoder              sipModuleAPI_Qsci_QtCore->em_types[17]->type->td_cast
#define sipForceConvertTo_QTextEncoder    sipModuleAPI_Qsci_QtCore->em_types[17]->type->td_fcto

#define sipClass_QTextDecoder             sipModuleAPI_Qsci_QtCore->em_types[16]
#define sipCast_QTextDecoder              sipModuleAPI_Qsci_QtCore->em_types[16]->type->td_cast
#define sipForceConvertTo_QTextDecoder    sipModuleAPI_Qsci_QtCore->em_types[16]->type->td_fcto

#define sipClass_QTextStream             sipModuleAPI_Qsci_QtCore->em_types[14]
#define sipCast_QTextStream              sipModuleAPI_Qsci_QtCore->em_types[14]->type->td_cast
#define sipForceConvertTo_QTextStream    sipModuleAPI_Qsci_QtCore->em_types[14]->type->td_fcto

#define sipEnum_QTextStream_Status              sipModuleAPI_Qsci_QtCore->em_enums[11]
#define sipEnum_QTextStream_NumberFlag              sipModuleAPI_Qsci_QtCore->em_enums[12]
#define sipEnum_QTextStream_FieldAlignment              sipModuleAPI_Qsci_QtCore->em_enums[13]
#define sipEnum_QTextStream_RealNumberNotation              sipModuleAPI_Qsci_QtCore->em_enums[14]

#define sipClass_QTextStream_NumberFlags             sipModuleAPI_Qsci_QtCore->em_types[15]
#define sipCast_QTextStream_NumberFlags              sipModuleAPI_Qsci_QtCore->em_types[15]->type->td_cast
#define sipForceConvertTo_QTextStream_NumberFlags    sipModuleAPI_Qsci_QtCore->em_types[15]->type->td_fcto

#define sipClass_QTextStreamManipulator             sipModuleAPI_Qsci_QtCore->em_types[13]
#define sipCast_QTextStreamManipulator              sipModuleAPI_Qsci_QtCore->em_types[13]->type->td_cast
#define sipForceConvertTo_QTextStreamManipulator    sipModuleAPI_Qsci_QtCore->em_types[13]->type->td_fcto

#define sipClass_QThread             sipModuleAPI_Qsci_QtCore->em_types[111]
#define sipCast_QThread              sipModuleAPI_Qsci_QtCore->em_types[111]->type->td_cast
#define sipForceConvertTo_QThread    sipModuleAPI_Qsci_QtCore->em_types[111]->type->td_fcto

#define sipEnum_QThread_Priority              sipModuleAPI_Qsci_QtCore->em_enums[10]

#define sipClass_QThreadPool             sipModuleAPI_Qsci_QtCore->em_types[110]
#define sipCast_QThreadPool              sipModuleAPI_Qsci_QtCore->em_types[110]->type->td_cast
#define sipForceConvertTo_QThreadPool    sipModuleAPI_Qsci_QtCore->em_types[110]->type->td_fcto

#define sipClass_QTimeLine             sipModuleAPI_Qsci_QtCore->em_types[109]
#define sipCast_QTimeLine              sipModuleAPI_Qsci_QtCore->em_types[109]->type->td_cast
#define sipForceConvertTo_QTimeLine    sipModuleAPI_Qsci_QtCore->em_types[109]->type->td_fcto

#define sipEnum_QTimeLine_State              sipModuleAPI_Qsci_QtCore->em_enums[7]
#define sipEnum_QTimeLine_Direction              sipModuleAPI_Qsci_QtCore->em_enums[8]
#define sipEnum_QTimeLine_CurveShape              sipModuleAPI_Qsci_QtCore->em_enums[9]

#define sipClass_QTimer             sipModuleAPI_Qsci_QtCore->em_types[108]
#define sipCast_QTimer              sipModuleAPI_Qsci_QtCore->em_types[108]->type->td_cast
#define sipForceConvertTo_QTimer    sipModuleAPI_Qsci_QtCore->em_types[108]->type->td_fcto

#define sipClass_QTranslator             sipModuleAPI_Qsci_QtCore->em_types[107]
#define sipCast_QTranslator              sipModuleAPI_Qsci_QtCore->em_types[107]->type->td_cast
#define sipForceConvertTo_QTranslator    sipModuleAPI_Qsci_QtCore->em_types[107]->type->td_fcto

#define sipClass_QUrl             sipModuleAPI_Qsci_QtCore->em_types[11]
#define sipCast_QUrl              sipModuleAPI_Qsci_QtCore->em_types[11]->type->td_cast
#define sipForceConvertTo_QUrl    sipModuleAPI_Qsci_QtCore->em_types[11]->type->td_fcto

#define sipEnum_QUrl_ParsingMode              sipModuleAPI_Qsci_QtCore->em_enums[5]
#define sipEnum_QUrl_FormattingOption              sipModuleAPI_Qsci_QtCore->em_enums[6]

#define sipClass_QUrl_FormattingOptions             sipModuleAPI_Qsci_QtCore->em_types[12]
#define sipCast_QUrl_FormattingOptions              sipModuleAPI_Qsci_QtCore->em_types[12]->type->td_cast
#define sipForceConvertTo_QUrl_FormattingOptions    sipModuleAPI_Qsci_QtCore->em_types[12]->type->td_fcto

#define sipClass_QUuid             sipModuleAPI_Qsci_QtCore->em_types[10]
#define sipCast_QUuid              sipModuleAPI_Qsci_QtCore->em_types[10]->type->td_cast
#define sipForceConvertTo_QUuid    sipModuleAPI_Qsci_QtCore->em_types[10]->type->td_fcto

#define sipEnum_QUuid_Version              sipModuleAPI_Qsci_QtCore->em_enums[3]
#define sipEnum_QUuid_Variant              sipModuleAPI_Qsci_QtCore->em_enums[4]

#define sipClass_QVariant             sipModuleAPI_Qsci_QtCore->em_types[9]
#define sipCast_QVariant              sipModuleAPI_Qsci_QtCore->em_types[9]->type->td_cast
#define sipForceConvertTo_QVariant    sipModuleAPI_Qsci_QtCore->em_types[9]->type->td_fcto

#define sipEnum_QVariant_Type              sipModuleAPI_Qsci_QtCore->em_enums[2]

#define sipClass_QWaitCondition             sipModuleAPI_Qsci_QtCore->em_types[8]
#define sipCast_QWaitCondition              sipModuleAPI_Qsci_QtCore->em_types[8]->type->td_cast
#define sipForceConvertTo_QWaitCondition    sipModuleAPI_Qsci_QtCore->em_types[8]->type->td_fcto

#define sipClass_QXmlStreamAttribute             sipModuleAPI_Qsci_QtCore->em_types[7]
#define sipCast_QXmlStreamAttribute              sipModuleAPI_Qsci_QtCore->em_types[7]->type->td_cast
#define sipForceConvertTo_QXmlStreamAttribute    sipModuleAPI_Qsci_QtCore->em_types[7]->type->td_fcto

#define sipClass_QXmlStreamAttributes             sipModuleAPI_Qsci_QtCore->em_types[6]
#define sipCast_QXmlStreamAttributes              sipModuleAPI_Qsci_QtCore->em_types[6]->type->td_cast
#define sipForceConvertTo_QXmlStreamAttributes    sipModuleAPI_Qsci_QtCore->em_types[6]->type->td_fcto

#define sipClass_QXmlStreamNamespaceDeclaration             sipModuleAPI_Qsci_QtCore->em_types[5]
#define sipCast_QXmlStreamNamespaceDeclaration              sipModuleAPI_Qsci_QtCore->em_types[5]->type->td_cast
#define sipForceConvertTo_QXmlStreamNamespaceDeclaration    sipModuleAPI_Qsci_QtCore->em_types[5]->type->td_fcto

#define sipClass_QXmlStreamNotationDeclaration             sipModuleAPI_Qsci_QtCore->em_types[4]
#define sipCast_QXmlStreamNotationDeclaration              sipModuleAPI_Qsci_QtCore->em_types[4]->type->td_cast
#define sipForceConvertTo_QXmlStreamNotationDeclaration    sipModuleAPI_Qsci_QtCore->em_types[4]->type->td_fcto

#define sipClass_QXmlStreamEntityDeclaration             sipModuleAPI_Qsci_QtCore->em_types[3]
#define sipCast_QXmlStreamEntityDeclaration              sipModuleAPI_Qsci_QtCore->em_types[3]->type->td_cast
#define sipForceConvertTo_QXmlStreamEntityDeclaration    sipModuleAPI_Qsci_QtCore->em_types[3]->type->td_fcto

#define sipClass_QXmlStreamEntityResolver             sipModuleAPI_Qsci_QtCore->em_types[2]
#define sipCast_QXmlStreamEntityResolver              sipModuleAPI_Qsci_QtCore->em_types[2]->type->td_cast
#define sipForceConvertTo_QXmlStreamEntityResolver    sipModuleAPI_Qsci_QtCore->em_types[2]->type->td_fcto

#define sipClass_QXmlStreamReader             sipModuleAPI_Qsci_QtCore->em_types[1]
#define sipCast_QXmlStreamReader              sipModuleAPI_Qsci_QtCore->em_types[1]->type->td_cast
#define sipForceConvertTo_QXmlStreamReader    sipModuleAPI_Qsci_QtCore->em_types[1]->type->td_fcto

#define sipEnum_QXmlStreamReader_Error              sipModuleAPI_Qsci_QtCore->em_enums[0]
#define sipEnum_QXmlStreamReader_TokenType              sipModuleAPI_Qsci_QtCore->em_enums[1]

#define sipClass_QXmlStreamWriter             sipModuleAPI_Qsci_QtCore->em_types[0]
#define sipCast_QXmlStreamWriter              sipModuleAPI_Qsci_QtCore->em_types[0]->type->td_cast
#define sipForceConvertTo_QXmlStreamWriter    sipModuleAPI_Qsci_QtCore->em_types[0]->type->td_fcto

#define sipMappedType_QList_0600QPair_0100QByteArray_0100QByteArray        sipModuleAPI_Qsci_QtCore->em_mappedtypes[0]
#define sipForceConvertTo_QList_0600QPair_0100QByteArray_0100QByteArray    sipModuleAPI_Qsci_QtCore->em_mappedtypes[0]->mt_fcto
#define sipConvertFrom_QList_0600QPair_0100QByteArray_0100QByteArray       sipModuleAPI_Qsci_QtCore->em_mappedtypes[0]->mt_cfrom

#define sipMappedType_QList_0600QPair_0100QString_0100QString        sipModuleAPI_Qsci_QtCore->em_mappedtypes[1]
#define sipForceConvertTo_QList_0600QPair_0100QString_0100QString    sipModuleAPI_Qsci_QtCore->em_mappedtypes[1]->mt_fcto
#define sipConvertFrom_QList_0600QPair_0100QString_0100QString       sipModuleAPI_Qsci_QtCore->em_mappedtypes[1]->mt_cfrom

#define sipMappedType_QList_0200QUrl        sipModuleAPI_Qsci_QtCore->em_mappedtypes[2]
#define sipForceConvertTo_QList_0200QUrl    sipModuleAPI_Qsci_QtCore->em_mappedtypes[2]->mt_fcto
#define sipConvertFrom_QList_0200QUrl       sipModuleAPI_Qsci_QtCore->em_mappedtypes[2]->mt_cfrom

#define sipMappedType_QMap_1800_0200QVariant        sipModuleAPI_Qsci_QtCore->em_mappedtypes[3]
#define sipForceConvertTo_QMap_1800_0200QVariant    sipModuleAPI_Qsci_QtCore->em_mappedtypes[3]->mt_fcto
#define sipConvertFrom_QMap_1800_0200QVariant       sipModuleAPI_Qsci_QtCore->em_mappedtypes[3]->mt_cfrom

#define sipMappedType_QList_0200QByteArray        sipModuleAPI_Qsci_QtCore->em_mappedtypes[4]
#define sipForceConvertTo_QList_0200QByteArray    sipModuleAPI_Qsci_QtCore->em_mappedtypes[4]->mt_fcto
#define sipConvertFrom_QList_0200QByteArray       sipModuleAPI_Qsci_QtCore->em_mappedtypes[4]->mt_cfrom

#define sipMappedType_QList_0200QModelIndex        sipModuleAPI_Qsci_QtCore->em_mappedtypes[5]
#define sipForceConvertTo_QList_0200QModelIndex    sipModuleAPI_Qsci_QtCore->em_mappedtypes[5]->mt_fcto
#define sipConvertFrom_QList_0200QModelIndex       sipModuleAPI_Qsci_QtCore->em_mappedtypes[5]->mt_cfrom

#define sipMappedType_QList_0200QFileInfo        sipModuleAPI_Qsci_QtCore->em_mappedtypes[6]
#define sipForceConvertTo_QList_0200QFileInfo    sipModuleAPI_Qsci_QtCore->em_mappedtypes[6]->mt_fcto
#define sipConvertFrom_QList_0200QFileInfo       sipModuleAPI_Qsci_QtCore->em_mappedtypes[6]->mt_cfrom

#define sipMappedType_QList_0201QObject        sipModuleAPI_Qsci_QtCore->em_mappedtypes[7]
#define sipForceConvertTo_QList_0201QObject    sipModuleAPI_Qsci_QtCore->em_mappedtypes[7]->mt_fcto
#define sipConvertFrom_QList_0201QObject       sipModuleAPI_Qsci_QtCore->em_mappedtypes[7]->mt_cfrom

#define sipMappedType_QList_0200QVariant        sipModuleAPI_Qsci_QtCore->em_mappedtypes[8]
#define sipForceConvertTo_QList_0200QVariant    sipModuleAPI_Qsci_QtCore->em_mappedtypes[8]->mt_fcto
#define sipConvertFrom_QList_0200QVariant       sipModuleAPI_Qsci_QtCore->em_mappedtypes[8]->mt_cfrom

#define sipMappedType_QMap_0200QString_0200QVariant        sipModuleAPI_Qsci_QtCore->em_mappedtypes[9]
#define sipForceConvertTo_QMap_0200QString_0200QVariant    sipModuleAPI_Qsci_QtCore->em_mappedtypes[9]->mt_fcto
#define sipConvertFrom_QMap_0200QString_0200QVariant       sipModuleAPI_Qsci_QtCore->em_mappedtypes[9]->mt_cfrom

#define sipMappedType_QVector_0200QXmlStreamNamespaceDeclaration        sipModuleAPI_Qsci_QtCore->em_mappedtypes[10]
#define sipForceConvertTo_QVector_0200QXmlStreamNamespaceDeclaration    sipModuleAPI_Qsci_QtCore->em_mappedtypes[10]->mt_fcto
#define sipConvertFrom_QVector_0200QXmlStreamNamespaceDeclaration       sipModuleAPI_Qsci_QtCore->em_mappedtypes[10]->mt_cfrom

#define sipMappedType_QVector_0200QXmlStreamNotationDeclaration        sipModuleAPI_Qsci_QtCore->em_mappedtypes[11]
#define sipForceConvertTo_QVector_0200QXmlStreamNotationDeclaration    sipModuleAPI_Qsci_QtCore->em_mappedtypes[11]->mt_fcto
#define sipConvertFrom_QVector_0200QXmlStreamNotationDeclaration       sipModuleAPI_Qsci_QtCore->em_mappedtypes[11]->mt_cfrom

#define sipMappedType_QVector_0200QXmlStreamEntityDeclaration        sipModuleAPI_Qsci_QtCore->em_mappedtypes[12]
#define sipForceConvertTo_QVector_0200QXmlStreamEntityDeclaration    sipModuleAPI_Qsci_QtCore->em_mappedtypes[12]->mt_fcto
#define sipConvertFrom_QVector_0200QXmlStreamEntityDeclaration       sipModuleAPI_Qsci_QtCore->em_mappedtypes[12]->mt_cfrom

#define sipMappedType_QVector_2400        sipModuleAPI_Qsci_QtCore->em_mappedtypes[13]
#define sipForceConvertTo_QVector_2400    sipModuleAPI_Qsci_QtCore->em_mappedtypes[13]->mt_fcto
#define sipConvertFrom_QVector_2400       sipModuleAPI_Qsci_QtCore->em_mappedtypes[13]->mt_cfrom

#define sipMappedType_QVector_1900        sipModuleAPI_Qsci_QtCore->em_mappedtypes[14]
#define sipForceConvertTo_QVector_1900    sipModuleAPI_Qsci_QtCore->em_mappedtypes[14]->mt_fcto
#define sipConvertFrom_QVector_1900       sipModuleAPI_Qsci_QtCore->em_mappedtypes[14]->mt_cfrom

#define sipMappedType_QPair_1800_1800        sipModuleAPI_Qsci_QtCore->em_mappedtypes[15]
#define sipForceConvertTo_QPair_1800_1800    sipModuleAPI_Qsci_QtCore->em_mappedtypes[15]->mt_fcto
#define sipConvertFrom_QPair_1800_1800       sipModuleAPI_Qsci_QtCore->em_mappedtypes[15]->mt_cfrom

#define sipMappedType_QList_0500QLocale_Country        sipModuleAPI_Qsci_QtCore->em_mappedtypes[16]
#define sipForceConvertTo_QList_0500QLocale_Country    sipModuleAPI_Qsci_QtCore->em_mappedtypes[16]->mt_fcto
#define sipConvertFrom_QList_0500QLocale_Country       sipModuleAPI_Qsci_QtCore->em_mappedtypes[16]->mt_cfrom

#define sipMappedType_QList_2400        sipModuleAPI_Qsci_QtCore->em_mappedtypes[17]
#define sipForceConvertTo_QList_2400    sipModuleAPI_Qsci_QtCore->em_mappedtypes[17]->mt_fcto
#define sipConvertFrom_QList_2400       sipModuleAPI_Qsci_QtCore->em_mappedtypes[17]->mt_cfrom

#define sipMappedType_QList_1800        sipModuleAPI_Qsci_QtCore->em_mappedtypes[18]
#define sipForceConvertTo_QList_1800    sipModuleAPI_Qsci_QtCore->em_mappedtypes[18]->mt_fcto
#define sipConvertFrom_QList_1800       sipModuleAPI_Qsci_QtCore->em_mappedtypes[18]->mt_cfrom

#define sipMappedType_QList_0600QPair_2400_2400        sipModuleAPI_Qsci_QtCore->em_mappedtypes[19]
#define sipForceConvertTo_QList_0600QPair_2400_2400    sipModuleAPI_Qsci_QtCore->em_mappedtypes[19]->mt_fcto
#define sipConvertFrom_QList_0600QPair_2400_2400       sipModuleAPI_Qsci_QtCore->em_mappedtypes[19]->mt_cfrom

#define sipMappedType_QList_27000600QPair_1800_1800        sipModuleAPI_Qsci_QtCore->em_mappedtypes[20]
#define sipForceConvertTo_QList_27000600QPair_1800_1800    sipModuleAPI_Qsci_QtCore->em_mappedtypes[20]->mt_fcto
#define sipConvertFrom_QList_27000600QPair_1800_1800       sipModuleAPI_Qsci_QtCore->em_mappedtypes[20]->mt_cfrom
extern const sipExportedModuleDef *sipModuleAPI_Qsci_QtCore;

#define sipClass_QPaintDevice             sipModuleAPI_Qsci_QtGui->em_types[247]
#define sipCast_QPaintDevice              sipModuleAPI_Qsci_QtGui->em_types[247]->type->td_cast
#define sipForceConvertTo_QPaintDevice    sipModuleAPI_Qsci_QtGui->em_types[247]->type->td_fcto

#define sipEnum_QPaintDevice_PaintDeviceMetric              sipModuleAPI_Qsci_QtGui->em_enums[173]

#define sipClass_QWidget             sipModuleAPI_Qsci_QtGui->em_types[253]
#define sipCast_QWidget              sipModuleAPI_Qsci_QtGui->em_types[253]->type->td_cast
#define sipForceConvertTo_QWidget    sipModuleAPI_Qsci_QtGui->em_types[253]->type->td_fcto

#define sipEnum_QWidget_RenderFlag              sipModuleAPI_Qsci_QtGui->em_enums[7]

#define sipClass_QAbstractButton             sipModuleAPI_Qsci_QtGui->em_types[346]
#define sipCast_QAbstractButton              sipModuleAPI_Qsci_QtGui->em_types[346]->type->td_cast
#define sipForceConvertTo_QAbstractButton    sipModuleAPI_Qsci_QtGui->em_types[346]->type->td_fcto

#define sipClass_QAbstractItemDelegate             sipModuleAPI_Qsci_QtGui->em_types[244]
#define sipCast_QAbstractItemDelegate              sipModuleAPI_Qsci_QtGui->em_types[244]->type->td_cast
#define sipForceConvertTo_QAbstractItemDelegate    sipModuleAPI_Qsci_QtGui->em_types[244]->type->td_fcto

#define sipEnum_QAbstractItemDelegate_EndEditHint              sipModuleAPI_Qsci_QtGui->em_enums[289]

#define sipClass_QFrame             sipModuleAPI_Qsci_QtGui->em_types[317]
#define sipCast_QFrame              sipModuleAPI_Qsci_QtGui->em_types[317]->type->td_cast
#define sipForceConvertTo_QFrame    sipModuleAPI_Qsci_QtGui->em_types[317]->type->td_fcto

#define sipEnum_QFrame_StyleMask              sipModuleAPI_Qsci_QtGui->em_enums[222]
#define sipEnum_QFrame_Shape              sipModuleAPI_Qsci_QtGui->em_enums[223]
#define sipEnum_QFrame_Shadow              sipModuleAPI_Qsci_QtGui->em_enums[224]

#define sipClass_QAbstractScrollArea             sipModuleAPI_Qsci_QtGui->em_types[323]
#define sipCast_QAbstractScrollArea              sipModuleAPI_Qsci_QtGui->em_types[323]->type->td_cast
#define sipForceConvertTo_QAbstractScrollArea    sipModuleAPI_Qsci_QtGui->em_types[323]->type->td_fcto

#define sipClass_QAbstractItemView             sipModuleAPI_Qsci_QtGui->em_types[335]
#define sipCast_QAbstractItemView              sipModuleAPI_Qsci_QtGui->em_types[335]->type->td_cast
#define sipForceConvertTo_QAbstractItemView    sipModuleAPI_Qsci_QtGui->em_types[335]->type->td_fcto

#define sipEnum_QAbstractItemView_DropIndicatorPosition              sipModuleAPI_Qsci_QtGui->em_enums[280]
#define sipEnum_QAbstractItemView_State              sipModuleAPI_Qsci_QtGui->em_enums[281]
#define sipEnum_QAbstractItemView_CursorAction              sipModuleAPI_Qsci_QtGui->em_enums[282]
#define sipEnum_QAbstractItemView_SelectionMode              sipModuleAPI_Qsci_QtGui->em_enums[283]
#define sipEnum_QAbstractItemView_SelectionBehavior              sipModuleAPI_Qsci_QtGui->em_enums[284]
#define sipEnum_QAbstractItemView_ScrollMode              sipModuleAPI_Qsci_QtGui->em_enums[285]
#define sipEnum_QAbstractItemView_ScrollHint              sipModuleAPI_Qsci_QtGui->em_enums[286]
#define sipEnum_QAbstractItemView_EditTrigger              sipModuleAPI_Qsci_QtGui->em_enums[287]
#define sipEnum_QAbstractItemView_DragDropMode              sipModuleAPI_Qsci_QtGui->em_enums[288]

#define sipClass_QAbstractItemView_EditTriggers             sipModuleAPI_Qsci_QtGui->em_types[336]
#define sipCast_QAbstractItemView_EditTriggers              sipModuleAPI_Qsci_QtGui->em_types[336]->type->td_cast
#define sipForceConvertTo_QAbstractItemView_EditTriggers    sipModuleAPI_Qsci_QtGui->em_types[336]->type->td_fcto

#define sipClass_QDialog             sipModuleAPI_Qsci_QtGui->em_types[299]
#define sipCast_QDialog              sipModuleAPI_Qsci_QtGui->em_types[299]->type->td_cast
#define sipForceConvertTo_QDialog    sipModuleAPI_Qsci_QtGui->em_types[299]->type->td_fcto

#define sipEnum_QDialog_DialogCode              sipModuleAPI_Qsci_QtGui->em_enums[253]

#define sipClass_QAbstractPrintDialog             sipModuleAPI_Qsci_QtGui->em_types[314]
#define sipCast_QAbstractPrintDialog              sipModuleAPI_Qsci_QtGui->em_types[314]->type->td_cast
#define sipForceConvertTo_QAbstractPrintDialog    sipModuleAPI_Qsci_QtGui->em_types[314]->type->td_fcto

#define sipEnum_QAbstractPrintDialog_PrintDialogOption              sipModuleAPI_Qsci_QtGui->em_enums[278]
#define sipEnum_QAbstractPrintDialog_PrintRange              sipModuleAPI_Qsci_QtGui->em_enums[279]

#define sipClass_QAbstractPrintDialog_PrintDialogOptions             sipModuleAPI_Qsci_QtGui->em_types[315]
#define sipCast_QAbstractPrintDialog_PrintDialogOptions              sipModuleAPI_Qsci_QtGui->em_types[315]->type->td_cast
#define sipForceConvertTo_QAbstractPrintDialog_PrintDialogOptions    sipModuleAPI_Qsci_QtGui->em_types[315]->type->td_fcto

#define sipClass_QAbstractProxyModel             sipModuleAPI_Qsci_QtGui->em_types[242]
#define sipCast_QAbstractProxyModel              sipModuleAPI_Qsci_QtGui->em_types[242]->type->td_cast
#define sipForceConvertTo_QAbstractProxyModel    sipModuleAPI_Qsci_QtGui->em_types[242]->type->td_fcto

#define sipClass_QAbstractSpinBox             sipModuleAPI_Qsci_QtGui->em_types[291]
#define sipCast_QAbstractSpinBox              sipModuleAPI_Qsci_QtGui->em_types[291]->type->td_cast
#define sipForceConvertTo_QAbstractSpinBox    sipModuleAPI_Qsci_QtGui->em_types[291]->type->td_fcto

#define sipEnum_QAbstractSpinBox_CorrectionMode              sipModuleAPI_Qsci_QtGui->em_enums[275]
#define sipEnum_QAbstractSpinBox_ButtonSymbols              sipModuleAPI_Qsci_QtGui->em_enums[276]
#define sipEnum_QAbstractSpinBox_StepEnabledFlag              sipModuleAPI_Qsci_QtGui->em_enums[277]

#define sipClass_QAbstractSpinBox_StepEnabled             sipModuleAPI_Qsci_QtGui->em_types[292]
#define sipCast_QAbstractSpinBox_StepEnabled              sipModuleAPI_Qsci_QtGui->em_types[292]->type->td_cast
#define sipForceConvertTo_QAbstractSpinBox_StepEnabled    sipModuleAPI_Qsci_QtGui->em_types[292]->type->td_fcto

#define sipClass_QAbstractTextDocumentLayout             sipModuleAPI_Qsci_QtGui->em_types[238]
#define sipCast_QAbstractTextDocumentLayout              sipModuleAPI_Qsci_QtGui->em_types[238]->type->td_cast
#define sipForceConvertTo_QAbstractTextDocumentLayout    sipModuleAPI_Qsci_QtGui->em_types[238]->type->td_fcto

#define sipClass_QAbstractTextDocumentLayout_Selection             sipModuleAPI_Qsci_QtGui->em_types[240]
#define sipCast_QAbstractTextDocumentLayout_Selection              sipModuleAPI_Qsci_QtGui->em_types[240]->type->td_cast
#define sipForceConvertTo_QAbstractTextDocumentLayout_Selection    sipModuleAPI_Qsci_QtGui->em_types[240]->type->td_fcto

#define sipClass_QAbstractTextDocumentLayout_PaintContext             sipModuleAPI_Qsci_QtGui->em_types[239]
#define sipCast_QAbstractTextDocumentLayout_PaintContext              sipModuleAPI_Qsci_QtGui->em_types[239]->type->td_cast
#define sipForceConvertTo_QAbstractTextDocumentLayout_PaintContext    sipModuleAPI_Qsci_QtGui->em_types[239]->type->td_fcto

#define sipClass_QAbstractSlider             sipModuleAPI_Qsci_QtGui->em_types[287]
#define sipCast_QAbstractSlider              sipModuleAPI_Qsci_QtGui->em_types[287]->type->td_cast
#define sipForceConvertTo_QAbstractSlider    sipModuleAPI_Qsci_QtGui->em_types[287]->type->td_fcto

#define sipEnum_QAbstractSlider_SliderChange              sipModuleAPI_Qsci_QtGui->em_enums[273]
#define sipEnum_QAbstractSlider_SliderAction              sipModuleAPI_Qsci_QtGui->em_enums[274]

#define sipClass_QAction             sipModuleAPI_Qsci_QtGui->em_types[236]
#define sipCast_QAction              sipModuleAPI_Qsci_QtGui->em_types[236]->type->td_cast
#define sipForceConvertTo_QAction    sipModuleAPI_Qsci_QtGui->em_types[236]->type->td_fcto

#define sipEnum_QAction_MenuRole              sipModuleAPI_Qsci_QtGui->em_enums[271]
#define sipEnum_QAction_ActionEvent              sipModuleAPI_Qsci_QtGui->em_enums[272]

#define sipClass_QActionGroup             sipModuleAPI_Qsci_QtGui->em_types[235]
#define sipCast_QActionGroup              sipModuleAPI_Qsci_QtGui->em_types[235]->type->td_cast
#define sipForceConvertTo_QActionGroup    sipModuleAPI_Qsci_QtGui->em_types[235]->type->td_fcto

#define sipClass_QApplication             sipModuleAPI_Qsci_QtGui->em_types[234]
#define sipCast_QApplication              sipModuleAPI_Qsci_QtGui->em_types[234]->type->td_cast
#define sipForceConvertTo_QApplication    sipModuleAPI_Qsci_QtGui->em_types[234]->type->td_fcto

#define sipEnum_QApplication_ColorSpec              sipModuleAPI_Qsci_QtGui->em_enums[269]
#define sipEnum_QApplication_Type              sipModuleAPI_Qsci_QtGui->em_enums[270]

#define sipClass_QPixmap             sipModuleAPI_Qsci_QtGui->em_types[251]
#define sipCast_QPixmap              sipModuleAPI_Qsci_QtGui->em_types[251]->type->td_cast
#define sipForceConvertTo_QPixmap    sipModuleAPI_Qsci_QtGui->em_types[251]->type->td_fcto

#define sipClass_QBitmap             sipModuleAPI_Qsci_QtGui->em_types[252]
#define sipCast_QBitmap              sipModuleAPI_Qsci_QtGui->em_types[252]->type->td_cast
#define sipForceConvertTo_QBitmap    sipModuleAPI_Qsci_QtGui->em_types[252]->type->td_fcto

#define sipClass_QLayoutItem             sipModuleAPI_Qsci_QtGui->em_types[224]
#define sipCast_QLayoutItem              sipModuleAPI_Qsci_QtGui->em_types[224]->type->td_cast
#define sipForceConvertTo_QLayoutItem    sipModuleAPI_Qsci_QtGui->em_types[224]->type->td_fcto

#define sipClass_QLayout             sipModuleAPI_Qsci_QtGui->em_types[227]
#define sipCast_QLayout              sipModuleAPI_Qsci_QtGui->em_types[227]->type->td_cast
#define sipForceConvertTo_QLayout    sipModuleAPI_Qsci_QtGui->em_types[227]->type->td_fcto

#define sipEnum_QLayout_SizeConstraint              sipModuleAPI_Qsci_QtGui->em_enums[196]

#define sipClass_QBoxLayout             sipModuleAPI_Qsci_QtGui->em_types[231]
#define sipCast_QBoxLayout              sipModuleAPI_Qsci_QtGui->em_types[231]->type->td_cast
#define sipForceConvertTo_QBoxLayout    sipModuleAPI_Qsci_QtGui->em_types[231]->type->td_fcto

#define sipEnum_QBoxLayout_Direction              sipModuleAPI_Qsci_QtGui->em_enums[268]

#define sipClass_QHBoxLayout             sipModuleAPI_Qsci_QtGui->em_types[233]
#define sipCast_QHBoxLayout              sipModuleAPI_Qsci_QtGui->em_types[233]->type->td_cast
#define sipForceConvertTo_QHBoxLayout    sipModuleAPI_Qsci_QtGui->em_types[233]->type->td_fcto

#define sipClass_QVBoxLayout             sipModuleAPI_Qsci_QtGui->em_types[232]
#define sipCast_QVBoxLayout              sipModuleAPI_Qsci_QtGui->em_types[232]->type->td_cast
#define sipForceConvertTo_QVBoxLayout    sipModuleAPI_Qsci_QtGui->em_types[232]->type->td_fcto

#define sipClass_QColor             sipModuleAPI_Qsci_QtGui->em_types[223]
#define sipCast_QColor              sipModuleAPI_Qsci_QtGui->em_types[223]->type->td_cast
#define sipForceConvertTo_QColor    sipModuleAPI_Qsci_QtGui->em_types[223]->type->td_fcto

#define sipEnum_QColor_Spec              sipModuleAPI_Qsci_QtGui->em_enums[267]

#define sipClass_QPushButton             sipModuleAPI_Qsci_QtGui->em_types[350]
#define sipCast_QPushButton              sipModuleAPI_Qsci_QtGui->em_types[350]->type->td_cast
#define sipForceConvertTo_QPushButton    sipModuleAPI_Qsci_QtGui->em_types[350]->type->td_fcto

#define sipClass_QCommandLinkButton             sipModuleAPI_Qsci_QtGui->em_types[351]
#define sipCast_QCommandLinkButton              sipModuleAPI_Qsci_QtGui->em_types[351]->type->td_cast
#define sipForceConvertTo_QCommandLinkButton    sipModuleAPI_Qsci_QtGui->em_types[351]->type->td_fcto

#define sipClass_QBrush             sipModuleAPI_Qsci_QtGui->em_types[222]
#define sipCast_QBrush              sipModuleAPI_Qsci_QtGui->em_types[222]->type->td_cast
#define sipForceConvertTo_QBrush    sipModuleAPI_Qsci_QtGui->em_types[222]->type->td_fcto

#define sipClass_QGradient             sipModuleAPI_Qsci_QtGui->em_types[218]
#define sipCast_QGradient              sipModuleAPI_Qsci_QtGui->em_types[218]->type->td_cast
#define sipForceConvertTo_QGradient    sipModuleAPI_Qsci_QtGui->em_types[218]->type->td_fcto

#define sipEnum_QGradient_Spread              sipModuleAPI_Qsci_QtGui->em_enums[265]
#define sipEnum_QGradient_Type              sipModuleAPI_Qsci_QtGui->em_enums[266]

#define sipClass_QLinearGradient             sipModuleAPI_Qsci_QtGui->em_types[221]
#define sipCast_QLinearGradient              sipModuleAPI_Qsci_QtGui->em_types[221]->type->td_cast
#define sipForceConvertTo_QLinearGradient    sipModuleAPI_Qsci_QtGui->em_types[221]->type->td_fcto

#define sipClass_QRadialGradient             sipModuleAPI_Qsci_QtGui->em_types[220]
#define sipCast_QRadialGradient              sipModuleAPI_Qsci_QtGui->em_types[220]->type->td_cast
#define sipForceConvertTo_QRadialGradient    sipModuleAPI_Qsci_QtGui->em_types[220]->type->td_fcto

#define sipClass_QConicalGradient             sipModuleAPI_Qsci_QtGui->em_types[219]
#define sipCast_QConicalGradient              sipModuleAPI_Qsci_QtGui->em_types[219]->type->td_cast
#define sipForceConvertTo_QConicalGradient    sipModuleAPI_Qsci_QtGui->em_types[219]->type->td_fcto

#define sipClass_QButtonGroup             sipModuleAPI_Qsci_QtGui->em_types[217]
#define sipCast_QButtonGroup              sipModuleAPI_Qsci_QtGui->em_types[217]->type->td_cast
#define sipForceConvertTo_QButtonGroup    sipModuleAPI_Qsci_QtGui->em_types[217]->type->td_fcto

#define sipClass_QCalendarWidget             sipModuleAPI_Qsci_QtGui->em_types[286]
#define sipCast_QCalendarWidget              sipModuleAPI_Qsci_QtGui->em_types[286]->type->td_cast
#define sipForceConvertTo_QCalendarWidget    sipModuleAPI_Qsci_QtGui->em_types[286]->type->td_fcto

#define sipEnum_QCalendarWidget_SelectionMode              sipModuleAPI_Qsci_QtGui->em_enums[262]
#define sipEnum_QCalendarWidget_VerticalHeaderFormat              sipModuleAPI_Qsci_QtGui->em_enums[263]
#define sipEnum_QCalendarWidget_HorizontalHeaderFormat              sipModuleAPI_Qsci_QtGui->em_enums[264]

#define sipClass_QCheckBox             sipModuleAPI_Qsci_QtGui->em_types[349]
#define sipCast_QCheckBox              sipModuleAPI_Qsci_QtGui->em_types[349]->type->td_cast
#define sipForceConvertTo_QCheckBox    sipModuleAPI_Qsci_QtGui->em_types[349]->type->td_fcto

#define sipClass_QClipboard             sipModuleAPI_Qsci_QtGui->em_types[216]
#define sipCast_QClipboard              sipModuleAPI_Qsci_QtGui->em_types[216]->type->td_cast
#define sipForceConvertTo_QClipboard    sipModuleAPI_Qsci_QtGui->em_types[216]->type->td_fcto

#define sipEnum_QClipboard_Mode              sipModuleAPI_Qsci_QtGui->em_enums[261]

#define sipClass_QColumnView             sipModuleAPI_Qsci_QtGui->em_types[345]
#define sipCast_QColumnView              sipModuleAPI_Qsci_QtGui->em_types[345]->type->td_cast
#define sipForceConvertTo_QColumnView    sipModuleAPI_Qsci_QtGui->em_types[345]->type->td_fcto

#define sipClass_QColorDialog             sipModuleAPI_Qsci_QtGui->em_types[313]
#define sipCast_QColorDialog              sipModuleAPI_Qsci_QtGui->em_types[313]->type->td_cast
#define sipForceConvertTo_QColorDialog    sipModuleAPI_Qsci_QtGui->em_types[313]->type->td_fcto

#define sipClass_QComboBox             sipModuleAPI_Qsci_QtGui->em_types[283]
#define sipCast_QComboBox              sipModuleAPI_Qsci_QtGui->em_types[283]->type->td_cast
#define sipForceConvertTo_QComboBox    sipModuleAPI_Qsci_QtGui->em_types[283]->type->td_fcto

#define sipEnum_QComboBox_SizeAdjustPolicy              sipModuleAPI_Qsci_QtGui->em_enums[259]
#define sipEnum_QComboBox_InsertPolicy              sipModuleAPI_Qsci_QtGui->em_enums[260]

#define sipClass_QCompleter             sipModuleAPI_Qsci_QtGui->em_types[215]
#define sipCast_QCompleter              sipModuleAPI_Qsci_QtGui->em_types[215]->type->td_cast
#define sipForceConvertTo_QCompleter    sipModuleAPI_Qsci_QtGui->em_types[215]->type->td_fcto

#define sipEnum_QCompleter_ModelSorting              sipModuleAPI_Qsci_QtGui->em_enums[257]
#define sipEnum_QCompleter_CompletionMode              sipModuleAPI_Qsci_QtGui->em_enums[258]

#define sipClass_QCursor             sipModuleAPI_Qsci_QtGui->em_types[214]
#define sipCast_QCursor              sipModuleAPI_Qsci_QtGui->em_types[214]->type->td_cast
#define sipForceConvertTo_QCursor    sipModuleAPI_Qsci_QtGui->em_types[214]->type->td_fcto

#define sipClass_QDataWidgetMapper             sipModuleAPI_Qsci_QtGui->em_types[213]
#define sipCast_QDataWidgetMapper              sipModuleAPI_Qsci_QtGui->em_types[213]->type->td_cast
#define sipForceConvertTo_QDataWidgetMapper    sipModuleAPI_Qsci_QtGui->em_types[213]->type->td_fcto

#define sipEnum_QDataWidgetMapper_SubmitPolicy              sipModuleAPI_Qsci_QtGui->em_enums[256]

#define sipClass_QDateTimeEdit             sipModuleAPI_Qsci_QtGui->em_types[295]
#define sipCast_QDateTimeEdit              sipModuleAPI_Qsci_QtGui->em_types[295]->type->td_cast
#define sipForceConvertTo_QDateTimeEdit    sipModuleAPI_Qsci_QtGui->em_types[295]->type->td_fcto

#define sipEnum_QDateTimeEdit_Section              sipModuleAPI_Qsci_QtGui->em_enums[255]

#define sipClass_QDateTimeEdit_Sections             sipModuleAPI_Qsci_QtGui->em_types[296]
#define sipCast_QDateTimeEdit_Sections              sipModuleAPI_Qsci_QtGui->em_types[296]->type->td_cast
#define sipForceConvertTo_QDateTimeEdit_Sections    sipModuleAPI_Qsci_QtGui->em_types[296]->type->td_fcto

#define sipClass_QTimeEdit             sipModuleAPI_Qsci_QtGui->em_types[298]
#define sipCast_QTimeEdit              sipModuleAPI_Qsci_QtGui->em_types[298]->type->td_cast
#define sipForceConvertTo_QTimeEdit    sipModuleAPI_Qsci_QtGui->em_types[298]->type->td_fcto

#define sipClass_QDateEdit             sipModuleAPI_Qsci_QtGui->em_types[297]
#define sipCast_QDateEdit              sipModuleAPI_Qsci_QtGui->em_types[297]->type->td_cast
#define sipForceConvertTo_QDateEdit    sipModuleAPI_Qsci_QtGui->em_types[297]->type->td_fcto

#define sipClass_QDesktopServices             sipModuleAPI_Qsci_QtGui->em_types[212]
#define sipCast_QDesktopServices              sipModuleAPI_Qsci_QtGui->em_types[212]->type->td_cast
#define sipForceConvertTo_QDesktopServices    sipModuleAPI_Qsci_QtGui->em_types[212]->type->td_fcto

#define sipEnum_QDesktopServices_StandardLocation              sipModuleAPI_Qsci_QtGui->em_enums[254]

#define sipClass_QDesktopWidget             sipModuleAPI_Qsci_QtGui->em_types[282]
#define sipCast_QDesktopWidget              sipModuleAPI_Qsci_QtGui->em_types[282]->type->td_cast
#define sipForceConvertTo_QDesktopWidget    sipModuleAPI_Qsci_QtGui->em_types[282]->type->td_fcto

#define sipClass_QDial             sipModuleAPI_Qsci_QtGui->em_types[290]
#define sipCast_QDial              sipModuleAPI_Qsci_QtGui->em_types[290]->type->td_cast
#define sipForceConvertTo_QDial    sipModuleAPI_Qsci_QtGui->em_types[290]->type->td_fcto

#define sipClass_QDialogButtonBox             sipModuleAPI_Qsci_QtGui->em_types[280]
#define sipCast_QDialogButtonBox              sipModuleAPI_Qsci_QtGui->em_types[280]->type->td_cast
#define sipForceConvertTo_QDialogButtonBox    sipModuleAPI_Qsci_QtGui->em_types[280]->type->td_fcto

#define sipEnum_QDialogButtonBox_StandardButton              sipModuleAPI_Qsci_QtGui->em_enums[250]
#define sipEnum_QDialogButtonBox_ButtonRole              sipModuleAPI_Qsci_QtGui->em_enums[251]
#define sipEnum_QDialogButtonBox_ButtonLayout              sipModuleAPI_Qsci_QtGui->em_enums[252]

#define sipClass_QDialogButtonBox_StandardButtons             sipModuleAPI_Qsci_QtGui->em_types[281]
#define sipCast_QDialogButtonBox_StandardButtons              sipModuleAPI_Qsci_QtGui->em_types[281]->type->td_cast
#define sipForceConvertTo_QDialogButtonBox_StandardButtons    sipModuleAPI_Qsci_QtGui->em_types[281]->type->td_fcto

#define sipClass_QDirModel             sipModuleAPI_Qsci_QtGui->em_types[211]
#define sipCast_QDirModel              sipModuleAPI_Qsci_QtGui->em_types[211]->type->td_cast
#define sipForceConvertTo_QDirModel    sipModuleAPI_Qsci_QtGui->em_types[211]->type->td_fcto

#define sipEnum_QDirModel_Roles              sipModuleAPI_Qsci_QtGui->em_enums[249]

#define sipClass_QDockWidget             sipModuleAPI_Qsci_QtGui->em_types[278]
#define sipCast_QDockWidget              sipModuleAPI_Qsci_QtGui->em_types[278]->type->td_cast
#define sipForceConvertTo_QDockWidget    sipModuleAPI_Qsci_QtGui->em_types[278]->type->td_fcto

#define sipEnum_QDockWidget_DockWidgetFeature              sipModuleAPI_Qsci_QtGui->em_enums[248]

#define sipClass_QDockWidget_DockWidgetFeatures             sipModuleAPI_Qsci_QtGui->em_types[279]
#define sipCast_QDockWidget_DockWidgetFeatures              sipModuleAPI_Qsci_QtGui->em_types[279]->type->td_cast
#define sipForceConvertTo_QDockWidget_DockWidgetFeatures    sipModuleAPI_Qsci_QtGui->em_types[279]->type->td_fcto

#define sipClass_QDrag             sipModuleAPI_Qsci_QtGui->em_types[210]
#define sipCast_QDrag              sipModuleAPI_Qsci_QtGui->em_types[210]->type->td_cast
#define sipForceConvertTo_QDrag    sipModuleAPI_Qsci_QtGui->em_types[210]->type->td_fcto

#define sipClass_QErrorMessage             sipModuleAPI_Qsci_QtGui->em_types[312]
#define sipCast_QErrorMessage              sipModuleAPI_Qsci_QtGui->em_types[312]->type->td_cast
#define sipForceConvertTo_QErrorMessage    sipModuleAPI_Qsci_QtGui->em_types[312]->type->td_fcto

#define sipClass_QInputEvent             sipModuleAPI_Qsci_QtGui->em_types[204]
#define sipCast_QInputEvent              sipModuleAPI_Qsci_QtGui->em_types[204]->type->td_cast
#define sipForceConvertTo_QInputEvent    sipModuleAPI_Qsci_QtGui->em_types[204]->type->td_fcto

#define sipClass_QMouseEvent             sipModuleAPI_Qsci_QtGui->em_types[209]
#define sipCast_QMouseEvent              sipModuleAPI_Qsci_QtGui->em_types[209]->type->td_cast
#define sipForceConvertTo_QMouseEvent    sipModuleAPI_Qsci_QtGui->em_types[209]->type->td_fcto

#define sipClass_QHoverEvent             sipModuleAPI_Qsci_QtGui->em_types[203]
#define sipCast_QHoverEvent              sipModuleAPI_Qsci_QtGui->em_types[203]->type->td_cast
#define sipForceConvertTo_QHoverEvent    sipModuleAPI_Qsci_QtGui->em_types[203]->type->td_fcto

#define sipClass_QWheelEvent             sipModuleAPI_Qsci_QtGui->em_types[208]
#define sipCast_QWheelEvent              sipModuleAPI_Qsci_QtGui->em_types[208]->type->td_cast
#define sipForceConvertTo_QWheelEvent    sipModuleAPI_Qsci_QtGui->em_types[208]->type->td_fcto

#define sipClass_QTabletEvent             sipModuleAPI_Qsci_QtGui->em_types[207]
#define sipCast_QTabletEvent              sipModuleAPI_Qsci_QtGui->em_types[207]->type->td_cast
#define sipForceConvertTo_QTabletEvent    sipModuleAPI_Qsci_QtGui->em_types[207]->type->td_fcto

#define sipEnum_QTabletEvent_PointerType              sipModuleAPI_Qsci_QtGui->em_enums[246]
#define sipEnum_QTabletEvent_TabletDevice              sipModuleAPI_Qsci_QtGui->em_enums[247]

#define sipClass_QKeyEvent             sipModuleAPI_Qsci_QtGui->em_types[206]
#define sipCast_QKeyEvent              sipModuleAPI_Qsci_QtGui->em_types[206]->type->td_cast
#define sipForceConvertTo_QKeyEvent    sipModuleAPI_Qsci_QtGui->em_types[206]->type->td_fcto

#define sipClass_QFocusEvent             sipModuleAPI_Qsci_QtGui->em_types[202]
#define sipCast_QFocusEvent              sipModuleAPI_Qsci_QtGui->em_types[202]->type->td_cast
#define sipForceConvertTo_QFocusEvent    sipModuleAPI_Qsci_QtGui->em_types[202]->type->td_fcto

#define sipClass_QPaintEvent             sipModuleAPI_Qsci_QtGui->em_types[201]
#define sipCast_QPaintEvent              sipModuleAPI_Qsci_QtGui->em_types[201]->type->td_cast
#define sipForceConvertTo_QPaintEvent    sipModuleAPI_Qsci_QtGui->em_types[201]->type->td_fcto

#define sipClass_QMoveEvent             sipModuleAPI_Qsci_QtGui->em_types[200]
#define sipCast_QMoveEvent              sipModuleAPI_Qsci_QtGui->em_types[200]->type->td_cast
#define sipForceConvertTo_QMoveEvent    sipModuleAPI_Qsci_QtGui->em_types[200]->type->td_fcto

#define sipClass_QResizeEvent             sipModuleAPI_Qsci_QtGui->em_types[199]
#define sipCast_QResizeEvent              sipModuleAPI_Qsci_QtGui->em_types[199]->type->td_cast
#define sipForceConvertTo_QResizeEvent    sipModuleAPI_Qsci_QtGui->em_types[199]->type->td_fcto

#define sipClass_QCloseEvent             sipModuleAPI_Qsci_QtGui->em_types[198]
#define sipCast_QCloseEvent              sipModuleAPI_Qsci_QtGui->em_types[198]->type->td_cast
#define sipForceConvertTo_QCloseEvent    sipModuleAPI_Qsci_QtGui->em_types[198]->type->td_fcto

#define sipClass_QIconDragEvent             sipModuleAPI_Qsci_QtGui->em_types[197]
#define sipCast_QIconDragEvent              sipModuleAPI_Qsci_QtGui->em_types[197]->type->td_cast
#define sipForceConvertTo_QIconDragEvent    sipModuleAPI_Qsci_QtGui->em_types[197]->type->td_fcto

#define sipClass_QShowEvent             sipModuleAPI_Qsci_QtGui->em_types[196]
#define sipCast_QShowEvent              sipModuleAPI_Qsci_QtGui->em_types[196]->type->td_cast
#define sipForceConvertTo_QShowEvent    sipModuleAPI_Qsci_QtGui->em_types[196]->type->td_fcto

#define sipClass_QHideEvent             sipModuleAPI_Qsci_QtGui->em_types[195]
#define sipCast_QHideEvent              sipModuleAPI_Qsci_QtGui->em_types[195]->type->td_cast
#define sipForceConvertTo_QHideEvent    sipModuleAPI_Qsci_QtGui->em_types[195]->type->td_fcto

#define sipClass_QContextMenuEvent             sipModuleAPI_Qsci_QtGui->em_types[205]
#define sipCast_QContextMenuEvent              sipModuleAPI_Qsci_QtGui->em_types[205]->type->td_cast
#define sipForceConvertTo_QContextMenuEvent    sipModuleAPI_Qsci_QtGui->em_types[205]->type->td_fcto

#define sipEnum_QContextMenuEvent_Reason              sipModuleAPI_Qsci_QtGui->em_enums[245]

#define sipClass_QInputMethodEvent             sipModuleAPI_Qsci_QtGui->em_types[193]
#define sipCast_QInputMethodEvent              sipModuleAPI_Qsci_QtGui->em_types[193]->type->td_cast
#define sipForceConvertTo_QInputMethodEvent    sipModuleAPI_Qsci_QtGui->em_types[193]->type->td_fcto

#define sipEnum_QInputMethodEvent_AttributeType              sipModuleAPI_Qsci_QtGui->em_enums[244]

#define sipClass_QInputMethodEvent_Attribute             sipModuleAPI_Qsci_QtGui->em_types[194]
#define sipCast_QInputMethodEvent_Attribute              sipModuleAPI_Qsci_QtGui->em_types[194]->type->td_cast
#define sipForceConvertTo_QInputMethodEvent_Attribute    sipModuleAPI_Qsci_QtGui->em_types[194]->type->td_fcto

#define sipClass_QMimeSource             sipModuleAPI_Qsci_QtGui->em_types[189]
#define sipCast_QMimeSource              sipModuleAPI_Qsci_QtGui->em_types[189]->type->td_cast
#define sipForceConvertTo_QMimeSource    sipModuleAPI_Qsci_QtGui->em_types[189]->type->td_fcto

#define sipClass_QDropEvent             sipModuleAPI_Qsci_QtGui->em_types[190]
#define sipCast_QDropEvent              sipModuleAPI_Qsci_QtGui->em_types[190]->type->td_cast
#define sipForceConvertTo_QDropEvent    sipModuleAPI_Qsci_QtGui->em_types[190]->type->td_fcto

#define sipClass_QDragMoveEvent             sipModuleAPI_Qsci_QtGui->em_types[191]
#define sipCast_QDragMoveEvent              sipModuleAPI_Qsci_QtGui->em_types[191]->type->td_cast
#define sipForceConvertTo_QDragMoveEvent    sipModuleAPI_Qsci_QtGui->em_types[191]->type->td_fcto

#define sipClass_QDragEnterEvent             sipModuleAPI_Qsci_QtGui->em_types[192]
#define sipCast_QDragEnterEvent              sipModuleAPI_Qsci_QtGui->em_types[192]->type->td_cast
#define sipForceConvertTo_QDragEnterEvent    sipModuleAPI_Qsci_QtGui->em_types[192]->type->td_fcto

#define sipClass_QDragLeaveEvent             sipModuleAPI_Qsci_QtGui->em_types[188]
#define sipCast_QDragLeaveEvent              sipModuleAPI_Qsci_QtGui->em_types[188]->type->td_cast
#define sipForceConvertTo_QDragLeaveEvent    sipModuleAPI_Qsci_QtGui->em_types[188]->type->td_fcto

#define sipClass_QHelpEvent             sipModuleAPI_Qsci_QtGui->em_types[187]
#define sipCast_QHelpEvent              sipModuleAPI_Qsci_QtGui->em_types[187]->type->td_cast
#define sipForceConvertTo_QHelpEvent    sipModuleAPI_Qsci_QtGui->em_types[187]->type->td_fcto

#define sipClass_QStatusTipEvent             sipModuleAPI_Qsci_QtGui->em_types[186]
#define sipCast_QStatusTipEvent              sipModuleAPI_Qsci_QtGui->em_types[186]->type->td_cast
#define sipForceConvertTo_QStatusTipEvent    sipModuleAPI_Qsci_QtGui->em_types[186]->type->td_fcto

#define sipClass_QWhatsThisClickedEvent             sipModuleAPI_Qsci_QtGui->em_types[185]
#define sipCast_QWhatsThisClickedEvent              sipModuleAPI_Qsci_QtGui->em_types[185]->type->td_cast
#define sipForceConvertTo_QWhatsThisClickedEvent    sipModuleAPI_Qsci_QtGui->em_types[185]->type->td_fcto

#define sipClass_QActionEvent             sipModuleAPI_Qsci_QtGui->em_types[184]
#define sipCast_QActionEvent              sipModuleAPI_Qsci_QtGui->em_types[184]->type->td_cast
#define sipForceConvertTo_QActionEvent    sipModuleAPI_Qsci_QtGui->em_types[184]->type->td_fcto

#define sipClass_QFileOpenEvent             sipModuleAPI_Qsci_QtGui->em_types[183]
#define sipCast_QFileOpenEvent              sipModuleAPI_Qsci_QtGui->em_types[183]->type->td_cast
#define sipForceConvertTo_QFileOpenEvent    sipModuleAPI_Qsci_QtGui->em_types[183]->type->td_fcto

#define sipClass_QShortcutEvent             sipModuleAPI_Qsci_QtGui->em_types[182]
#define sipCast_QShortcutEvent              sipModuleAPI_Qsci_QtGui->em_types[182]->type->td_cast
#define sipForceConvertTo_QShortcutEvent    sipModuleAPI_Qsci_QtGui->em_types[182]->type->td_fcto

#define sipClass_QWindowStateChangeEvent             sipModuleAPI_Qsci_QtGui->em_types[181]
#define sipCast_QWindowStateChangeEvent              sipModuleAPI_Qsci_QtGui->em_types[181]->type->td_cast
#define sipForceConvertTo_QWindowStateChangeEvent    sipModuleAPI_Qsci_QtGui->em_types[181]->type->td_fcto

#define sipClass_QFileDialog             sipModuleAPI_Qsci_QtGui->em_types[310]
#define sipCast_QFileDialog              sipModuleAPI_Qsci_QtGui->em_types[310]->type->td_cast
#define sipForceConvertTo_QFileDialog    sipModuleAPI_Qsci_QtGui->em_types[310]->type->td_fcto

#define sipEnum_QFileDialog_Option              sipModuleAPI_Qsci_QtGui->em_enums[239]
#define sipEnum_QFileDialog_DialogLabel              sipModuleAPI_Qsci_QtGui->em_enums[240]
#define sipEnum_QFileDialog_AcceptMode              sipModuleAPI_Qsci_QtGui->em_enums[241]
#define sipEnum_QFileDialog_FileMode              sipModuleAPI_Qsci_QtGui->em_enums[242]
#define sipEnum_QFileDialog_ViewMode              sipModuleAPI_Qsci_QtGui->em_enums[243]

#define sipClass_QFileDialog_Options             sipModuleAPI_Qsci_QtGui->em_types[311]
#define sipCast_QFileDialog_Options              sipModuleAPI_Qsci_QtGui->em_types[311]->type->td_cast
#define sipForceConvertTo_QFileDialog_Options    sipModuleAPI_Qsci_QtGui->em_types[311]->type->td_fcto

#define sipClass_QFileIconProvider             sipModuleAPI_Qsci_QtGui->em_types[180]
#define sipCast_QFileIconProvider              sipModuleAPI_Qsci_QtGui->em_types[180]->type->td_cast
#define sipForceConvertTo_QFileIconProvider    sipModuleAPI_Qsci_QtGui->em_types[180]->type->td_fcto

#define sipEnum_QFileIconProvider_IconType              sipModuleAPI_Qsci_QtGui->em_enums[238]

#define sipClass_QFileSystemModel             sipModuleAPI_Qsci_QtGui->em_types[179]
#define sipCast_QFileSystemModel              sipModuleAPI_Qsci_QtGui->em_types[179]->type->td_cast
#define sipForceConvertTo_QFileSystemModel    sipModuleAPI_Qsci_QtGui->em_types[179]->type->td_fcto

#define sipEnum_QFileSystemModel_Roles              sipModuleAPI_Qsci_QtGui->em_enums[237]

#define sipClass_QFocusFrame             sipModuleAPI_Qsci_QtGui->em_types[277]
#define sipCast_QFocusFrame              sipModuleAPI_Qsci_QtGui->em_types[277]->type->td_cast
#define sipForceConvertTo_QFocusFrame    sipModuleAPI_Qsci_QtGui->em_types[277]->type->td_fcto

#define sipClass_QFont             sipModuleAPI_Qsci_QtGui->em_types[178]
#define sipCast_QFont              sipModuleAPI_Qsci_QtGui->em_types[178]->type->td_cast
#define sipForceConvertTo_QFont    sipModuleAPI_Qsci_QtGui->em_types[178]->type->td_fcto

#define sipEnum_QFont_SpacingType              sipModuleAPI_Qsci_QtGui->em_enums[230]
#define sipEnum_QFont_Capitalization              sipModuleAPI_Qsci_QtGui->em_enums[231]
#define sipEnum_QFont_Stretch              sipModuleAPI_Qsci_QtGui->em_enums[232]
#define sipEnum_QFont_Style              sipModuleAPI_Qsci_QtGui->em_enums[233]
#define sipEnum_QFont_Weight              sipModuleAPI_Qsci_QtGui->em_enums[234]
#define sipEnum_QFont_StyleStrategy              sipModuleAPI_Qsci_QtGui->em_enums[235]
#define sipEnum_QFont_StyleHint              sipModuleAPI_Qsci_QtGui->em_enums[236]

#define sipClass_QFontComboBox             sipModuleAPI_Qsci_QtGui->em_types[284]
#define sipCast_QFontComboBox              sipModuleAPI_Qsci_QtGui->em_types[284]->type->td_cast
#define sipForceConvertTo_QFontComboBox    sipModuleAPI_Qsci_QtGui->em_types[284]->type->td_fcto

#define sipEnum_QFontComboBox_FontFilter              sipModuleAPI_Qsci_QtGui->em_enums[229]

#define sipClass_QFontComboBox_FontFilters             sipModuleAPI_Qsci_QtGui->em_types[285]
#define sipCast_QFontComboBox_FontFilters              sipModuleAPI_Qsci_QtGui->em_types[285]->type->td_cast
#define sipForceConvertTo_QFontComboBox_FontFilters    sipModuleAPI_Qsci_QtGui->em_types[285]->type->td_fcto

#define sipClass_QFontDatabase             sipModuleAPI_Qsci_QtGui->em_types[177]
#define sipCast_QFontDatabase              sipModuleAPI_Qsci_QtGui->em_types[177]->type->td_cast
#define sipForceConvertTo_QFontDatabase    sipModuleAPI_Qsci_QtGui->em_types[177]->type->td_fcto

#define sipEnum_QFontDatabase_WritingSystem              sipModuleAPI_Qsci_QtGui->em_enums[228]

#define sipClass_QFontDialog             sipModuleAPI_Qsci_QtGui->em_types[309]
#define sipCast_QFontDialog              sipModuleAPI_Qsci_QtGui->em_types[309]->type->td_cast
#define sipForceConvertTo_QFontDialog    sipModuleAPI_Qsci_QtGui->em_types[309]->type->td_fcto

#define sipClass_QFontInfo             sipModuleAPI_Qsci_QtGui->em_types[176]
#define sipCast_QFontInfo              sipModuleAPI_Qsci_QtGui->em_types[176]->type->td_cast
#define sipForceConvertTo_QFontInfo    sipModuleAPI_Qsci_QtGui->em_types[176]->type->td_fcto

#define sipClass_QFontMetrics             sipModuleAPI_Qsci_QtGui->em_types[175]
#define sipCast_QFontMetrics              sipModuleAPI_Qsci_QtGui->em_types[175]->type->td_cast
#define sipForceConvertTo_QFontMetrics    sipModuleAPI_Qsci_QtGui->em_types[175]->type->td_fcto

#define sipClass_QFontMetricsF             sipModuleAPI_Qsci_QtGui->em_types[174]
#define sipCast_QFontMetricsF              sipModuleAPI_Qsci_QtGui->em_types[174]->type->td_cast
#define sipForceConvertTo_QFontMetricsF    sipModuleAPI_Qsci_QtGui->em_types[174]->type->td_fcto

#define sipClass_QFormLayout             sipModuleAPI_Qsci_QtGui->em_types[230]
#define sipCast_QFormLayout              sipModuleAPI_Qsci_QtGui->em_types[230]->type->td_cast
#define sipForceConvertTo_QFormLayout    sipModuleAPI_Qsci_QtGui->em_types[230]->type->td_fcto

#define sipEnum_QFormLayout_ItemRole              sipModuleAPI_Qsci_QtGui->em_enums[225]
#define sipEnum_QFormLayout_RowWrapPolicy              sipModuleAPI_Qsci_QtGui->em_enums[226]
#define sipEnum_QFormLayout_FieldGrowthPolicy              sipModuleAPI_Qsci_QtGui->em_enums[227]

#define sipClass_QGraphicsLayoutItem             sipModuleAPI_Qsci_QtGui->em_types[168]
#define sipCast_QGraphicsLayoutItem              sipModuleAPI_Qsci_QtGui->em_types[168]->type->td_cast
#define sipForceConvertTo_QGraphicsLayoutItem    sipModuleAPI_Qsci_QtGui->em_types[168]->type->td_fcto

#define sipClass_QGraphicsLayout             sipModuleAPI_Qsci_QtGui->em_types[171]
#define sipCast_QGraphicsLayout              sipModuleAPI_Qsci_QtGui->em_types[171]->type->td_cast
#define sipForceConvertTo_QGraphicsLayout    sipModuleAPI_Qsci_QtGui->em_types[171]->type->td_fcto

#define sipClass_QGraphicsGridLayout             sipModuleAPI_Qsci_QtGui->em_types[173]
#define sipCast_QGraphicsGridLayout              sipModuleAPI_Qsci_QtGui->em_types[173]->type->td_cast
#define sipForceConvertTo_QGraphicsGridLayout    sipModuleAPI_Qsci_QtGui->em_types[173]->type->td_fcto

#define sipClass_QGraphicsItem             sipModuleAPI_Qsci_QtGui->em_types[156]
#define sipCast_QGraphicsItem              sipModuleAPI_Qsci_QtGui->em_types[156]->type->td_cast
#define sipForceConvertTo_QGraphicsItem    sipModuleAPI_Qsci_QtGui->em_types[156]->type->td_fcto

#define sipEnum_QGraphicsItem_GraphicsItemFlag              sipModuleAPI_Qsci_QtGui->em_enums[219]
#define sipEnum_QGraphicsItem_GraphicsItemChange              sipModuleAPI_Qsci_QtGui->em_enums[220]
#define sipEnum_QGraphicsItem_CacheMode              sipModuleAPI_Qsci_QtGui->em_enums[221]

#define sipClass_QGraphicsItem_GraphicsItemFlags             sipModuleAPI_Qsci_QtGui->em_types[157]
#define sipCast_QGraphicsItem_GraphicsItemFlags              sipModuleAPI_Qsci_QtGui->em_types[157]->type->td_cast
#define sipForceConvertTo_QGraphicsItem_GraphicsItemFlags    sipModuleAPI_Qsci_QtGui->em_types[157]->type->td_fcto

#define sipClass_QAbstractGraphicsShapeItem             sipModuleAPI_Qsci_QtGui->em_types[162]
#define sipCast_QAbstractGraphicsShapeItem              sipModuleAPI_Qsci_QtGui->em_types[162]->type->td_cast
#define sipForceConvertTo_QAbstractGraphicsShapeItem    sipModuleAPI_Qsci_QtGui->em_types[162]->type->td_fcto

#define sipClass_QGraphicsPathItem             sipModuleAPI_Qsci_QtGui->em_types[167]
#define sipCast_QGraphicsPathItem              sipModuleAPI_Qsci_QtGui->em_types[167]->type->td_cast
#define sipForceConvertTo_QGraphicsPathItem    sipModuleAPI_Qsci_QtGui->em_types[167]->type->td_fcto

#define sipClass_QGraphicsRectItem             sipModuleAPI_Qsci_QtGui->em_types[166]
#define sipCast_QGraphicsRectItem              sipModuleAPI_Qsci_QtGui->em_types[166]->type->td_cast
#define sipForceConvertTo_QGraphicsRectItem    sipModuleAPI_Qsci_QtGui->em_types[166]->type->td_fcto

#define sipClass_QGraphicsEllipseItem             sipModuleAPI_Qsci_QtGui->em_types[165]
#define sipCast_QGraphicsEllipseItem              sipModuleAPI_Qsci_QtGui->em_types[165]->type->td_cast
#define sipForceConvertTo_QGraphicsEllipseItem    sipModuleAPI_Qsci_QtGui->em_types[165]->type->td_fcto

#define sipClass_QGraphicsPolygonItem             sipModuleAPI_Qsci_QtGui->em_types[164]
#define sipCast_QGraphicsPolygonItem              sipModuleAPI_Qsci_QtGui->em_types[164]->type->td_cast
#define sipForceConvertTo_QGraphicsPolygonItem    sipModuleAPI_Qsci_QtGui->em_types[164]->type->td_fcto

#define sipClass_QGraphicsLineItem             sipModuleAPI_Qsci_QtGui->em_types[161]
#define sipCast_QGraphicsLineItem              sipModuleAPI_Qsci_QtGui->em_types[161]->type->td_cast
#define sipForceConvertTo_QGraphicsLineItem    sipModuleAPI_Qsci_QtGui->em_types[161]->type->td_fcto

#define sipClass_QGraphicsPixmapItem             sipModuleAPI_Qsci_QtGui->em_types[160]
#define sipCast_QGraphicsPixmapItem              sipModuleAPI_Qsci_QtGui->em_types[160]->type->td_cast
#define sipForceConvertTo_QGraphicsPixmapItem    sipModuleAPI_Qsci_QtGui->em_types[160]->type->td_fcto

#define sipEnum_QGraphicsPixmapItem_ShapeMode              sipModuleAPI_Qsci_QtGui->em_enums[218]

#define sipClass_QGraphicsTextItem             sipModuleAPI_Qsci_QtGui->em_types[159]
#define sipCast_QGraphicsTextItem              sipModuleAPI_Qsci_QtGui->em_types[159]->type->td_cast
#define sipForceConvertTo_QGraphicsTextItem    sipModuleAPI_Qsci_QtGui->em_types[159]->type->td_fcto

#define sipClass_QGraphicsSimpleTextItem             sipModuleAPI_Qsci_QtGui->em_types[163]
#define sipCast_QGraphicsSimpleTextItem              sipModuleAPI_Qsci_QtGui->em_types[163]->type->td_cast
#define sipForceConvertTo_QGraphicsSimpleTextItem    sipModuleAPI_Qsci_QtGui->em_types[163]->type->td_fcto

#define sipClass_QGraphicsItemGroup             sipModuleAPI_Qsci_QtGui->em_types[158]
#define sipCast_QGraphicsItemGroup              sipModuleAPI_Qsci_QtGui->em_types[158]->type->td_cast
#define sipForceConvertTo_QGraphicsItemGroup    sipModuleAPI_Qsci_QtGui->em_types[158]->type->td_fcto

#define sipClass_QGraphicsItemAnimation             sipModuleAPI_Qsci_QtGui->em_types[155]
#define sipCast_QGraphicsItemAnimation              sipModuleAPI_Qsci_QtGui->em_types[155]->type->td_cast
#define sipForceConvertTo_QGraphicsItemAnimation    sipModuleAPI_Qsci_QtGui->em_types[155]->type->td_fcto

#define sipClass_QGraphicsLinearLayout             sipModuleAPI_Qsci_QtGui->em_types[172]
#define sipCast_QGraphicsLinearLayout              sipModuleAPI_Qsci_QtGui->em_types[172]->type->td_cast
#define sipForceConvertTo_QGraphicsLinearLayout    sipModuleAPI_Qsci_QtGui->em_types[172]->type->td_fcto

#define sipClass_QGraphicsWidget             sipModuleAPI_Qsci_QtGui->em_types[169]
#define sipCast_QGraphicsWidget              sipModuleAPI_Qsci_QtGui->em_types[169]->type->td_cast
#define sipForceConvertTo_QGraphicsWidget    sipModuleAPI_Qsci_QtGui->em_types[169]->type->td_fcto

#define sipClass_QGraphicsProxyWidget             sipModuleAPI_Qsci_QtGui->em_types[170]
#define sipCast_QGraphicsProxyWidget              sipModuleAPI_Qsci_QtGui->em_types[170]->type->td_cast
#define sipForceConvertTo_QGraphicsProxyWidget    sipModuleAPI_Qsci_QtGui->em_types[170]->type->td_fcto

#define sipClass_QGraphicsScene             sipModuleAPI_Qsci_QtGui->em_types[153]
#define sipCast_QGraphicsScene              sipModuleAPI_Qsci_QtGui->em_types[153]->type->td_cast
#define sipForceConvertTo_QGraphicsScene    sipModuleAPI_Qsci_QtGui->em_types[153]->type->td_fcto

#define sipEnum_QGraphicsScene_SceneLayer              sipModuleAPI_Qsci_QtGui->em_enums[216]
#define sipEnum_QGraphicsScene_ItemIndexMethod              sipModuleAPI_Qsci_QtGui->em_enums[217]

#define sipClass_QGraphicsScene_SceneLayers             sipModuleAPI_Qsci_QtGui->em_types[154]
#define sipCast_QGraphicsScene_SceneLayers              sipModuleAPI_Qsci_QtGui->em_types[154]->type->td_cast
#define sipForceConvertTo_QGraphicsScene_SceneLayers    sipModuleAPI_Qsci_QtGui->em_types[154]->type->td_fcto

#define sipClass_QGraphicsSceneEvent             sipModuleAPI_Qsci_QtGui->em_types[144]
#define sipCast_QGraphicsSceneEvent              sipModuleAPI_Qsci_QtGui->em_types[144]->type->td_cast
#define sipForceConvertTo_QGraphicsSceneEvent    sipModuleAPI_Qsci_QtGui->em_types[144]->type->td_fcto

#define sipClass_QGraphicsSceneMouseEvent             sipModuleAPI_Qsci_QtGui->em_types[152]
#define sipCast_QGraphicsSceneMouseEvent              sipModuleAPI_Qsci_QtGui->em_types[152]->type->td_cast
#define sipForceConvertTo_QGraphicsSceneMouseEvent    sipModuleAPI_Qsci_QtGui->em_types[152]->type->td_fcto

#define sipClass_QGraphicsSceneWheelEvent             sipModuleAPI_Qsci_QtGui->em_types[151]
#define sipCast_QGraphicsSceneWheelEvent              sipModuleAPI_Qsci_QtGui->em_types[151]->type->td_cast
#define sipForceConvertTo_QGraphicsSceneWheelEvent    sipModuleAPI_Qsci_QtGui->em_types[151]->type->td_fcto

#define sipClass_QGraphicsSceneContextMenuEvent             sipModuleAPI_Qsci_QtGui->em_types[150]
#define sipCast_QGraphicsSceneContextMenuEvent              sipModuleAPI_Qsci_QtGui->em_types[150]->type->td_cast
#define sipForceConvertTo_QGraphicsSceneContextMenuEvent    sipModuleAPI_Qsci_QtGui->em_types[150]->type->td_fcto

#define sipEnum_QGraphicsSceneContextMenuEvent_Reason              sipModuleAPI_Qsci_QtGui->em_enums[215]

#define sipClass_QGraphicsSceneHoverEvent             sipModuleAPI_Qsci_QtGui->em_types[149]
#define sipCast_QGraphicsSceneHoverEvent              sipModuleAPI_Qsci_QtGui->em_types[149]->type->td_cast
#define sipForceConvertTo_QGraphicsSceneHoverEvent    sipModuleAPI_Qsci_QtGui->em_types[149]->type->td_fcto

#define sipClass_QGraphicsSceneHelpEvent             sipModuleAPI_Qsci_QtGui->em_types[148]
#define sipCast_QGraphicsSceneHelpEvent              sipModuleAPI_Qsci_QtGui->em_types[148]->type->td_cast
#define sipForceConvertTo_QGraphicsSceneHelpEvent    sipModuleAPI_Qsci_QtGui->em_types[148]->type->td_fcto

#define sipClass_QGraphicsSceneDragDropEvent             sipModuleAPI_Qsci_QtGui->em_types[147]
#define sipCast_QGraphicsSceneDragDropEvent              sipModuleAPI_Qsci_QtGui->em_types[147]->type->td_cast
#define sipForceConvertTo_QGraphicsSceneDragDropEvent    sipModuleAPI_Qsci_QtGui->em_types[147]->type->td_fcto

#define sipClass_QGraphicsSceneResizeEvent             sipModuleAPI_Qsci_QtGui->em_types[146]
#define sipCast_QGraphicsSceneResizeEvent              sipModuleAPI_Qsci_QtGui->em_types[146]->type->td_cast
#define sipForceConvertTo_QGraphicsSceneResizeEvent    sipModuleAPI_Qsci_QtGui->em_types[146]->type->td_fcto

#define sipClass_QGraphicsSceneMoveEvent             sipModuleAPI_Qsci_QtGui->em_types[145]
#define sipCast_QGraphicsSceneMoveEvent              sipModuleAPI_Qsci_QtGui->em_types[145]->type->td_cast
#define sipForceConvertTo_QGraphicsSceneMoveEvent    sipModuleAPI_Qsci_QtGui->em_types[145]->type->td_fcto

#define sipClass_QGraphicsView             sipModuleAPI_Qsci_QtGui->em_types[332]
#define sipCast_QGraphicsView              sipModuleAPI_Qsci_QtGui->em_types[332]->type->td_cast
#define sipForceConvertTo_QGraphicsView    sipModuleAPI_Qsci_QtGui->em_types[332]->type->td_fcto

#define sipEnum_QGraphicsView_OptimizationFlag              sipModuleAPI_Qsci_QtGui->em_enums[210]
#define sipEnum_QGraphicsView_ViewportUpdateMode              sipModuleAPI_Qsci_QtGui->em_enums[211]
#define sipEnum_QGraphicsView_ViewportAnchor              sipModuleAPI_Qsci_QtGui->em_enums[212]
#define sipEnum_QGraphicsView_DragMode              sipModuleAPI_Qsci_QtGui->em_enums[213]
#define sipEnum_QGraphicsView_CacheModeFlag              sipModuleAPI_Qsci_QtGui->em_enums[214]

#define sipClass_QGraphicsView_CacheMode             sipModuleAPI_Qsci_QtGui->em_types[334]
#define sipCast_QGraphicsView_CacheMode              sipModuleAPI_Qsci_QtGui->em_types[334]->type->td_cast
#define sipForceConvertTo_QGraphicsView_CacheMode    sipModuleAPI_Qsci_QtGui->em_types[334]->type->td_fcto

#define sipClass_QGraphicsView_OptimizationFlags             sipModuleAPI_Qsci_QtGui->em_types[333]
#define sipCast_QGraphicsView_OptimizationFlags              sipModuleAPI_Qsci_QtGui->em_types[333]->type->td_cast
#define sipForceConvertTo_QGraphicsView_OptimizationFlags    sipModuleAPI_Qsci_QtGui->em_types[333]->type->td_fcto

#define sipClass_QGridLayout             sipModuleAPI_Qsci_QtGui->em_types[229]
#define sipCast_QGridLayout              sipModuleAPI_Qsci_QtGui->em_types[229]->type->td_cast
#define sipForceConvertTo_QGridLayout    sipModuleAPI_Qsci_QtGui->em_types[229]->type->td_fcto

#define sipClass_QGroupBox             sipModuleAPI_Qsci_QtGui->em_types[276]
#define sipCast_QGroupBox              sipModuleAPI_Qsci_QtGui->em_types[276]->type->td_cast
#define sipForceConvertTo_QGroupBox    sipModuleAPI_Qsci_QtGui->em_types[276]->type->td_fcto

#define sipClass_QHeaderView             sipModuleAPI_Qsci_QtGui->em_types[344]
#define sipCast_QHeaderView              sipModuleAPI_Qsci_QtGui->em_types[344]->type->td_cast
#define sipForceConvertTo_QHeaderView    sipModuleAPI_Qsci_QtGui->em_types[344]->type->td_fcto

#define sipEnum_QHeaderView_ResizeMode              sipModuleAPI_Qsci_QtGui->em_enums[209]

#define sipClass_QIcon             sipModuleAPI_Qsci_QtGui->em_types[143]
#define sipCast_QIcon              sipModuleAPI_Qsci_QtGui->em_types[143]->type->td_cast
#define sipForceConvertTo_QIcon    sipModuleAPI_Qsci_QtGui->em_types[143]->type->td_fcto

#define sipEnum_QIcon_State              sipModuleAPI_Qsci_QtGui->em_enums[207]
#define sipEnum_QIcon_Mode              sipModuleAPI_Qsci_QtGui->em_enums[208]

#define sipClass_QIconEngine             sipModuleAPI_Qsci_QtGui->em_types[141]
#define sipCast_QIconEngine              sipModuleAPI_Qsci_QtGui->em_types[141]->type->td_cast
#define sipForceConvertTo_QIconEngine    sipModuleAPI_Qsci_QtGui->em_types[141]->type->td_fcto

#define sipClass_QIconEngineV2             sipModuleAPI_Qsci_QtGui->em_types[142]
#define sipCast_QIconEngineV2              sipModuleAPI_Qsci_QtGui->em_types[142]->type->td_cast
#define sipForceConvertTo_QIconEngineV2    sipModuleAPI_Qsci_QtGui->em_types[142]->type->td_fcto

#define sipClass_QItemEditorCreatorBase             sipModuleAPI_Qsci_QtGui->em_types[140]
#define sipCast_QItemEditorCreatorBase              sipModuleAPI_Qsci_QtGui->em_types[140]->type->td_cast
#define sipForceConvertTo_QItemEditorCreatorBase    sipModuleAPI_Qsci_QtGui->em_types[140]->type->td_fcto

#define sipClass_QItemEditorFactory             sipModuleAPI_Qsci_QtGui->em_types[139]
#define sipCast_QItemEditorFactory              sipModuleAPI_Qsci_QtGui->em_types[139]->type->td_cast
#define sipForceConvertTo_QItemEditorFactory    sipModuleAPI_Qsci_QtGui->em_types[139]->type->td_fcto

#define sipClass_QItemSelectionRange             sipModuleAPI_Qsci_QtGui->em_types[138]
#define sipCast_QItemSelectionRange              sipModuleAPI_Qsci_QtGui->em_types[138]->type->td_cast
#define sipForceConvertTo_QItemSelectionRange    sipModuleAPI_Qsci_QtGui->em_types[138]->type->td_fcto

#define sipClass_QItemSelectionModel             sipModuleAPI_Qsci_QtGui->em_types[136]
#define sipCast_QItemSelectionModel              sipModuleAPI_Qsci_QtGui->em_types[136]->type->td_cast
#define sipForceConvertTo_QItemSelectionModel    sipModuleAPI_Qsci_QtGui->em_types[136]->type->td_fcto

#define sipEnum_QItemSelectionModel_SelectionFlag              sipModuleAPI_Qsci_QtGui->em_enums[206]

#define sipClass_QItemSelectionModel_SelectionFlags             sipModuleAPI_Qsci_QtGui->em_types[137]
#define sipCast_QItemSelectionModel_SelectionFlags              sipModuleAPI_Qsci_QtGui->em_types[137]->type->td_cast
#define sipForceConvertTo_QItemSelectionModel_SelectionFlags    sipModuleAPI_Qsci_QtGui->em_types[137]->type->td_fcto

#define sipClass_QItemSelection             sipModuleAPI_Qsci_QtGui->em_types[135]
#define sipCast_QItemSelection              sipModuleAPI_Qsci_QtGui->em_types[135]->type->td_cast
#define sipForceConvertTo_QItemSelection    sipModuleAPI_Qsci_QtGui->em_types[135]->type->td_fcto

#define sipClass_QImage             sipModuleAPI_Qsci_QtGui->em_types[250]
#define sipCast_QImage              sipModuleAPI_Qsci_QtGui->em_types[250]->type->td_cast
#define sipForceConvertTo_QImage    sipModuleAPI_Qsci_QtGui->em_types[250]->type->td_fcto

#define sipEnum_QImage_Format              sipModuleAPI_Qsci_QtGui->em_enums[204]
#define sipEnum_QImage_InvertMode              sipModuleAPI_Qsci_QtGui->em_enums[205]

#define sipClass_QImageIOHandler             sipModuleAPI_Qsci_QtGui->em_types[134]
#define sipCast_QImageIOHandler              sipModuleAPI_Qsci_QtGui->em_types[134]->type->td_cast
#define sipForceConvertTo_QImageIOHandler    sipModuleAPI_Qsci_QtGui->em_types[134]->type->td_fcto

#define sipEnum_QImageIOHandler_ImageOption              sipModuleAPI_Qsci_QtGui->em_enums[203]

#define sipClass_QImageReader             sipModuleAPI_Qsci_QtGui->em_types[133]
#define sipCast_QImageReader              sipModuleAPI_Qsci_QtGui->em_types[133]->type->td_cast
#define sipForceConvertTo_QImageReader    sipModuleAPI_Qsci_QtGui->em_types[133]->type->td_fcto

#define sipEnum_QImageReader_ImageReaderError              sipModuleAPI_Qsci_QtGui->em_enums[202]

#define sipClass_QImageWriter             sipModuleAPI_Qsci_QtGui->em_types[132]
#define sipCast_QImageWriter              sipModuleAPI_Qsci_QtGui->em_types[132]->type->td_cast
#define sipForceConvertTo_QImageWriter    sipModuleAPI_Qsci_QtGui->em_types[132]->type->td_fcto

#define sipEnum_QImageWriter_ImageWriterError              sipModuleAPI_Qsci_QtGui->em_enums[201]

#define sipClass_QInputContext             sipModuleAPI_Qsci_QtGui->em_types[131]
#define sipCast_QInputContext              sipModuleAPI_Qsci_QtGui->em_types[131]->type->td_cast
#define sipForceConvertTo_QInputContext    sipModuleAPI_Qsci_QtGui->em_types[131]->type->td_fcto

#define sipEnum_QInputContext_StandardFormat              sipModuleAPI_Qsci_QtGui->em_enums[200]

#define sipClass_QInputDialog             sipModuleAPI_Qsci_QtGui->em_types[308]
#define sipCast_QInputDialog              sipModuleAPI_Qsci_QtGui->em_types[308]->type->td_cast
#define sipForceConvertTo_QInputDialog    sipModuleAPI_Qsci_QtGui->em_types[308]->type->td_fcto

#define sipClass_QItemDelegate             sipModuleAPI_Qsci_QtGui->em_types[246]
#define sipCast_QItemDelegate              sipModuleAPI_Qsci_QtGui->em_types[246]->type->td_cast
#define sipForceConvertTo_QItemDelegate    sipModuleAPI_Qsci_QtGui->em_types[246]->type->td_fcto

#define sipClass_QKeySequence             sipModuleAPI_Qsci_QtGui->em_types[130]
#define sipCast_QKeySequence              sipModuleAPI_Qsci_QtGui->em_types[130]->type->td_cast
#define sipForceConvertTo_QKeySequence    sipModuleAPI_Qsci_QtGui->em_types[130]->type->td_fcto

#define sipEnum_QKeySequence_StandardKey              sipModuleAPI_Qsci_QtGui->em_enums[197]
#define sipEnum_QKeySequence_SequenceMatch              sipModuleAPI_Qsci_QtGui->em_enums[198]
#define sipEnum_QKeySequence_SequenceFormat              sipModuleAPI_Qsci_QtGui->em_enums[199]

#define sipClass_QLabel             sipModuleAPI_Qsci_QtGui->em_types[322]
#define sipCast_QLabel              sipModuleAPI_Qsci_QtGui->em_types[322]->type->td_cast
#define sipForceConvertTo_QLabel    sipModuleAPI_Qsci_QtGui->em_types[322]->type->td_fcto

#define sipClass_QSpacerItem             sipModuleAPI_Qsci_QtGui->em_types[226]
#define sipCast_QSpacerItem              sipModuleAPI_Qsci_QtGui->em_types[226]->type->td_cast
#define sipForceConvertTo_QSpacerItem    sipModuleAPI_Qsci_QtGui->em_types[226]->type->td_fcto

#define sipClass_QWidgetItem             sipModuleAPI_Qsci_QtGui->em_types[225]
#define sipCast_QWidgetItem              sipModuleAPI_Qsci_QtGui->em_types[225]->type->td_cast
#define sipForceConvertTo_QWidgetItem    sipModuleAPI_Qsci_QtGui->em_types[225]->type->td_fcto

#define sipClass_QLCDNumber             sipModuleAPI_Qsci_QtGui->em_types[321]
#define sipCast_QLCDNumber              sipModuleAPI_Qsci_QtGui->em_types[321]->type->td_cast
#define sipForceConvertTo_QLCDNumber    sipModuleAPI_Qsci_QtGui->em_types[321]->type->td_fcto

#define sipEnum_QLCDNumber_SegmentStyle              sipModuleAPI_Qsci_QtGui->em_enums[194]
#define sipEnum_QLCDNumber_Mode              sipModuleAPI_Qsci_QtGui->em_enums[195]

#define sipClass_QLineEdit             sipModuleAPI_Qsci_QtGui->em_types[275]
#define sipCast_QLineEdit              sipModuleAPI_Qsci_QtGui->em_types[275]->type->td_cast
#define sipForceConvertTo_QLineEdit    sipModuleAPI_Qsci_QtGui->em_types[275]->type->td_fcto

#define sipEnum_QLineEdit_EchoMode              sipModuleAPI_Qsci_QtGui->em_enums[193]

#define sipClass_QListView             sipModuleAPI_Qsci_QtGui->em_types[341]
#define sipCast_QListView              sipModuleAPI_Qsci_QtGui->em_types[341]->type->td_cast
#define sipForceConvertTo_QListView    sipModuleAPI_Qsci_QtGui->em_types[341]->type->td_fcto

#define sipEnum_QListView_ViewMode              sipModuleAPI_Qsci_QtGui->em_enums[188]
#define sipEnum_QListView_LayoutMode              sipModuleAPI_Qsci_QtGui->em_enums[189]
#define sipEnum_QListView_ResizeMode              sipModuleAPI_Qsci_QtGui->em_enums[190]
#define sipEnum_QListView_Flow              sipModuleAPI_Qsci_QtGui->em_enums[191]
#define sipEnum_QListView_Movement              sipModuleAPI_Qsci_QtGui->em_enums[192]

#define sipClass_QListWidgetItem             sipModuleAPI_Qsci_QtGui->em_types[129]
#define sipCast_QListWidgetItem              sipModuleAPI_Qsci_QtGui->em_types[129]->type->td_cast
#define sipForceConvertTo_QListWidgetItem    sipModuleAPI_Qsci_QtGui->em_types[129]->type->td_fcto

#define sipEnum_QListWidgetItem_ItemType              sipModuleAPI_Qsci_QtGui->em_enums[187]

#define sipClass_QListWidget             sipModuleAPI_Qsci_QtGui->em_types[343]
#define sipCast_QListWidget              sipModuleAPI_Qsci_QtGui->em_types[343]->type->td_cast
#define sipForceConvertTo_QListWidget    sipModuleAPI_Qsci_QtGui->em_types[343]->type->td_fcto

#define sipClass_QMainWindow             sipModuleAPI_Qsci_QtGui->em_types[273]
#define sipCast_QMainWindow              sipModuleAPI_Qsci_QtGui->em_types[273]->type->td_cast
#define sipForceConvertTo_QMainWindow    sipModuleAPI_Qsci_QtGui->em_types[273]->type->td_fcto

#define sipEnum_QMainWindow_DockOption              sipModuleAPI_Qsci_QtGui->em_enums[186]

#define sipClass_QMainWindow_DockOptions             sipModuleAPI_Qsci_QtGui->em_types[274]
#define sipCast_QMainWindow_DockOptions              sipModuleAPI_Qsci_QtGui->em_types[274]->type->td_cast
#define sipForceConvertTo_QMainWindow_DockOptions    sipModuleAPI_Qsci_QtGui->em_types[274]->type->td_fcto

#define sipClass_QMatrix             sipModuleAPI_Qsci_QtGui->em_types[128]
#define sipCast_QMatrix              sipModuleAPI_Qsci_QtGui->em_types[128]->type->td_cast
#define sipForceConvertTo_QMatrix    sipModuleAPI_Qsci_QtGui->em_types[128]->type->td_fcto

#define sipClass_QMdiArea             sipModuleAPI_Qsci_QtGui->em_types[330]
#define sipCast_QMdiArea              sipModuleAPI_Qsci_QtGui->em_types[330]->type->td_cast
#define sipForceConvertTo_QMdiArea    sipModuleAPI_Qsci_QtGui->em_types[330]->type->td_fcto

#define sipEnum_QMdiArea_WindowOrder              sipModuleAPI_Qsci_QtGui->em_enums[183]
#define sipEnum_QMdiArea_ViewMode              sipModuleAPI_Qsci_QtGui->em_enums[184]
#define sipEnum_QMdiArea_AreaOption              sipModuleAPI_Qsci_QtGui->em_enums[185]

#define sipClass_QMdiArea_AreaOptions             sipModuleAPI_Qsci_QtGui->em_types[331]
#define sipCast_QMdiArea_AreaOptions              sipModuleAPI_Qsci_QtGui->em_types[331]->type->td_cast
#define sipForceConvertTo_QMdiArea_AreaOptions    sipModuleAPI_Qsci_QtGui->em_types[331]->type->td_fcto

#define sipClass_QMdiSubWindow             sipModuleAPI_Qsci_QtGui->em_types[271]
#define sipCast_QMdiSubWindow              sipModuleAPI_Qsci_QtGui->em_types[271]->type->td_cast
#define sipForceConvertTo_QMdiSubWindow    sipModuleAPI_Qsci_QtGui->em_types[271]->type->td_fcto

#define sipEnum_QMdiSubWindow_SubWindowOption              sipModuleAPI_Qsci_QtGui->em_enums[182]

#define sipClass_QMdiSubWindow_SubWindowOptions             sipModuleAPI_Qsci_QtGui->em_types[272]
#define sipCast_QMdiSubWindow_SubWindowOptions              sipModuleAPI_Qsci_QtGui->em_types[272]->type->td_cast
#define sipForceConvertTo_QMdiSubWindow_SubWindowOptions    sipModuleAPI_Qsci_QtGui->em_types[272]->type->td_fcto

#define sipClass_QMenu             sipModuleAPI_Qsci_QtGui->em_types[270]
#define sipCast_QMenu              sipModuleAPI_Qsci_QtGui->em_types[270]->type->td_cast
#define sipForceConvertTo_QMenu    sipModuleAPI_Qsci_QtGui->em_types[270]->type->td_fcto

#define sipClass_QMenuBar             sipModuleAPI_Qsci_QtGui->em_types[269]
#define sipCast_QMenuBar              sipModuleAPI_Qsci_QtGui->em_types[269]->type->td_cast
#define sipForceConvertTo_QMenuBar    sipModuleAPI_Qsci_QtGui->em_types[269]->type->td_fcto

#define sipClass_QMessageBox             sipModuleAPI_Qsci_QtGui->em_types[306]
#define sipCast_QMessageBox              sipModuleAPI_Qsci_QtGui->em_types[306]->type->td_cast
#define sipForceConvertTo_QMessageBox    sipModuleAPI_Qsci_QtGui->em_types[306]->type->td_fcto

#define sipEnum_QMessageBox_StandardButton              sipModuleAPI_Qsci_QtGui->em_enums[179]
#define sipEnum_QMessageBox_Icon              sipModuleAPI_Qsci_QtGui->em_enums[180]
#define sipEnum_QMessageBox_ButtonRole              sipModuleAPI_Qsci_QtGui->em_enums[181]

#define sipClass_QMessageBox_StandardButtons             sipModuleAPI_Qsci_QtGui->em_types[307]
#define sipCast_QMessageBox_StandardButtons              sipModuleAPI_Qsci_QtGui->em_types[307]->type->td_cast
#define sipForceConvertTo_QMessageBox_StandardButtons    sipModuleAPI_Qsci_QtGui->em_types[307]->type->td_fcto

#define sipClass_QMovie             sipModuleAPI_Qsci_QtGui->em_types[127]
#define sipCast_QMovie              sipModuleAPI_Qsci_QtGui->em_types[127]->type->td_cast
#define sipForceConvertTo_QMovie    sipModuleAPI_Qsci_QtGui->em_types[127]->type->td_fcto

#define sipEnum_QMovie_CacheMode              sipModuleAPI_Qsci_QtGui->em_enums[177]
#define sipEnum_QMovie_MovieState              sipModuleAPI_Qsci_QtGui->em_enums[178]

#define sipClass_QPageSetupDialog             sipModuleAPI_Qsci_QtGui->em_types[304]
#define sipCast_QPageSetupDialog              sipModuleAPI_Qsci_QtGui->em_types[304]->type->td_cast
#define sipForceConvertTo_QPageSetupDialog    sipModuleAPI_Qsci_QtGui->em_types[304]->type->td_fcto

#define sipEnum_QPageSetupDialog_PageSetupDialogOption              sipModuleAPI_Qsci_QtGui->em_enums[176]

#define sipClass_QPageSetupDialog_PageSetupDialogOptions             sipModuleAPI_Qsci_QtGui->em_types[305]
#define sipCast_QPageSetupDialog_PageSetupDialogOptions              sipModuleAPI_Qsci_QtGui->em_types[305]->type->td_cast
#define sipForceConvertTo_QPageSetupDialog_PageSetupDialogOptions    sipModuleAPI_Qsci_QtGui->em_types[305]->type->td_fcto

#define sipClass_QPainter             sipModuleAPI_Qsci_QtGui->em_types[124]
#define sipCast_QPainter              sipModuleAPI_Qsci_QtGui->em_types[124]->type->td_cast
#define sipForceConvertTo_QPainter    sipModuleAPI_Qsci_QtGui->em_types[124]->type->td_fcto

#define sipEnum_QPainter_CompositionMode              sipModuleAPI_Qsci_QtGui->em_enums[174]
#define sipEnum_QPainter_RenderHint              sipModuleAPI_Qsci_QtGui->em_enums[175]

#define sipClass_QPainter_RenderHints             sipModuleAPI_Qsci_QtGui->em_types[125]
#define sipCast_QPainter_RenderHints              sipModuleAPI_Qsci_QtGui->em_types[125]->type->td_cast
#define sipForceConvertTo_QPainter_RenderHints    sipModuleAPI_Qsci_QtGui->em_types[125]->type->td_fcto

#define sipClass_QTextItem             sipModuleAPI_Qsci_QtGui->em_types[122]
#define sipCast_QTextItem              sipModuleAPI_Qsci_QtGui->em_types[122]->type->td_cast
#define sipForceConvertTo_QTextItem    sipModuleAPI_Qsci_QtGui->em_types[122]->type->td_fcto

#define sipEnum_QTextItem_RenderFlag              sipModuleAPI_Qsci_QtGui->em_enums[172]

#define sipClass_QTextItem_RenderFlags             sipModuleAPI_Qsci_QtGui->em_types[123]
#define sipCast_QTextItem_RenderFlags              sipModuleAPI_Qsci_QtGui->em_types[123]->type->td_cast
#define sipForceConvertTo_QTextItem_RenderFlags    sipModuleAPI_Qsci_QtGui->em_types[123]->type->td_fcto

#define sipClass_QPaintEngine             sipModuleAPI_Qsci_QtGui->em_types[119]
#define sipCast_QPaintEngine              sipModuleAPI_Qsci_QtGui->em_types[119]->type->td_cast
#define sipForceConvertTo_QPaintEngine    sipModuleAPI_Qsci_QtGui->em_types[119]->type->td_fcto

#define sipEnum_QPaintEngine_Type              sipModuleAPI_Qsci_QtGui->em_enums[168]
#define sipEnum_QPaintEngine_PolygonDrawMode              sipModuleAPI_Qsci_QtGui->em_enums[169]
#define sipEnum_QPaintEngine_DirtyFlag              sipModuleAPI_Qsci_QtGui->em_enums[170]
#define sipEnum_QPaintEngine_PaintEngineFeature              sipModuleAPI_Qsci_QtGui->em_enums[171]

#define sipClass_QPaintEngine_PaintEngineFeatures             sipModuleAPI_Qsci_QtGui->em_types[121]
#define sipCast_QPaintEngine_PaintEngineFeatures              sipModuleAPI_Qsci_QtGui->em_types[121]->type->td_cast
#define sipForceConvertTo_QPaintEngine_PaintEngineFeatures    sipModuleAPI_Qsci_QtGui->em_types[121]->type->td_fcto

#define sipClass_QPaintEngine_DirtyFlags             sipModuleAPI_Qsci_QtGui->em_types[120]
#define sipCast_QPaintEngine_DirtyFlags              sipModuleAPI_Qsci_QtGui->em_types[120]->type->td_cast
#define sipForceConvertTo_QPaintEngine_DirtyFlags    sipModuleAPI_Qsci_QtGui->em_types[120]->type->td_fcto

#define sipClass_QPaintEngineState             sipModuleAPI_Qsci_QtGui->em_types[118]
#define sipCast_QPaintEngineState              sipModuleAPI_Qsci_QtGui->em_types[118]->type->td_cast
#define sipForceConvertTo_QPaintEngineState    sipModuleAPI_Qsci_QtGui->em_types[118]->type->td_fcto

#define sipClass_QPainterPath             sipModuleAPI_Qsci_QtGui->em_types[116]
#define sipCast_QPainterPath              sipModuleAPI_Qsci_QtGui->em_types[116]->type->td_cast
#define sipForceConvertTo_QPainterPath    sipModuleAPI_Qsci_QtGui->em_types[116]->type->td_fcto

#define sipEnum_QPainterPath_ElementType              sipModuleAPI_Qsci_QtGui->em_enums[167]

#define sipClass_QPainterPath_Element             sipModuleAPI_Qsci_QtGui->em_types[117]
#define sipCast_QPainterPath_Element              sipModuleAPI_Qsci_QtGui->em_types[117]->type->td_cast
#define sipForceConvertTo_QPainterPath_Element    sipModuleAPI_Qsci_QtGui->em_types[117]->type->td_fcto

#define sipClass_QPainterPathStroker             sipModuleAPI_Qsci_QtGui->em_types[115]
#define sipCast_QPainterPathStroker              sipModuleAPI_Qsci_QtGui->em_types[115]->type->td_cast
#define sipForceConvertTo_QPainterPathStroker    sipModuleAPI_Qsci_QtGui->em_types[115]->type->td_fcto

#define sipClass_QPalette             sipModuleAPI_Qsci_QtGui->em_types[114]
#define sipCast_QPalette              sipModuleAPI_Qsci_QtGui->em_types[114]->type->td_cast
#define sipForceConvertTo_QPalette    sipModuleAPI_Qsci_QtGui->em_types[114]->type->td_fcto

#define sipEnum_QPalette_ColorRole              sipModuleAPI_Qsci_QtGui->em_enums[165]
#define sipEnum_QPalette_ColorGroup              sipModuleAPI_Qsci_QtGui->em_enums[166]

#define sipClass_QPen             sipModuleAPI_Qsci_QtGui->em_types[113]
#define sipCast_QPen              sipModuleAPI_Qsci_QtGui->em_types[113]->type->td_cast
#define sipForceConvertTo_QPen    sipModuleAPI_Qsci_QtGui->em_types[113]->type->td_fcto

#define sipClass_QPicture             sipModuleAPI_Qsci_QtGui->em_types[249]
#define sipCast_QPicture              sipModuleAPI_Qsci_QtGui->em_types[249]->type->td_cast
#define sipForceConvertTo_QPicture    sipModuleAPI_Qsci_QtGui->em_types[249]->type->td_fcto

#define sipClass_QPictureIO             sipModuleAPI_Qsci_QtGui->em_types[112]
#define sipCast_QPictureIO              sipModuleAPI_Qsci_QtGui->em_types[112]->type->td_cast
#define sipForceConvertTo_QPictureIO    sipModuleAPI_Qsci_QtGui->em_types[112]->type->td_fcto

#define sipClass_QPixmapCache             sipModuleAPI_Qsci_QtGui->em_types[111]
#define sipCast_QPixmapCache              sipModuleAPI_Qsci_QtGui->em_types[111]->type->td_cast
#define sipForceConvertTo_QPixmapCache    sipModuleAPI_Qsci_QtGui->em_types[111]->type->td_fcto

#define sipClass_QPlainTextEdit             sipModuleAPI_Qsci_QtGui->em_types[329]
#define sipCast_QPlainTextEdit              sipModuleAPI_Qsci_QtGui->em_types[329]->type->td_cast
#define sipForceConvertTo_QPlainTextEdit    sipModuleAPI_Qsci_QtGui->em_types[329]->type->td_fcto

#define sipEnum_QPlainTextEdit_LineWrapMode              sipModuleAPI_Qsci_QtGui->em_enums[164]

#define sipClass_QPlainTextDocumentLayout             sipModuleAPI_Qsci_QtGui->em_types[241]
#define sipCast_QPlainTextDocumentLayout              sipModuleAPI_Qsci_QtGui->em_types[241]->type->td_cast
#define sipForceConvertTo_QPlainTextDocumentLayout    sipModuleAPI_Qsci_QtGui->em_types[241]->type->td_fcto

#define sipClass_QPolygon             sipModuleAPI_Qsci_QtGui->em_types[110]
#define sipCast_QPolygon              sipModuleAPI_Qsci_QtGui->em_types[110]->type->td_cast
#define sipForceConvertTo_QPolygon    sipModuleAPI_Qsci_QtGui->em_types[110]->type->td_fcto

#define sipClass_QPolygonF             sipModuleAPI_Qsci_QtGui->em_types[109]
#define sipCast_QPolygonF              sipModuleAPI_Qsci_QtGui->em_types[109]->type->td_cast
#define sipForceConvertTo_QPolygonF    sipModuleAPI_Qsci_QtGui->em_types[109]->type->td_fcto

#define sipClass_QPrinter             sipModuleAPI_Qsci_QtGui->em_types[248]
#define sipCast_QPrinter              sipModuleAPI_Qsci_QtGui->em_types[248]->type->td_cast
#define sipForceConvertTo_QPrinter    sipModuleAPI_Qsci_QtGui->em_types[248]->type->td_fcto

#define sipEnum_QPrinter_Unit              sipModuleAPI_Qsci_QtGui->em_enums[153]
#define sipEnum_QPrinter_DuplexMode              sipModuleAPI_Qsci_QtGui->em_enums[154]
#define sipEnum_QPrinter_PrintRange              sipModuleAPI_Qsci_QtGui->em_enums[155]
#define sipEnum_QPrinter_OutputFormat              sipModuleAPI_Qsci_QtGui->em_enums[156]
#define sipEnum_QPrinter_PrinterState              sipModuleAPI_Qsci_QtGui->em_enums[157]
#define sipEnum_QPrinter_PaperSource              sipModuleAPI_Qsci_QtGui->em_enums[158]
#define sipEnum_QPrinter_ColorMode              sipModuleAPI_Qsci_QtGui->em_enums[159]
#define sipEnum_QPrinter_PageOrder              sipModuleAPI_Qsci_QtGui->em_enums[160]
#define sipEnum_QPrinter_PageSize              sipModuleAPI_Qsci_QtGui->em_enums[161]
#define sipEnum_QPrinter_Orientation              sipModuleAPI_Qsci_QtGui->em_enums[162]
#define sipEnum_QPrinter_PrinterMode              sipModuleAPI_Qsci_QtGui->em_enums[163]

#define sipClass_QPrintDialog             sipModuleAPI_Qsci_QtGui->em_types[316]
#define sipCast_QPrintDialog              sipModuleAPI_Qsci_QtGui->em_types[316]->type->td_cast
#define sipForceConvertTo_QPrintDialog    sipModuleAPI_Qsci_QtGui->em_types[316]->type->td_fcto

#define sipClass_QPrintEngine             sipModuleAPI_Qsci_QtGui->em_types[108]
#define sipCast_QPrintEngine              sipModuleAPI_Qsci_QtGui->em_types[108]->type->td_cast
#define sipForceConvertTo_QPrintEngine    sipModuleAPI_Qsci_QtGui->em_types[108]->type->td_fcto

#define sipEnum_QPrintEngine_PrintEnginePropertyKey              sipModuleAPI_Qsci_QtGui->em_enums[152]

#define sipClass_QPrinterInfo             sipModuleAPI_Qsci_QtGui->em_types[107]
#define sipCast_QPrinterInfo              sipModuleAPI_Qsci_QtGui->em_types[107]->type->td_cast
#define sipForceConvertTo_QPrinterInfo    sipModuleAPI_Qsci_QtGui->em_types[107]->type->td_fcto

#define sipClass_QPrintPreviewDialog             sipModuleAPI_Qsci_QtGui->em_types[303]
#define sipCast_QPrintPreviewDialog              sipModuleAPI_Qsci_QtGui->em_types[303]->type->td_cast
#define sipForceConvertTo_QPrintPreviewDialog    sipModuleAPI_Qsci_QtGui->em_types[303]->type->td_fcto

#define sipClass_QPrintPreviewWidget             sipModuleAPI_Qsci_QtGui->em_types[268]
#define sipCast_QPrintPreviewWidget              sipModuleAPI_Qsci_QtGui->em_types[268]->type->td_cast
#define sipForceConvertTo_QPrintPreviewWidget    sipModuleAPI_Qsci_QtGui->em_types[268]->type->td_fcto

#define sipEnum_QPrintPreviewWidget_ZoomMode              sipModuleAPI_Qsci_QtGui->em_enums[150]
#define sipEnum_QPrintPreviewWidget_ViewMode              sipModuleAPI_Qsci_QtGui->em_enums[151]

#define sipClass_QProgressBar             sipModuleAPI_Qsci_QtGui->em_types[267]
#define sipCast_QProgressBar              sipModuleAPI_Qsci_QtGui->em_types[267]->type->td_cast
#define sipForceConvertTo_QProgressBar    sipModuleAPI_Qsci_QtGui->em_types[267]->type->td_fcto

#define sipEnum_QProgressBar_Direction              sipModuleAPI_Qsci_QtGui->em_enums[149]

#define sipClass_QProgressDialog             sipModuleAPI_Qsci_QtGui->em_types[302]
#define sipCast_QProgressDialog              sipModuleAPI_Qsci_QtGui->em_types[302]->type->td_cast
#define sipForceConvertTo_QProgressDialog    sipModuleAPI_Qsci_QtGui->em_types[302]->type->td_fcto

#define sipClass_QProxyModel             sipModuleAPI_Qsci_QtGui->em_types[106]
#define sipCast_QProxyModel              sipModuleAPI_Qsci_QtGui->em_types[106]->type->td_cast
#define sipForceConvertTo_QProxyModel    sipModuleAPI_Qsci_QtGui->em_types[106]->type->td_fcto

#define sipClass_QRadioButton             sipModuleAPI_Qsci_QtGui->em_types[348]
#define sipCast_QRadioButton              sipModuleAPI_Qsci_QtGui->em_types[348]->type->td_cast
#define sipForceConvertTo_QRadioButton    sipModuleAPI_Qsci_QtGui->em_types[348]->type->td_fcto

#define sipClass_QRegion             sipModuleAPI_Qsci_QtGui->em_types[105]
#define sipCast_QRegion              sipModuleAPI_Qsci_QtGui->em_types[105]->type->td_cast
#define sipForceConvertTo_QRegion    sipModuleAPI_Qsci_QtGui->em_types[105]->type->td_fcto

#define sipEnum_QRegion_RegionType              sipModuleAPI_Qsci_QtGui->em_enums[148]

#define sipClass_QRubberBand             sipModuleAPI_Qsci_QtGui->em_types[266]
#define sipCast_QRubberBand              sipModuleAPI_Qsci_QtGui->em_types[266]->type->td_cast
#define sipForceConvertTo_QRubberBand    sipModuleAPI_Qsci_QtGui->em_types[266]->type->td_fcto

#define sipEnum_QRubberBand_Shape              sipModuleAPI_Qsci_QtGui->em_enums[147]

#define sipClass_QScrollArea             sipModuleAPI_Qsci_QtGui->em_types[328]
#define sipCast_QScrollArea              sipModuleAPI_Qsci_QtGui->em_types[328]->type->td_cast
#define sipForceConvertTo_QScrollArea    sipModuleAPI_Qsci_QtGui->em_types[328]->type->td_fcto

#define sipClass_QScrollBar             sipModuleAPI_Qsci_QtGui->em_types[289]
#define sipCast_QScrollBar              sipModuleAPI_Qsci_QtGui->em_types[289]->type->td_cast
#define sipForceConvertTo_QScrollBar    sipModuleAPI_Qsci_QtGui->em_types[289]->type->td_fcto

#define sipClass_QSessionManager             sipModuleAPI_Qsci_QtGui->em_types[104]
#define sipCast_QSessionManager              sipModuleAPI_Qsci_QtGui->em_types[104]->type->td_cast
#define sipForceConvertTo_QSessionManager    sipModuleAPI_Qsci_QtGui->em_types[104]->type->td_fcto

#define sipEnum_QSessionManager_RestartHint              sipModuleAPI_Qsci_QtGui->em_enums[146]

#define sipClass_QShortcut             sipModuleAPI_Qsci_QtGui->em_types[103]
#define sipCast_QShortcut              sipModuleAPI_Qsci_QtGui->em_types[103]->type->td_cast
#define sipForceConvertTo_QShortcut    sipModuleAPI_Qsci_QtGui->em_types[103]->type->td_fcto

#define sipClass_QSizeGrip             sipModuleAPI_Qsci_QtGui->em_types[265]
#define sipCast_QSizeGrip              sipModuleAPI_Qsci_QtGui->em_types[265]->type->td_cast
#define sipForceConvertTo_QSizeGrip    sipModuleAPI_Qsci_QtGui->em_types[265]->type->td_fcto

#define sipClass_QSizePolicy             sipModuleAPI_Qsci_QtGui->em_types[101]
#define sipCast_QSizePolicy              sipModuleAPI_Qsci_QtGui->em_types[101]->type->td_cast
#define sipForceConvertTo_QSizePolicy    sipModuleAPI_Qsci_QtGui->em_types[101]->type->td_fcto

#define sipEnum_QSizePolicy_ControlType              sipModuleAPI_Qsci_QtGui->em_enums[143]
#define sipEnum_QSizePolicy_Policy              sipModuleAPI_Qsci_QtGui->em_enums[144]
#define sipEnum_QSizePolicy_PolicyFlag              sipModuleAPI_Qsci_QtGui->em_enums[145]

#define sipClass_QSizePolicy_ControlTypes             sipModuleAPI_Qsci_QtGui->em_types[102]
#define sipCast_QSizePolicy_ControlTypes              sipModuleAPI_Qsci_QtGui->em_types[102]->type->td_cast
#define sipForceConvertTo_QSizePolicy_ControlTypes    sipModuleAPI_Qsci_QtGui->em_types[102]->type->td_fcto

#define sipClass_QSlider             sipModuleAPI_Qsci_QtGui->em_types[288]
#define sipCast_QSlider              sipModuleAPI_Qsci_QtGui->em_types[288]->type->td_cast
#define sipForceConvertTo_QSlider    sipModuleAPI_Qsci_QtGui->em_types[288]->type->td_fcto

#define sipEnum_QSlider_TickPosition              sipModuleAPI_Qsci_QtGui->em_enums[142]

#define sipClass_QSortFilterProxyModel             sipModuleAPI_Qsci_QtGui->em_types[243]
#define sipCast_QSortFilterProxyModel              sipModuleAPI_Qsci_QtGui->em_types[243]->type->td_cast
#define sipForceConvertTo_QSortFilterProxyModel    sipModuleAPI_Qsci_QtGui->em_types[243]->type->td_fcto

#define sipClass_QSound             sipModuleAPI_Qsci_QtGui->em_types[100]
#define sipCast_QSound              sipModuleAPI_Qsci_QtGui->em_types[100]->type->td_cast
#define sipForceConvertTo_QSound    sipModuleAPI_Qsci_QtGui->em_types[100]->type->td_fcto

#define sipClass_QSpinBox             sipModuleAPI_Qsci_QtGui->em_types[294]
#define sipCast_QSpinBox              sipModuleAPI_Qsci_QtGui->em_types[294]->type->td_cast
#define sipForceConvertTo_QSpinBox    sipModuleAPI_Qsci_QtGui->em_types[294]->type->td_fcto

#define sipClass_QDoubleSpinBox             sipModuleAPI_Qsci_QtGui->em_types[293]
#define sipCast_QDoubleSpinBox              sipModuleAPI_Qsci_QtGui->em_types[293]->type->td_cast
#define sipForceConvertTo_QDoubleSpinBox    sipModuleAPI_Qsci_QtGui->em_types[293]->type->td_fcto

#define sipClass_QSplashScreen             sipModuleAPI_Qsci_QtGui->em_types[264]
#define sipCast_QSplashScreen              sipModuleAPI_Qsci_QtGui->em_types[264]->type->td_cast
#define sipForceConvertTo_QSplashScreen    sipModuleAPI_Qsci_QtGui->em_types[264]->type->td_fcto

#define sipClass_QSplitter             sipModuleAPI_Qsci_QtGui->em_types[320]
#define sipCast_QSplitter              sipModuleAPI_Qsci_QtGui->em_types[320]->type->td_cast
#define sipForceConvertTo_QSplitter    sipModuleAPI_Qsci_QtGui->em_types[320]->type->td_fcto

#define sipClass_QSplitterHandle             sipModuleAPI_Qsci_QtGui->em_types[263]
#define sipCast_QSplitterHandle              sipModuleAPI_Qsci_QtGui->em_types[263]->type->td_cast
#define sipForceConvertTo_QSplitterHandle    sipModuleAPI_Qsci_QtGui->em_types[263]->type->td_fcto

#define sipClass_QStackedLayout             sipModuleAPI_Qsci_QtGui->em_types[228]
#define sipCast_QStackedLayout              sipModuleAPI_Qsci_QtGui->em_types[228]->type->td_cast
#define sipForceConvertTo_QStackedLayout    sipModuleAPI_Qsci_QtGui->em_types[228]->type->td_fcto

#define sipEnum_QStackedLayout_StackingMode              sipModuleAPI_Qsci_QtGui->em_enums[141]

#define sipClass_QStackedWidget             sipModuleAPI_Qsci_QtGui->em_types[319]
#define sipCast_QStackedWidget              sipModuleAPI_Qsci_QtGui->em_types[319]->type->td_cast
#define sipForceConvertTo_QStackedWidget    sipModuleAPI_Qsci_QtGui->em_types[319]->type->td_fcto

#define sipClass_QStandardItemModel             sipModuleAPI_Qsci_QtGui->em_types[99]
#define sipCast_QStandardItemModel              sipModuleAPI_Qsci_QtGui->em_types[99]->type->td_cast
#define sipForceConvertTo_QStandardItemModel    sipModuleAPI_Qsci_QtGui->em_types[99]->type->td_fcto

#define sipClass_QStandardItem             sipModuleAPI_Qsci_QtGui->em_types[98]
#define sipCast_QStandardItem              sipModuleAPI_Qsci_QtGui->em_types[98]->type->td_cast
#define sipForceConvertTo_QStandardItem    sipModuleAPI_Qsci_QtGui->em_types[98]->type->td_fcto

#define sipEnum_QStandardItem_ItemType              sipModuleAPI_Qsci_QtGui->em_enums[140]

#define sipClass_QStatusBar             sipModuleAPI_Qsci_QtGui->em_types[262]
#define sipCast_QStatusBar              sipModuleAPI_Qsci_QtGui->em_types[262]->type->td_cast
#define sipForceConvertTo_QStatusBar    sipModuleAPI_Qsci_QtGui->em_types[262]->type->td_fcto

#define sipClass_QStringListModel             sipModuleAPI_Qsci_QtGui->em_types[97]
#define sipCast_QStringListModel              sipModuleAPI_Qsci_QtGui->em_types[97]->type->td_cast
#define sipForceConvertTo_QStringListModel    sipModuleAPI_Qsci_QtGui->em_types[97]->type->td_fcto

#define sipClass_QStyle             sipModuleAPI_Qsci_QtGui->em_types[94]
#define sipCast_QStyle              sipModuleAPI_Qsci_QtGui->em_types[94]->type->td_cast
#define sipForceConvertTo_QStyle    sipModuleAPI_Qsci_QtGui->em_types[94]->type->td_fcto

#define sipEnum_QStyle_StandardPixmap              sipModuleAPI_Qsci_QtGui->em_enums[130]
#define sipEnum_QStyle_StyleHint              sipModuleAPI_Qsci_QtGui->em_enums[131]
#define sipEnum_QStyle_ContentsType              sipModuleAPI_Qsci_QtGui->em_enums[132]
#define sipEnum_QStyle_PixelMetric              sipModuleAPI_Qsci_QtGui->em_enums[133]
#define sipEnum_QStyle_SubControl              sipModuleAPI_Qsci_QtGui->em_enums[134]
#define sipEnum_QStyle_ComplexControl              sipModuleAPI_Qsci_QtGui->em_enums[135]
#define sipEnum_QStyle_SubElement              sipModuleAPI_Qsci_QtGui->em_enums[136]
#define sipEnum_QStyle_ControlElement              sipModuleAPI_Qsci_QtGui->em_enums[137]
#define sipEnum_QStyle_PrimitiveElement              sipModuleAPI_Qsci_QtGui->em_enums[138]
#define sipEnum_QStyle_StateFlag              sipModuleAPI_Qsci_QtGui->em_enums[139]

#define sipClass_QStyle_State             sipModuleAPI_Qsci_QtGui->em_types[96]
#define sipCast_QStyle_State              sipModuleAPI_Qsci_QtGui->em_types[96]->type->td_cast
#define sipForceConvertTo_QStyle_State    sipModuleAPI_Qsci_QtGui->em_types[96]->type->td_fcto

#define sipClass_QStyle_SubControls             sipModuleAPI_Qsci_QtGui->em_types[95]
#define sipCast_QStyle_SubControls              sipModuleAPI_Qsci_QtGui->em_types[95]->type->td_cast
#define sipForceConvertTo_QStyle_SubControls    sipModuleAPI_Qsci_QtGui->em_types[95]->type->td_fcto

#define sipClass_QStyledItemDelegate             sipModuleAPI_Qsci_QtGui->em_types[245]
#define sipCast_QStyledItemDelegate              sipModuleAPI_Qsci_QtGui->em_types[245]->type->td_cast
#define sipForceConvertTo_QStyledItemDelegate    sipModuleAPI_Qsci_QtGui->em_types[245]->type->td_fcto

#define sipClass_QStyleFactory             sipModuleAPI_Qsci_QtGui->em_types[93]
#define sipCast_QStyleFactory              sipModuleAPI_Qsci_QtGui->em_types[93]->type->td_cast
#define sipForceConvertTo_QStyleFactory    sipModuleAPI_Qsci_QtGui->em_types[93]->type->td_fcto

#define sipClass_QStyleOption             sipModuleAPI_Qsci_QtGui->em_types[55]
#define sipCast_QStyleOption              sipModuleAPI_Qsci_QtGui->em_types[55]->type->td_cast
#define sipForceConvertTo_QStyleOption    sipModuleAPI_Qsci_QtGui->em_types[55]->type->td_fcto

#define sipEnum_QStyleOption_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[127]
#define sipEnum_QStyleOption_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[128]
#define sipEnum_QStyleOption_OptionType              sipModuleAPI_Qsci_QtGui->em_enums[129]

#define sipClass_QStyleOptionFocusRect             sipModuleAPI_Qsci_QtGui->em_types[92]
#define sipCast_QStyleOptionFocusRect              sipModuleAPI_Qsci_QtGui->em_types[92]->type->td_cast
#define sipForceConvertTo_QStyleOptionFocusRect    sipModuleAPI_Qsci_QtGui->em_types[92]->type->td_fcto

#define sipEnum_QStyleOptionFocusRect_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[125]
#define sipEnum_QStyleOptionFocusRect_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[126]

#define sipClass_QStyleOptionFrame             sipModuleAPI_Qsci_QtGui->em_types[89]
#define sipCast_QStyleOptionFrame              sipModuleAPI_Qsci_QtGui->em_types[89]->type->td_cast
#define sipForceConvertTo_QStyleOptionFrame    sipModuleAPI_Qsci_QtGui->em_types[89]->type->td_fcto

#define sipEnum_QStyleOptionFrame_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[123]
#define sipEnum_QStyleOptionFrame_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[124]

#define sipClass_QStyleOptionFrameV2             sipModuleAPI_Qsci_QtGui->em_types[90]
#define sipCast_QStyleOptionFrameV2              sipModuleAPI_Qsci_QtGui->em_types[90]->type->td_cast
#define sipForceConvertTo_QStyleOptionFrameV2    sipModuleAPI_Qsci_QtGui->em_types[90]->type->td_fcto

#define sipEnum_QStyleOptionFrameV2_FrameFeature              sipModuleAPI_Qsci_QtGui->em_enums[121]
#define sipEnum_QStyleOptionFrameV2_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[122]

#define sipClass_QStyleOptionFrameV2_FrameFeatures             sipModuleAPI_Qsci_QtGui->em_types[91]
#define sipCast_QStyleOptionFrameV2_FrameFeatures              sipModuleAPI_Qsci_QtGui->em_types[91]->type->td_cast
#define sipForceConvertTo_QStyleOptionFrameV2_FrameFeatures    sipModuleAPI_Qsci_QtGui->em_types[91]->type->td_fcto

#define sipClass_QStyleOptionTabWidgetFrame             sipModuleAPI_Qsci_QtGui->em_types[88]
#define sipCast_QStyleOptionTabWidgetFrame              sipModuleAPI_Qsci_QtGui->em_types[88]->type->td_cast
#define sipForceConvertTo_QStyleOptionTabWidgetFrame    sipModuleAPI_Qsci_QtGui->em_types[88]->type->td_fcto

#define sipEnum_QStyleOptionTabWidgetFrame_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[119]
#define sipEnum_QStyleOptionTabWidgetFrame_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[120]

#define sipClass_QStyleOptionTabBarBase             sipModuleAPI_Qsci_QtGui->em_types[87]
#define sipCast_QStyleOptionTabBarBase              sipModuleAPI_Qsci_QtGui->em_types[87]->type->td_cast
#define sipForceConvertTo_QStyleOptionTabBarBase    sipModuleAPI_Qsci_QtGui->em_types[87]->type->td_fcto

#define sipEnum_QStyleOptionTabBarBase_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[117]
#define sipEnum_QStyleOptionTabBarBase_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[118]

#define sipClass_QStyleOptionHeader             sipModuleAPI_Qsci_QtGui->em_types[86]
#define sipCast_QStyleOptionHeader              sipModuleAPI_Qsci_QtGui->em_types[86]->type->td_cast
#define sipForceConvertTo_QStyleOptionHeader    sipModuleAPI_Qsci_QtGui->em_types[86]->type->td_fcto

#define sipEnum_QStyleOptionHeader_SortIndicator              sipModuleAPI_Qsci_QtGui->em_enums[112]
#define sipEnum_QStyleOptionHeader_SelectedPosition              sipModuleAPI_Qsci_QtGui->em_enums[113]
#define sipEnum_QStyleOptionHeader_SectionPosition              sipModuleAPI_Qsci_QtGui->em_enums[114]
#define sipEnum_QStyleOptionHeader_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[115]
#define sipEnum_QStyleOptionHeader_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[116]

#define sipClass_QStyleOptionButton             sipModuleAPI_Qsci_QtGui->em_types[84]
#define sipCast_QStyleOptionButton              sipModuleAPI_Qsci_QtGui->em_types[84]->type->td_cast
#define sipForceConvertTo_QStyleOptionButton    sipModuleAPI_Qsci_QtGui->em_types[84]->type->td_fcto

#define sipEnum_QStyleOptionButton_ButtonFeature              sipModuleAPI_Qsci_QtGui->em_enums[109]
#define sipEnum_QStyleOptionButton_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[110]
#define sipEnum_QStyleOptionButton_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[111]

#define sipClass_QStyleOptionButton_ButtonFeatures             sipModuleAPI_Qsci_QtGui->em_types[85]
#define sipCast_QStyleOptionButton_ButtonFeatures              sipModuleAPI_Qsci_QtGui->em_types[85]->type->td_cast
#define sipForceConvertTo_QStyleOptionButton_ButtonFeatures    sipModuleAPI_Qsci_QtGui->em_types[85]->type->td_fcto

#define sipClass_QStyleOptionTab             sipModuleAPI_Qsci_QtGui->em_types[81]
#define sipCast_QStyleOptionTab              sipModuleAPI_Qsci_QtGui->em_types[81]->type->td_cast
#define sipForceConvertTo_QStyleOptionTab    sipModuleAPI_Qsci_QtGui->em_types[81]->type->td_fcto

#define sipEnum_QStyleOptionTab_CornerWidget              sipModuleAPI_Qsci_QtGui->em_enums[104]
#define sipEnum_QStyleOptionTab_SelectedPosition              sipModuleAPI_Qsci_QtGui->em_enums[105]
#define sipEnum_QStyleOptionTab_TabPosition              sipModuleAPI_Qsci_QtGui->em_enums[106]
#define sipEnum_QStyleOptionTab_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[107]
#define sipEnum_QStyleOptionTab_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[108]

#define sipClass_QStyleOptionTab_CornerWidgets             sipModuleAPI_Qsci_QtGui->em_types[82]
#define sipCast_QStyleOptionTab_CornerWidgets              sipModuleAPI_Qsci_QtGui->em_types[82]->type->td_cast
#define sipForceConvertTo_QStyleOptionTab_CornerWidgets    sipModuleAPI_Qsci_QtGui->em_types[82]->type->td_fcto

#define sipClass_QStyleOptionTabV2             sipModuleAPI_Qsci_QtGui->em_types[83]
#define sipCast_QStyleOptionTabV2              sipModuleAPI_Qsci_QtGui->em_types[83]->type->td_cast
#define sipForceConvertTo_QStyleOptionTabV2    sipModuleAPI_Qsci_QtGui->em_types[83]->type->td_fcto

#define sipEnum_QStyleOptionTabV2_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[103]

#define sipClass_QStyleOptionProgressBar             sipModuleAPI_Qsci_QtGui->em_types[79]
#define sipCast_QStyleOptionProgressBar              sipModuleAPI_Qsci_QtGui->em_types[79]->type->td_cast
#define sipForceConvertTo_QStyleOptionProgressBar    sipModuleAPI_Qsci_QtGui->em_types[79]->type->td_fcto

#define sipEnum_QStyleOptionProgressBar_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[101]
#define sipEnum_QStyleOptionProgressBar_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[102]

#define sipClass_QStyleOptionProgressBarV2             sipModuleAPI_Qsci_QtGui->em_types[80]
#define sipCast_QStyleOptionProgressBarV2              sipModuleAPI_Qsci_QtGui->em_types[80]->type->td_cast
#define sipForceConvertTo_QStyleOptionProgressBarV2    sipModuleAPI_Qsci_QtGui->em_types[80]->type->td_fcto

#define sipEnum_QStyleOptionProgressBarV2_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[99]
#define sipEnum_QStyleOptionProgressBarV2_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[100]

#define sipClass_QStyleOptionMenuItem             sipModuleAPI_Qsci_QtGui->em_types[78]
#define sipCast_QStyleOptionMenuItem              sipModuleAPI_Qsci_QtGui->em_types[78]->type->td_cast
#define sipForceConvertTo_QStyleOptionMenuItem    sipModuleAPI_Qsci_QtGui->em_types[78]->type->td_fcto

#define sipEnum_QStyleOptionMenuItem_CheckType              sipModuleAPI_Qsci_QtGui->em_enums[95]
#define sipEnum_QStyleOptionMenuItem_MenuItemType              sipModuleAPI_Qsci_QtGui->em_enums[96]
#define sipEnum_QStyleOptionMenuItem_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[97]
#define sipEnum_QStyleOptionMenuItem_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[98]

#define sipClass_QStyleOptionDockWidget             sipModuleAPI_Qsci_QtGui->em_types[76]
#define sipCast_QStyleOptionDockWidget              sipModuleAPI_Qsci_QtGui->em_types[76]->type->td_cast
#define sipForceConvertTo_QStyleOptionDockWidget    sipModuleAPI_Qsci_QtGui->em_types[76]->type->td_fcto

#define sipEnum_QStyleOptionDockWidget_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[93]
#define sipEnum_QStyleOptionDockWidget_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[94]

#define sipClass_QStyleOptionViewItem             sipModuleAPI_Qsci_QtGui->em_types[71]
#define sipCast_QStyleOptionViewItem              sipModuleAPI_Qsci_QtGui->em_types[71]->type->td_cast
#define sipForceConvertTo_QStyleOptionViewItem    sipModuleAPI_Qsci_QtGui->em_types[71]->type->td_fcto

#define sipEnum_QStyleOptionViewItem_Position              sipModuleAPI_Qsci_QtGui->em_enums[90]
#define sipEnum_QStyleOptionViewItem_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[91]
#define sipEnum_QStyleOptionViewItem_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[92]

#define sipClass_QStyleOptionToolBox             sipModuleAPI_Qsci_QtGui->em_types[69]
#define sipCast_QStyleOptionToolBox              sipModuleAPI_Qsci_QtGui->em_types[69]->type->td_cast
#define sipForceConvertTo_QStyleOptionToolBox    sipModuleAPI_Qsci_QtGui->em_types[69]->type->td_fcto

#define sipEnum_QStyleOptionToolBox_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[88]
#define sipEnum_QStyleOptionToolBox_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[89]

#define sipClass_QStyleOptionRubberBand             sipModuleAPI_Qsci_QtGui->em_types[68]
#define sipCast_QStyleOptionRubberBand              sipModuleAPI_Qsci_QtGui->em_types[68]->type->td_cast
#define sipForceConvertTo_QStyleOptionRubberBand    sipModuleAPI_Qsci_QtGui->em_types[68]->type->td_fcto

#define sipEnum_QStyleOptionRubberBand_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[86]
#define sipEnum_QStyleOptionRubberBand_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[87]

#define sipClass_QStyleOptionComplex             sipModuleAPI_Qsci_QtGui->em_types[59]
#define sipCast_QStyleOptionComplex              sipModuleAPI_Qsci_QtGui->em_types[59]->type->td_cast
#define sipForceConvertTo_QStyleOptionComplex    sipModuleAPI_Qsci_QtGui->em_types[59]->type->td_fcto

#define sipEnum_QStyleOptionComplex_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[84]
#define sipEnum_QStyleOptionComplex_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[85]

#define sipClass_QStyleOptionSlider             sipModuleAPI_Qsci_QtGui->em_types[67]
#define sipCast_QStyleOptionSlider              sipModuleAPI_Qsci_QtGui->em_types[67]->type->td_cast
#define sipForceConvertTo_QStyleOptionSlider    sipModuleAPI_Qsci_QtGui->em_types[67]->type->td_fcto

#define sipEnum_QStyleOptionSlider_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[82]
#define sipEnum_QStyleOptionSlider_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[83]

#define sipClass_QStyleOptionSpinBox             sipModuleAPI_Qsci_QtGui->em_types[66]
#define sipCast_QStyleOptionSpinBox              sipModuleAPI_Qsci_QtGui->em_types[66]->type->td_cast
#define sipForceConvertTo_QStyleOptionSpinBox    sipModuleAPI_Qsci_QtGui->em_types[66]->type->td_fcto

#define sipEnum_QStyleOptionSpinBox_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[80]
#define sipEnum_QStyleOptionSpinBox_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[81]

#define sipClass_QStyleOptionToolButton             sipModuleAPI_Qsci_QtGui->em_types[64]
#define sipCast_QStyleOptionToolButton              sipModuleAPI_Qsci_QtGui->em_types[64]->type->td_cast
#define sipForceConvertTo_QStyleOptionToolButton    sipModuleAPI_Qsci_QtGui->em_types[64]->type->td_fcto

#define sipEnum_QStyleOptionToolButton_ToolButtonFeature              sipModuleAPI_Qsci_QtGui->em_enums[77]
#define sipEnum_QStyleOptionToolButton_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[78]
#define sipEnum_QStyleOptionToolButton_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[79]

#define sipClass_QStyleOptionToolButton_ToolButtonFeatures             sipModuleAPI_Qsci_QtGui->em_types[65]
#define sipCast_QStyleOptionToolButton_ToolButtonFeatures              sipModuleAPI_Qsci_QtGui->em_types[65]->type->td_cast
#define sipForceConvertTo_QStyleOptionToolButton_ToolButtonFeatures    sipModuleAPI_Qsci_QtGui->em_types[65]->type->td_fcto

#define sipClass_QStyleOptionComboBox             sipModuleAPI_Qsci_QtGui->em_types[63]
#define sipCast_QStyleOptionComboBox              sipModuleAPI_Qsci_QtGui->em_types[63]->type->td_cast
#define sipForceConvertTo_QStyleOptionComboBox    sipModuleAPI_Qsci_QtGui->em_types[63]->type->td_fcto

#define sipEnum_QStyleOptionComboBox_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[75]
#define sipEnum_QStyleOptionComboBox_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[76]

#define sipClass_QStyleOptionTitleBar             sipModuleAPI_Qsci_QtGui->em_types[62]
#define sipCast_QStyleOptionTitleBar              sipModuleAPI_Qsci_QtGui->em_types[62]->type->td_cast
#define sipForceConvertTo_QStyleOptionTitleBar    sipModuleAPI_Qsci_QtGui->em_types[62]->type->td_fcto

#define sipEnum_QStyleOptionTitleBar_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[73]
#define sipEnum_QStyleOptionTitleBar_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[74]

#define sipClass_QStyleHintReturn             sipModuleAPI_Qsci_QtGui->em_types[52]
#define sipCast_QStyleHintReturn              sipModuleAPI_Qsci_QtGui->em_types[52]->type->td_cast
#define sipForceConvertTo_QStyleHintReturn    sipModuleAPI_Qsci_QtGui->em_types[52]->type->td_fcto

#define sipEnum_QStyleHintReturn_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[70]
#define sipEnum_QStyleHintReturn_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[71]
#define sipEnum_QStyleHintReturn_HintReturnType              sipModuleAPI_Qsci_QtGui->em_enums[72]

#define sipClass_QStyleHintReturnMask             sipModuleAPI_Qsci_QtGui->em_types[54]
#define sipCast_QStyleHintReturnMask              sipModuleAPI_Qsci_QtGui->em_types[54]->type->td_cast
#define sipForceConvertTo_QStyleHintReturnMask    sipModuleAPI_Qsci_QtGui->em_types[54]->type->td_fcto

#define sipEnum_QStyleHintReturnMask_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[68]
#define sipEnum_QStyleHintReturnMask_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[69]

#define sipClass_QStyleOptionToolBar             sipModuleAPI_Qsci_QtGui->em_types[57]
#define sipCast_QStyleOptionToolBar              sipModuleAPI_Qsci_QtGui->em_types[57]->type->td_cast
#define sipForceConvertTo_QStyleOptionToolBar    sipModuleAPI_Qsci_QtGui->em_types[57]->type->td_fcto

#define sipEnum_QStyleOptionToolBar_ToolBarFeature              sipModuleAPI_Qsci_QtGui->em_enums[64]
#define sipEnum_QStyleOptionToolBar_ToolBarPosition              sipModuleAPI_Qsci_QtGui->em_enums[65]
#define sipEnum_QStyleOptionToolBar_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[66]
#define sipEnum_QStyleOptionToolBar_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[67]

#define sipClass_QStyleOptionToolBar_ToolBarFeatures             sipModuleAPI_Qsci_QtGui->em_types[58]
#define sipCast_QStyleOptionToolBar_ToolBarFeatures              sipModuleAPI_Qsci_QtGui->em_types[58]->type->td_cast
#define sipForceConvertTo_QStyleOptionToolBar_ToolBarFeatures    sipModuleAPI_Qsci_QtGui->em_types[58]->type->td_fcto

#define sipClass_QStyleOptionGroupBox             sipModuleAPI_Qsci_QtGui->em_types[61]
#define sipCast_QStyleOptionGroupBox              sipModuleAPI_Qsci_QtGui->em_types[61]->type->td_cast
#define sipForceConvertTo_QStyleOptionGroupBox    sipModuleAPI_Qsci_QtGui->em_types[61]->type->td_fcto

#define sipEnum_QStyleOptionGroupBox_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[62]
#define sipEnum_QStyleOptionGroupBox_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[63]

#define sipClass_QStyleOptionViewItemV2             sipModuleAPI_Qsci_QtGui->em_types[72]
#define sipCast_QStyleOptionViewItemV2              sipModuleAPI_Qsci_QtGui->em_types[72]->type->td_cast
#define sipForceConvertTo_QStyleOptionViewItemV2    sipModuleAPI_Qsci_QtGui->em_types[72]->type->td_fcto

#define sipEnum_QStyleOptionViewItemV2_ViewItemFeature              sipModuleAPI_Qsci_QtGui->em_enums[60]
#define sipEnum_QStyleOptionViewItemV2_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[61]

#define sipClass_QStyleOptionViewItemV2_ViewItemFeatures             sipModuleAPI_Qsci_QtGui->em_types[73]
#define sipCast_QStyleOptionViewItemV2_ViewItemFeatures              sipModuleAPI_Qsci_QtGui->em_types[73]->type->td_cast
#define sipForceConvertTo_QStyleOptionViewItemV2_ViewItemFeatures    sipModuleAPI_Qsci_QtGui->em_types[73]->type->td_fcto

#define sipClass_QStyleOptionSizeGrip             sipModuleAPI_Qsci_QtGui->em_types[60]
#define sipCast_QStyleOptionSizeGrip              sipModuleAPI_Qsci_QtGui->em_types[60]->type->td_cast
#define sipForceConvertTo_QStyleOptionSizeGrip    sipModuleAPI_Qsci_QtGui->em_types[60]->type->td_fcto

#define sipEnum_QStyleOptionSizeGrip_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[58]
#define sipEnum_QStyleOptionSizeGrip_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[59]

#define sipClass_QStyleOptionGraphicsItem             sipModuleAPI_Qsci_QtGui->em_types[56]
#define sipCast_QStyleOptionGraphicsItem              sipModuleAPI_Qsci_QtGui->em_types[56]->type->td_cast
#define sipForceConvertTo_QStyleOptionGraphicsItem    sipModuleAPI_Qsci_QtGui->em_types[56]->type->td_fcto

#define sipEnum_QStyleOptionGraphicsItem_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[56]
#define sipEnum_QStyleOptionGraphicsItem_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[57]

#define sipClass_QStyleOptionDockWidgetV2             sipModuleAPI_Qsci_QtGui->em_types[77]
#define sipCast_QStyleOptionDockWidgetV2              sipModuleAPI_Qsci_QtGui->em_types[77]->type->td_cast
#define sipForceConvertTo_QStyleOptionDockWidgetV2    sipModuleAPI_Qsci_QtGui->em_types[77]->type->td_fcto

#define sipEnum_QStyleOptionDockWidgetV2_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[55]

#define sipClass_QStyleOptionViewItemV3             sipModuleAPI_Qsci_QtGui->em_types[74]
#define sipCast_QStyleOptionViewItemV3              sipModuleAPI_Qsci_QtGui->em_types[74]->type->td_cast
#define sipForceConvertTo_QStyleOptionViewItemV3    sipModuleAPI_Qsci_QtGui->em_types[74]->type->td_fcto

#define sipEnum_QStyleOptionViewItemV3_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[54]

#define sipClass_QStyleOptionToolBoxV2             sipModuleAPI_Qsci_QtGui->em_types[70]
#define sipCast_QStyleOptionToolBoxV2              sipModuleAPI_Qsci_QtGui->em_types[70]->type->td_cast
#define sipForceConvertTo_QStyleOptionToolBoxV2    sipModuleAPI_Qsci_QtGui->em_types[70]->type->td_fcto

#define sipEnum_QStyleOptionToolBoxV2_SelectedPosition              sipModuleAPI_Qsci_QtGui->em_enums[51]
#define sipEnum_QStyleOptionToolBoxV2_TabPosition              sipModuleAPI_Qsci_QtGui->em_enums[52]
#define sipEnum_QStyleOptionToolBoxV2_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[53]

#define sipClass_QStyleHintReturnVariant             sipModuleAPI_Qsci_QtGui->em_types[53]
#define sipCast_QStyleHintReturnVariant              sipModuleAPI_Qsci_QtGui->em_types[53]->type->td_cast
#define sipForceConvertTo_QStyleHintReturnVariant    sipModuleAPI_Qsci_QtGui->em_types[53]->type->td_fcto

#define sipEnum_QStyleHintReturnVariant_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[49]
#define sipEnum_QStyleHintReturnVariant_StyleOptionType              sipModuleAPI_Qsci_QtGui->em_enums[50]

#define sipClass_QStyleOptionViewItemV4             sipModuleAPI_Qsci_QtGui->em_types[75]
#define sipCast_QStyleOptionViewItemV4              sipModuleAPI_Qsci_QtGui->em_types[75]->type->td_cast
#define sipForceConvertTo_QStyleOptionViewItemV4    sipModuleAPI_Qsci_QtGui->em_types[75]->type->td_fcto

#define sipEnum_QStyleOptionViewItemV4_ViewItemPosition              sipModuleAPI_Qsci_QtGui->em_enums[47]
#define sipEnum_QStyleOptionViewItemV4_StyleOptionVersion              sipModuleAPI_Qsci_QtGui->em_enums[48]

#define sipClass_QStylePainter             sipModuleAPI_Qsci_QtGui->em_types[126]
#define sipCast_QStylePainter              sipModuleAPI_Qsci_QtGui->em_types[126]->type->td_cast
#define sipForceConvertTo_QStylePainter    sipModuleAPI_Qsci_QtGui->em_types[126]->type->td_fcto

#define sipClass_QSyntaxHighlighter             sipModuleAPI_Qsci_QtGui->em_types[51]
#define sipCast_QSyntaxHighlighter              sipModuleAPI_Qsci_QtGui->em_types[51]->type->td_cast
#define sipForceConvertTo_QSyntaxHighlighter    sipModuleAPI_Qsci_QtGui->em_types[51]->type->td_fcto

#define sipClass_QSystemTrayIcon             sipModuleAPI_Qsci_QtGui->em_types[50]
#define sipCast_QSystemTrayIcon              sipModuleAPI_Qsci_QtGui->em_types[50]->type->td_cast
#define sipForceConvertTo_QSystemTrayIcon    sipModuleAPI_Qsci_QtGui->em_types[50]->type->td_fcto

#define sipEnum_QSystemTrayIcon_MessageIcon              sipModuleAPI_Qsci_QtGui->em_enums[45]
#define sipEnum_QSystemTrayIcon_ActivationReason              sipModuleAPI_Qsci_QtGui->em_enums[46]

#define sipClass_QTabBar             sipModuleAPI_Qsci_QtGui->em_types[261]
#define sipCast_QTabBar              sipModuleAPI_Qsci_QtGui->em_types[261]->type->td_cast
#define sipForceConvertTo_QTabBar    sipModuleAPI_Qsci_QtGui->em_types[261]->type->td_fcto

#define sipEnum_QTabBar_Shape              sipModuleAPI_Qsci_QtGui->em_enums[44]

#define sipClass_QTableView             sipModuleAPI_Qsci_QtGui->em_types[339]
#define sipCast_QTableView              sipModuleAPI_Qsci_QtGui->em_types[339]->type->td_cast
#define sipForceConvertTo_QTableView    sipModuleAPI_Qsci_QtGui->em_types[339]->type->td_fcto

#define sipClass_QTableWidgetSelectionRange             sipModuleAPI_Qsci_QtGui->em_types[49]
#define sipCast_QTableWidgetSelectionRange              sipModuleAPI_Qsci_QtGui->em_types[49]->type->td_cast
#define sipForceConvertTo_QTableWidgetSelectionRange    sipModuleAPI_Qsci_QtGui->em_types[49]->type->td_fcto

#define sipClass_QTableWidgetItem             sipModuleAPI_Qsci_QtGui->em_types[48]
#define sipCast_QTableWidgetItem              sipModuleAPI_Qsci_QtGui->em_types[48]->type->td_cast
#define sipForceConvertTo_QTableWidgetItem    sipModuleAPI_Qsci_QtGui->em_types[48]->type->td_fcto

#define sipEnum_QTableWidgetItem_ItemType              sipModuleAPI_Qsci_QtGui->em_enums[43]

#define sipClass_QTableWidget             sipModuleAPI_Qsci_QtGui->em_types[340]
#define sipCast_QTableWidget              sipModuleAPI_Qsci_QtGui->em_types[340]->type->td_cast
#define sipForceConvertTo_QTableWidget    sipModuleAPI_Qsci_QtGui->em_types[340]->type->td_fcto

#define sipClass_QTabWidget             sipModuleAPI_Qsci_QtGui->em_types[260]
#define sipCast_QTabWidget              sipModuleAPI_Qsci_QtGui->em_types[260]->type->td_cast
#define sipForceConvertTo_QTabWidget    sipModuleAPI_Qsci_QtGui->em_types[260]->type->td_fcto

#define sipEnum_QTabWidget_TabShape              sipModuleAPI_Qsci_QtGui->em_enums[41]
#define sipEnum_QTabWidget_TabPosition              sipModuleAPI_Qsci_QtGui->em_enums[42]

#define sipClass_QTextEdit             sipModuleAPI_Qsci_QtGui->em_types[324]
#define sipCast_QTextEdit              sipModuleAPI_Qsci_QtGui->em_types[324]->type->td_cast
#define sipForceConvertTo_QTextEdit    sipModuleAPI_Qsci_QtGui->em_types[324]->type->td_fcto

#define sipEnum_QTextEdit_AutoFormattingFlag              sipModuleAPI_Qsci_QtGui->em_enums[31]
#define sipEnum_QTextEdit_LineWrapMode              sipModuleAPI_Qsci_QtGui->em_enums[32]

#define sipClass_QTextBrowser             sipModuleAPI_Qsci_QtGui->em_types[327]
#define sipCast_QTextBrowser              sipModuleAPI_Qsci_QtGui->em_types[327]->type->td_cast
#define sipForceConvertTo_QTextBrowser    sipModuleAPI_Qsci_QtGui->em_types[327]->type->td_fcto

#define sipClass_QTextCursor             sipModuleAPI_Qsci_QtGui->em_types[47]
#define sipCast_QTextCursor              sipModuleAPI_Qsci_QtGui->em_types[47]->type->td_cast
#define sipForceConvertTo_QTextCursor    sipModuleAPI_Qsci_QtGui->em_types[47]->type->td_fcto

#define sipEnum_QTextCursor_SelectionType              sipModuleAPI_Qsci_QtGui->em_enums[38]
#define sipEnum_QTextCursor_MoveOperation              sipModuleAPI_Qsci_QtGui->em_enums[39]
#define sipEnum_QTextCursor_MoveMode              sipModuleAPI_Qsci_QtGui->em_enums[40]

#if !defined(sipClass_Qt)
#define sipClass_Qt             sipModuleAPI_Qsci_QtGui->em_types[46]
#endif

#define sipEnum_Qt_WhiteSpaceMode              sipModuleAPI_Qsci_QtGui->em_enums[36]
#define sipEnum_Qt_HitTestAccuracy              sipModuleAPI_Qsci_QtGui->em_enums[37]

#define sipClass_QTextDocument             sipModuleAPI_Qsci_QtGui->em_types[44]
#define sipCast_QTextDocument              sipModuleAPI_Qsci_QtGui->em_types[44]->type->td_cast
#define sipForceConvertTo_QTextDocument    sipModuleAPI_Qsci_QtGui->em_types[44]->type->td_fcto

#define sipEnum_QTextDocument_ResourceType              sipModuleAPI_Qsci_QtGui->em_enums[33]
#define sipEnum_QTextDocument_FindFlag              sipModuleAPI_Qsci_QtGui->em_enums[34]
#define sipEnum_QTextDocument_MetaInformation              sipModuleAPI_Qsci_QtGui->em_enums[35]

#define sipClass_QTextDocument_FindFlags             sipModuleAPI_Qsci_QtGui->em_types[45]
#define sipCast_QTextDocument_FindFlags              sipModuleAPI_Qsci_QtGui->em_types[45]->type->td_cast
#define sipForceConvertTo_QTextDocument_FindFlags    sipModuleAPI_Qsci_QtGui->em_types[45]->type->td_fcto

#define sipClass_QTextDocumentFragment             sipModuleAPI_Qsci_QtGui->em_types[43]
#define sipCast_QTextDocumentFragment              sipModuleAPI_Qsci_QtGui->em_types[43]->type->td_cast
#define sipForceConvertTo_QTextDocumentFragment    sipModuleAPI_Qsci_QtGui->em_types[43]->type->td_fcto

#define sipClass_QTextEdit_ExtraSelection             sipModuleAPI_Qsci_QtGui->em_types[326]
#define sipCast_QTextEdit_ExtraSelection              sipModuleAPI_Qsci_QtGui->em_types[326]->type->td_cast
#define sipForceConvertTo_QTextEdit_ExtraSelection    sipModuleAPI_Qsci_QtGui->em_types[326]->type->td_fcto

#define sipClass_QTextEdit_AutoFormatting             sipModuleAPI_Qsci_QtGui->em_types[325]
#define sipCast_QTextEdit_AutoFormatting              sipModuleAPI_Qsci_QtGui->em_types[325]->type->td_cast
#define sipForceConvertTo_QTextEdit_AutoFormatting    sipModuleAPI_Qsci_QtGui->em_types[325]->type->td_fcto

#define sipClass_QTextLength             sipModuleAPI_Qsci_QtGui->em_types[42]
#define sipCast_QTextLength              sipModuleAPI_Qsci_QtGui->em_types[42]->type->td_cast
#define sipForceConvertTo_QTextLength    sipModuleAPI_Qsci_QtGui->em_types[42]->type->td_fcto

#define sipEnum_QTextLength_Type              sipModuleAPI_Qsci_QtGui->em_enums[30]

#define sipClass_QTextFormat             sipModuleAPI_Qsci_QtGui->em_types[33]
#define sipCast_QTextFormat              sipModuleAPI_Qsci_QtGui->em_types[33]->type->td_cast
#define sipForceConvertTo_QTextFormat    sipModuleAPI_Qsci_QtGui->em_types[33]->type->td_fcto

#define sipEnum_QTextFormat_Property              sipModuleAPI_Qsci_QtGui->em_enums[26]
#define sipEnum_QTextFormat_PageBreakFlag              sipModuleAPI_Qsci_QtGui->em_enums[27]
#define sipEnum_QTextFormat_ObjectTypes              sipModuleAPI_Qsci_QtGui->em_enums[28]
#define sipEnum_QTextFormat_FormatType              sipModuleAPI_Qsci_QtGui->em_enums[29]

#define sipClass_QTextFormat_PageBreakFlags             sipModuleAPI_Qsci_QtGui->em_types[34]
#define sipCast_QTextFormat_PageBreakFlags              sipModuleAPI_Qsci_QtGui->em_types[34]->type->td_cast
#define sipForceConvertTo_QTextFormat_PageBreakFlags    sipModuleAPI_Qsci_QtGui->em_types[34]->type->td_fcto

#define sipClass_QTextCharFormat             sipModuleAPI_Qsci_QtGui->em_types[39]
#define sipCast_QTextCharFormat              sipModuleAPI_Qsci_QtGui->em_types[39]->type->td_cast
#define sipForceConvertTo_QTextCharFormat    sipModuleAPI_Qsci_QtGui->em_types[39]->type->td_fcto

#define sipEnum_QTextCharFormat_UnderlineStyle              sipModuleAPI_Qsci_QtGui->em_enums[24]
#define sipEnum_QTextCharFormat_VerticalAlignment              sipModuleAPI_Qsci_QtGui->em_enums[25]

#define sipClass_QTextBlockFormat             sipModuleAPI_Qsci_QtGui->em_types[38]
#define sipCast_QTextBlockFormat              sipModuleAPI_Qsci_QtGui->em_types[38]->type->td_cast
#define sipForceConvertTo_QTextBlockFormat    sipModuleAPI_Qsci_QtGui->em_types[38]->type->td_fcto

#define sipClass_QTextListFormat             sipModuleAPI_Qsci_QtGui->em_types[37]
#define sipCast_QTextListFormat              sipModuleAPI_Qsci_QtGui->em_types[37]->type->td_cast
#define sipForceConvertTo_QTextListFormat    sipModuleAPI_Qsci_QtGui->em_types[37]->type->td_fcto

#define sipEnum_QTextListFormat_Style              sipModuleAPI_Qsci_QtGui->em_enums[23]

#define sipClass_QTextImageFormat             sipModuleAPI_Qsci_QtGui->em_types[41]
#define sipCast_QTextImageFormat              sipModuleAPI_Qsci_QtGui->em_types[41]->type->td_cast
#define sipForceConvertTo_QTextImageFormat    sipModuleAPI_Qsci_QtGui->em_types[41]->type->td_fcto

#define sipClass_QTextFrameFormat             sipModuleAPI_Qsci_QtGui->em_types[35]
#define sipCast_QTextFrameFormat              sipModuleAPI_Qsci_QtGui->em_types[35]->type->td_cast
#define sipForceConvertTo_QTextFrameFormat    sipModuleAPI_Qsci_QtGui->em_types[35]->type->td_fcto

#define sipEnum_QTextFrameFormat_BorderStyle              sipModuleAPI_Qsci_QtGui->em_enums[21]
#define sipEnum_QTextFrameFormat_Position              sipModuleAPI_Qsci_QtGui->em_enums[22]

#define sipClass_QTextTableFormat             sipModuleAPI_Qsci_QtGui->em_types[36]
#define sipCast_QTextTableFormat              sipModuleAPI_Qsci_QtGui->em_types[36]->type->td_cast
#define sipForceConvertTo_QTextTableFormat    sipModuleAPI_Qsci_QtGui->em_types[36]->type->td_fcto

#define sipClass_QTextTableCellFormat             sipModuleAPI_Qsci_QtGui->em_types[40]
#define sipCast_QTextTableCellFormat              sipModuleAPI_Qsci_QtGui->em_types[40]->type->td_cast
#define sipForceConvertTo_QTextTableCellFormat    sipModuleAPI_Qsci_QtGui->em_types[40]->type->td_fcto

#define sipClass_QTextInlineObject             sipModuleAPI_Qsci_QtGui->em_types[32]
#define sipCast_QTextInlineObject              sipModuleAPI_Qsci_QtGui->em_types[32]->type->td_cast
#define sipForceConvertTo_QTextInlineObject    sipModuleAPI_Qsci_QtGui->em_types[32]->type->td_fcto

#define sipClass_QTextLayout             sipModuleAPI_Qsci_QtGui->em_types[30]
#define sipCast_QTextLayout              sipModuleAPI_Qsci_QtGui->em_types[30]->type->td_cast
#define sipForceConvertTo_QTextLayout    sipModuleAPI_Qsci_QtGui->em_types[30]->type->td_fcto

#define sipEnum_QTextLayout_CursorMode              sipModuleAPI_Qsci_QtGui->em_enums[20]

#define sipClass_QTextLayout_FormatRange             sipModuleAPI_Qsci_QtGui->em_types[31]
#define sipCast_QTextLayout_FormatRange              sipModuleAPI_Qsci_QtGui->em_types[31]->type->td_cast
#define sipForceConvertTo_QTextLayout_FormatRange    sipModuleAPI_Qsci_QtGui->em_types[31]->type->td_fcto

#define sipClass_QTextLine             sipModuleAPI_Qsci_QtGui->em_types[29]
#define sipCast_QTextLine              sipModuleAPI_Qsci_QtGui->em_types[29]->type->td_cast
#define sipForceConvertTo_QTextLine    sipModuleAPI_Qsci_QtGui->em_types[29]->type->td_fcto

#define sipEnum_QTextLine_CursorPosition              sipModuleAPI_Qsci_QtGui->em_enums[18]
#define sipEnum_QTextLine_Edge              sipModuleAPI_Qsci_QtGui->em_enums[19]

#define sipClass_QTextObject             sipModuleAPI_Qsci_QtGui->em_types[23]
#define sipCast_QTextObject              sipModuleAPI_Qsci_QtGui->em_types[23]->type->td_cast
#define sipForceConvertTo_QTextObject    sipModuleAPI_Qsci_QtGui->em_types[23]->type->td_fcto

#define sipClass_QTextBlockGroup             sipModuleAPI_Qsci_QtGui->em_types[27]
#define sipCast_QTextBlockGroup              sipModuleAPI_Qsci_QtGui->em_types[27]->type->td_cast
#define sipForceConvertTo_QTextBlockGroup    sipModuleAPI_Qsci_QtGui->em_types[27]->type->td_fcto

#define sipClass_QTextList             sipModuleAPI_Qsci_QtGui->em_types[28]
#define sipCast_QTextList              sipModuleAPI_Qsci_QtGui->em_types[28]->type->td_cast
#define sipForceConvertTo_QTextList    sipModuleAPI_Qsci_QtGui->em_types[28]->type->td_fcto

#define sipClass_QTextFrame             sipModuleAPI_Qsci_QtGui->em_types[24]
#define sipCast_QTextFrame              sipModuleAPI_Qsci_QtGui->em_types[24]->type->td_cast
#define sipForceConvertTo_QTextFrame    sipModuleAPI_Qsci_QtGui->em_types[24]->type->td_fcto

#define sipClass_QTextFrame_iterator             sipModuleAPI_Qsci_QtGui->em_types[25]
#define sipCast_QTextFrame_iterator              sipModuleAPI_Qsci_QtGui->em_types[25]->type->td_cast
#define sipForceConvertTo_QTextFrame_iterator    sipModuleAPI_Qsci_QtGui->em_types[25]->type->td_fcto

#define sipClass_QTextBlock             sipModuleAPI_Qsci_QtGui->em_types[21]
#define sipCast_QTextBlock              sipModuleAPI_Qsci_QtGui->em_types[21]->type->td_cast
#define sipForceConvertTo_QTextBlock    sipModuleAPI_Qsci_QtGui->em_types[21]->type->td_fcto

#define sipClass_QTextBlock_iterator             sipModuleAPI_Qsci_QtGui->em_types[22]
#define sipCast_QTextBlock_iterator              sipModuleAPI_Qsci_QtGui->em_types[22]->type->td_cast
#define sipForceConvertTo_QTextBlock_iterator    sipModuleAPI_Qsci_QtGui->em_types[22]->type->td_fcto

#define sipClass_QTextFragment             sipModuleAPI_Qsci_QtGui->em_types[20]
#define sipCast_QTextFragment              sipModuleAPI_Qsci_QtGui->em_types[20]->type->td_cast
#define sipForceConvertTo_QTextFragment    sipModuleAPI_Qsci_QtGui->em_types[20]->type->td_fcto

#define sipClass_QTextBlockUserData             sipModuleAPI_Qsci_QtGui->em_types[19]
#define sipCast_QTextBlockUserData              sipModuleAPI_Qsci_QtGui->em_types[19]->type->td_cast
#define sipForceConvertTo_QTextBlockUserData    sipModuleAPI_Qsci_QtGui->em_types[19]->type->td_fcto

#define sipClass_QTextOption             sipModuleAPI_Qsci_QtGui->em_types[16]
#define sipCast_QTextOption              sipModuleAPI_Qsci_QtGui->em_types[16]->type->td_cast
#define sipForceConvertTo_QTextOption    sipModuleAPI_Qsci_QtGui->em_types[16]->type->td_fcto

#define sipEnum_QTextOption_TabType              sipModuleAPI_Qsci_QtGui->em_enums[15]
#define sipEnum_QTextOption_Flag              sipModuleAPI_Qsci_QtGui->em_enums[16]
#define sipEnum_QTextOption_WrapMode              sipModuleAPI_Qsci_QtGui->em_enums[17]

#define sipClass_QTextOption_Flags             sipModuleAPI_Qsci_QtGui->em_types[18]
#define sipCast_QTextOption_Flags              sipModuleAPI_Qsci_QtGui->em_types[18]->type->td_cast
#define sipForceConvertTo_QTextOption_Flags    sipModuleAPI_Qsci_QtGui->em_types[18]->type->td_fcto

#define sipClass_QTextOption_Tab             sipModuleAPI_Qsci_QtGui->em_types[17]
#define sipCast_QTextOption_Tab              sipModuleAPI_Qsci_QtGui->em_types[17]->type->td_cast
#define sipForceConvertTo_QTextOption_Tab    sipModuleAPI_Qsci_QtGui->em_types[17]->type->td_fcto

#define sipClass_QTextTableCell             sipModuleAPI_Qsci_QtGui->em_types[15]
#define sipCast_QTextTableCell              sipModuleAPI_Qsci_QtGui->em_types[15]->type->td_cast
#define sipForceConvertTo_QTextTableCell    sipModuleAPI_Qsci_QtGui->em_types[15]->type->td_fcto

#define sipClass_QTextTable             sipModuleAPI_Qsci_QtGui->em_types[26]
#define sipCast_QTextTable              sipModuleAPI_Qsci_QtGui->em_types[26]->type->td_cast
#define sipForceConvertTo_QTextTable    sipModuleAPI_Qsci_QtGui->em_types[26]->type->td_fcto

#define sipClass_QToolBar             sipModuleAPI_Qsci_QtGui->em_types[259]
#define sipCast_QToolBar              sipModuleAPI_Qsci_QtGui->em_types[259]->type->td_cast
#define sipForceConvertTo_QToolBar    sipModuleAPI_Qsci_QtGui->em_types[259]->type->td_fcto

#define sipClass_QToolBox             sipModuleAPI_Qsci_QtGui->em_types[318]
#define sipCast_QToolBox              sipModuleAPI_Qsci_QtGui->em_types[318]->type->td_cast
#define sipForceConvertTo_QToolBox    sipModuleAPI_Qsci_QtGui->em_types[318]->type->td_fcto

#define sipClass_QToolButton             sipModuleAPI_Qsci_QtGui->em_types[347]
#define sipCast_QToolButton              sipModuleAPI_Qsci_QtGui->em_types[347]->type->td_cast
#define sipForceConvertTo_QToolButton    sipModuleAPI_Qsci_QtGui->em_types[347]->type->td_fcto

#define sipEnum_QToolButton_ToolButtonPopupMode              sipModuleAPI_Qsci_QtGui->em_enums[14]

#define sipClass_QToolTip             sipModuleAPI_Qsci_QtGui->em_types[14]
#define sipCast_QToolTip              sipModuleAPI_Qsci_QtGui->em_types[14]->type->td_cast
#define sipForceConvertTo_QToolTip    sipModuleAPI_Qsci_QtGui->em_types[14]->type->td_fcto

#define sipClass_QTransform             sipModuleAPI_Qsci_QtGui->em_types[13]
#define sipCast_QTransform              sipModuleAPI_Qsci_QtGui->em_types[13]->type->td_cast
#define sipForceConvertTo_QTransform    sipModuleAPI_Qsci_QtGui->em_types[13]->type->td_fcto

#define sipEnum_QTransform_TransformationType              sipModuleAPI_Qsci_QtGui->em_enums[13]

#define sipClass_QTreeView             sipModuleAPI_Qsci_QtGui->em_types[337]
#define sipCast_QTreeView              sipModuleAPI_Qsci_QtGui->em_types[337]->type->td_cast
#define sipForceConvertTo_QTreeView    sipModuleAPI_Qsci_QtGui->em_types[337]->type->td_fcto

#define sipClass_QTreeWidgetItem             sipModuleAPI_Qsci_QtGui->em_types[12]
#define sipCast_QTreeWidgetItem              sipModuleAPI_Qsci_QtGui->em_types[12]->type->td_cast
#define sipForceConvertTo_QTreeWidgetItem    sipModuleAPI_Qsci_QtGui->em_types[12]->type->td_fcto

#define sipEnum_QTreeWidgetItem_ChildIndicatorPolicy              sipModuleAPI_Qsci_QtGui->em_enums[11]
#define sipEnum_QTreeWidgetItem_ItemType              sipModuleAPI_Qsci_QtGui->em_enums[12]

#define sipClass_QTreeWidget             sipModuleAPI_Qsci_QtGui->em_types[338]
#define sipCast_QTreeWidget              sipModuleAPI_Qsci_QtGui->em_types[338]->type->td_cast
#define sipForceConvertTo_QTreeWidget    sipModuleAPI_Qsci_QtGui->em_types[338]->type->td_fcto

#define sipClass_QTreeWidgetItemIterator             sipModuleAPI_Qsci_QtGui->em_types[10]
#define sipCast_QTreeWidgetItemIterator              sipModuleAPI_Qsci_QtGui->em_types[10]->type->td_cast
#define sipForceConvertTo_QTreeWidgetItemIterator    sipModuleAPI_Qsci_QtGui->em_types[10]->type->td_fcto

#define sipEnum_QTreeWidgetItemIterator_IteratorFlag              sipModuleAPI_Qsci_QtGui->em_enums[10]

#define sipClass_QTreeWidgetItemIterator_IteratorFlags             sipModuleAPI_Qsci_QtGui->em_types[11]
#define sipCast_QTreeWidgetItemIterator_IteratorFlags              sipModuleAPI_Qsci_QtGui->em_types[11]->type->td_cast
#define sipForceConvertTo_QTreeWidgetItemIterator_IteratorFlags    sipModuleAPI_Qsci_QtGui->em_types[11]->type->td_fcto

#define sipClass_QUndoGroup             sipModuleAPI_Qsci_QtGui->em_types[9]
#define sipCast_QUndoGroup              sipModuleAPI_Qsci_QtGui->em_types[9]->type->td_cast
#define sipForceConvertTo_QUndoGroup    sipModuleAPI_Qsci_QtGui->em_types[9]->type->td_fcto

#define sipClass_QUndoCommand             sipModuleAPI_Qsci_QtGui->em_types[8]
#define sipCast_QUndoCommand              sipModuleAPI_Qsci_QtGui->em_types[8]->type->td_cast
#define sipForceConvertTo_QUndoCommand    sipModuleAPI_Qsci_QtGui->em_types[8]->type->td_fcto

#define sipClass_QUndoStack             sipModuleAPI_Qsci_QtGui->em_types[7]
#define sipCast_QUndoStack              sipModuleAPI_Qsci_QtGui->em_types[7]->type->td_cast
#define sipForceConvertTo_QUndoStack    sipModuleAPI_Qsci_QtGui->em_types[7]->type->td_fcto

#define sipClass_QUndoView             sipModuleAPI_Qsci_QtGui->em_types[342]
#define sipCast_QUndoView              sipModuleAPI_Qsci_QtGui->em_types[342]->type->td_cast
#define sipForceConvertTo_QUndoView    sipModuleAPI_Qsci_QtGui->em_types[342]->type->td_fcto

#define sipClass_QValidator             sipModuleAPI_Qsci_QtGui->em_types[3]
#define sipCast_QValidator              sipModuleAPI_Qsci_QtGui->em_types[3]->type->td_cast
#define sipForceConvertTo_QValidator    sipModuleAPI_Qsci_QtGui->em_types[3]->type->td_fcto

#define sipEnum_QValidator_State              sipModuleAPI_Qsci_QtGui->em_enums[9]

#define sipClass_QIntValidator             sipModuleAPI_Qsci_QtGui->em_types[6]
#define sipCast_QIntValidator              sipModuleAPI_Qsci_QtGui->em_types[6]->type->td_cast
#define sipForceConvertTo_QIntValidator    sipModuleAPI_Qsci_QtGui->em_types[6]->type->td_fcto

#define sipClass_QDoubleValidator             sipModuleAPI_Qsci_QtGui->em_types[5]
#define sipCast_QDoubleValidator              sipModuleAPI_Qsci_QtGui->em_types[5]->type->td_cast
#define sipForceConvertTo_QDoubleValidator    sipModuleAPI_Qsci_QtGui->em_types[5]->type->td_fcto

#define sipEnum_QDoubleValidator_Notation              sipModuleAPI_Qsci_QtGui->em_enums[8]

#define sipClass_QRegExpValidator             sipModuleAPI_Qsci_QtGui->em_types[4]
#define sipCast_QRegExpValidator              sipModuleAPI_Qsci_QtGui->em_types[4]->type->td_cast
#define sipForceConvertTo_QRegExpValidator    sipModuleAPI_Qsci_QtGui->em_types[4]->type->td_fcto

#define sipClass_QWhatsThis             sipModuleAPI_Qsci_QtGui->em_types[2]
#define sipCast_QWhatsThis              sipModuleAPI_Qsci_QtGui->em_types[2]->type->td_cast
#define sipForceConvertTo_QWhatsThis    sipModuleAPI_Qsci_QtGui->em_types[2]->type->td_fcto

#define sipClass_QWidget_RenderFlags             sipModuleAPI_Qsci_QtGui->em_types[254]
#define sipCast_QWidget_RenderFlags              sipModuleAPI_Qsci_QtGui->em_types[254]->type->td_cast
#define sipForceConvertTo_QWidget_RenderFlags    sipModuleAPI_Qsci_QtGui->em_types[254]->type->td_fcto

#define sipClass_QWidgetAction             sipModuleAPI_Qsci_QtGui->em_types[237]
#define sipCast_QWidgetAction              sipModuleAPI_Qsci_QtGui->em_types[237]->type->td_cast
#define sipForceConvertTo_QWidgetAction    sipModuleAPI_Qsci_QtGui->em_types[237]->type->td_fcto

#define sipClass_QWizard             sipModuleAPI_Qsci_QtGui->em_types[300]
#define sipCast_QWizard              sipModuleAPI_Qsci_QtGui->em_types[300]->type->td_cast
#define sipForceConvertTo_QWizard    sipModuleAPI_Qsci_QtGui->em_types[300]->type->td_fcto

#define sipEnum_QWizard_WizardOption              sipModuleAPI_Qsci_QtGui->em_enums[3]
#define sipEnum_QWizard_WizardStyle              sipModuleAPI_Qsci_QtGui->em_enums[4]
#define sipEnum_QWizard_WizardPixmap              sipModuleAPI_Qsci_QtGui->em_enums[5]
#define sipEnum_QWizard_WizardButton              sipModuleAPI_Qsci_QtGui->em_enums[6]

#define sipClass_QWizard_WizardOptions             sipModuleAPI_Qsci_QtGui->em_types[301]
#define sipCast_QWizard_WizardOptions              sipModuleAPI_Qsci_QtGui->em_types[301]->type->td_cast
#define sipForceConvertTo_QWizard_WizardOptions    sipModuleAPI_Qsci_QtGui->em_types[301]->type->td_fcto

#define sipClass_QWizardPage             sipModuleAPI_Qsci_QtGui->em_types[258]
#define sipCast_QWizardPage              sipModuleAPI_Qsci_QtGui->em_types[258]->type->td_cast
#define sipForceConvertTo_QWizardPage    sipModuleAPI_Qsci_QtGui->em_types[258]->type->td_fcto

#define sipClass_QWorkspace             sipModuleAPI_Qsci_QtGui->em_types[257]
#define sipCast_QWorkspace              sipModuleAPI_Qsci_QtGui->em_types[257]->type->td_cast
#define sipForceConvertTo_QWorkspace    sipModuleAPI_Qsci_QtGui->em_types[257]->type->td_fcto

#define sipEnum_QWorkspace_WindowOrder              sipModuleAPI_Qsci_QtGui->em_enums[2]

#define sipClass_QX11EmbedWidget             sipModuleAPI_Qsci_QtGui->em_types[256]
#define sipCast_QX11EmbedWidget              sipModuleAPI_Qsci_QtGui->em_types[256]->type->td_cast
#define sipForceConvertTo_QX11EmbedWidget    sipModuleAPI_Qsci_QtGui->em_types[256]->type->td_fcto

#define sipEnum_QX11EmbedWidget_Error              sipModuleAPI_Qsci_QtGui->em_enums[1]

#define sipClass_QX11EmbedContainer             sipModuleAPI_Qsci_QtGui->em_types[255]
#define sipCast_QX11EmbedContainer              sipModuleAPI_Qsci_QtGui->em_types[255]->type->td_cast
#define sipForceConvertTo_QX11EmbedContainer    sipModuleAPI_Qsci_QtGui->em_types[255]->type->td_fcto

#define sipEnum_QX11EmbedContainer_Error              sipModuleAPI_Qsci_QtGui->em_enums[0]

#define sipClass_Display             sipModuleAPI_Qsci_QtGui->em_types[1]
#define sipCast_Display              sipModuleAPI_Qsci_QtGui->em_types[1]->type->td_cast
#define sipForceConvertTo_Display    sipModuleAPI_Qsci_QtGui->em_types[1]->type->td_fcto

#define sipClass_QX11Info             sipModuleAPI_Qsci_QtGui->em_types[0]
#define sipCast_QX11Info              sipModuleAPI_Qsci_QtGui->em_types[0]->type->td_cast
#define sipForceConvertTo_QX11Info    sipModuleAPI_Qsci_QtGui->em_types[0]->type->td_fcto

#define sipMappedType_QList_0201QUndoStack        sipModuleAPI_Qsci_QtGui->em_mappedtypes[0]
#define sipForceConvertTo_QList_0201QUndoStack    sipModuleAPI_Qsci_QtGui->em_mappedtypes[0]->mt_fcto
#define sipConvertFrom_QList_0201QUndoStack       sipModuleAPI_Qsci_QtGui->em_mappedtypes[0]->mt_cfrom

#define sipMappedType_QList_0201QTreeWidgetItem        sipModuleAPI_Qsci_QtGui->em_mappedtypes[1]
#define sipForceConvertTo_QList_0201QTreeWidgetItem    sipModuleAPI_Qsci_QtGui->em_mappedtypes[1]->mt_fcto
#define sipConvertFrom_QList_0201QTreeWidgetItem       sipModuleAPI_Qsci_QtGui->em_mappedtypes[1]->mt_cfrom

#define sipMappedType_QList_0201QTextFrame        sipModuleAPI_Qsci_QtGui->em_mappedtypes[2]
#define sipForceConvertTo_QList_0201QTextFrame    sipModuleAPI_Qsci_QtGui->em_mappedtypes[2]->mt_fcto
#define sipConvertFrom_QList_0201QTextFrame       sipModuleAPI_Qsci_QtGui->em_mappedtypes[2]->mt_cfrom

#define sipMappedType_QList_0200QTextBlock        sipModuleAPI_Qsci_QtGui->em_mappedtypes[3]
#define sipForceConvertTo_QList_0200QTextBlock    sipModuleAPI_Qsci_QtGui->em_mappedtypes[3]->mt_fcto
#define sipConvertFrom_QList_0200QTextBlock       sipModuleAPI_Qsci_QtGui->em_mappedtypes[3]->mt_cfrom

#define sipMappedType_QVector_0200QTextLayout_FormatRange        sipModuleAPI_Qsci_QtGui->em_mappedtypes[4]
#define sipForceConvertTo_QVector_0200QTextLayout_FormatRange    sipModuleAPI_Qsci_QtGui->em_mappedtypes[4]->mt_fcto
#define sipConvertFrom_QVector_0200QTextLayout_FormatRange       sipModuleAPI_Qsci_QtGui->em_mappedtypes[4]->mt_cfrom

#define sipMappedType_QList_0200QTextLayout_FormatRange        sipModuleAPI_Qsci_QtGui->em_mappedtypes[5]
#define sipForceConvertTo_QList_0200QTextLayout_FormatRange    sipModuleAPI_Qsci_QtGui->em_mappedtypes[5]->mt_fcto
#define sipConvertFrom_QList_0200QTextLayout_FormatRange       sipModuleAPI_Qsci_QtGui->em_mappedtypes[5]->mt_cfrom

#define sipMappedType_QList_0200QTextOption_Tab        sipModuleAPI_Qsci_QtGui->em_mappedtypes[6]
#define sipForceConvertTo_QList_0200QTextOption_Tab    sipModuleAPI_Qsci_QtGui->em_mappedtypes[6]->mt_fcto
#define sipConvertFrom_QList_0200QTextOption_Tab       sipModuleAPI_Qsci_QtGui->em_mappedtypes[6]->mt_cfrom

#define sipMappedType_QVector_0200QTextLength        sipModuleAPI_Qsci_QtGui->em_mappedtypes[7]
#define sipForceConvertTo_QVector_0200QTextLength    sipModuleAPI_Qsci_QtGui->em_mappedtypes[7]->mt_fcto
#define sipConvertFrom_QVector_0200QTextLength       sipModuleAPI_Qsci_QtGui->em_mappedtypes[7]->mt_cfrom

#define sipMappedType_QVector_0200QTextFormat        sipModuleAPI_Qsci_QtGui->em_mappedtypes[8]
#define sipForceConvertTo_QVector_0200QTextFormat    sipModuleAPI_Qsci_QtGui->em_mappedtypes[8]->mt_fcto
#define sipConvertFrom_QVector_0200QTextFormat       sipModuleAPI_Qsci_QtGui->em_mappedtypes[8]->mt_cfrom

#define sipMappedType_QList_0201QTableWidgetItem        sipModuleAPI_Qsci_QtGui->em_mappedtypes[9]
#define sipForceConvertTo_QList_0201QTableWidgetItem    sipModuleAPI_Qsci_QtGui->em_mappedtypes[9]->mt_fcto
#define sipConvertFrom_QList_0201QTableWidgetItem       sipModuleAPI_Qsci_QtGui->em_mappedtypes[9]->mt_cfrom

#define sipMappedType_QList_0200QTableWidgetSelectionRange        sipModuleAPI_Qsci_QtGui->em_mappedtypes[10]
#define sipForceConvertTo_QList_0200QTableWidgetSelectionRange    sipModuleAPI_Qsci_QtGui->em_mappedtypes[10]->mt_fcto
#define sipConvertFrom_QList_0200QTableWidgetSelectionRange       sipModuleAPI_Qsci_QtGui->em_mappedtypes[10]->mt_cfrom

#define sipMappedType_QList_0201QStandardItem        sipModuleAPI_Qsci_QtGui->em_mappedtypes[11]
#define sipForceConvertTo_QList_0201QStandardItem    sipModuleAPI_Qsci_QtGui->em_mappedtypes[11]->mt_fcto
#define sipConvertFrom_QList_0201QStandardItem       sipModuleAPI_Qsci_QtGui->em_mappedtypes[11]->mt_cfrom

#define sipMappedType_QList_0200QPrinterInfo        sipModuleAPI_Qsci_QtGui->em_mappedtypes[12]
#define sipForceConvertTo_QList_0200QPrinterInfo    sipModuleAPI_Qsci_QtGui->em_mappedtypes[12]->mt_fcto
#define sipConvertFrom_QList_0200QPrinterInfo       sipModuleAPI_Qsci_QtGui->em_mappedtypes[12]->mt_cfrom

#define sipMappedType_QList_0200QTextEdit_ExtraSelection        sipModuleAPI_Qsci_QtGui->em_mappedtypes[13]
#define sipForceConvertTo_QList_0200QTextEdit_ExtraSelection    sipModuleAPI_Qsci_QtGui->em_mappedtypes[13]->mt_fcto
#define sipConvertFrom_QList_0200QTextEdit_ExtraSelection       sipModuleAPI_Qsci_QtGui->em_mappedtypes[13]->mt_cfrom

#define sipMappedType_QList_0200QPolygonF        sipModuleAPI_Qsci_QtGui->em_mappedtypes[14]
#define sipForceConvertTo_QList_0200QPolygonF    sipModuleAPI_Qsci_QtGui->em_mappedtypes[14]->mt_fcto
#define sipConvertFrom_QList_0200QPolygonF       sipModuleAPI_Qsci_QtGui->em_mappedtypes[14]->mt_cfrom

#define sipMappedType_QVector_0200QRect        sipModuleAPI_Qsci_QtGui->em_mappedtypes[15]
#define sipForceConvertTo_QVector_0200QRect    sipModuleAPI_Qsci_QtGui->em_mappedtypes[15]->mt_fcto
#define sipConvertFrom_QVector_0200QRect       sipModuleAPI_Qsci_QtGui->em_mappedtypes[15]->mt_cfrom

#define sipMappedType_QVector_0200QRectF        sipModuleAPI_Qsci_QtGui->em_mappedtypes[16]
#define sipForceConvertTo_QVector_0200QRectF    sipModuleAPI_Qsci_QtGui->em_mappedtypes[16]->mt_fcto
#define sipConvertFrom_QVector_0200QRectF       sipModuleAPI_Qsci_QtGui->em_mappedtypes[16]->mt_cfrom

#define sipMappedType_QVector_0200QPoint        sipModuleAPI_Qsci_QtGui->em_mappedtypes[17]
#define sipForceConvertTo_QVector_0200QPoint    sipModuleAPI_Qsci_QtGui->em_mappedtypes[17]->mt_fcto
#define sipConvertFrom_QVector_0200QPoint       sipModuleAPI_Qsci_QtGui->em_mappedtypes[17]->mt_cfrom

#define sipMappedType_QVector_0200QLine        sipModuleAPI_Qsci_QtGui->em_mappedtypes[18]
#define sipForceConvertTo_QVector_0200QLine    sipModuleAPI_Qsci_QtGui->em_mappedtypes[18]->mt_fcto
#define sipConvertFrom_QVector_0200QLine       sipModuleAPI_Qsci_QtGui->em_mappedtypes[18]->mt_cfrom

#define sipMappedType_QVector_0200QPointF        sipModuleAPI_Qsci_QtGui->em_mappedtypes[19]
#define sipForceConvertTo_QVector_0200QPointF    sipModuleAPI_Qsci_QtGui->em_mappedtypes[19]->mt_fcto
#define sipConvertFrom_QVector_0200QPointF       sipModuleAPI_Qsci_QtGui->em_mappedtypes[19]->mt_cfrom

#define sipMappedType_QVector_0200QLineF        sipModuleAPI_Qsci_QtGui->em_mappedtypes[20]
#define sipForceConvertTo_QVector_0200QLineF    sipModuleAPI_Qsci_QtGui->em_mappedtypes[20]->mt_fcto
#define sipConvertFrom_QVector_0200QLineF       sipModuleAPI_Qsci_QtGui->em_mappedtypes[20]->mt_cfrom

#define sipMappedType_QList_0201QMdiSubWindow        sipModuleAPI_Qsci_QtGui->em_mappedtypes[21]
#define sipForceConvertTo_QList_0201QMdiSubWindow    sipModuleAPI_Qsci_QtGui->em_mappedtypes[21]->mt_fcto
#define sipConvertFrom_QList_0201QMdiSubWindow       sipModuleAPI_Qsci_QtGui->em_mappedtypes[21]->mt_cfrom

#define sipMappedType_QList_0201QListWidgetItem        sipModuleAPI_Qsci_QtGui->em_mappedtypes[22]
#define sipForceConvertTo_QList_0201QListWidgetItem    sipModuleAPI_Qsci_QtGui->em_mappedtypes[22]->mt_fcto
#define sipConvertFrom_QList_0201QListWidgetItem       sipModuleAPI_Qsci_QtGui->em_mappedtypes[22]->mt_cfrom

#define sipMappedType_QList_0200QRectF        sipModuleAPI_Qsci_QtGui->em_mappedtypes[23]
#define sipForceConvertTo_QList_0200QRectF    sipModuleAPI_Qsci_QtGui->em_mappedtypes[23]->mt_fcto
#define sipConvertFrom_QList_0200QRectF       sipModuleAPI_Qsci_QtGui->em_mappedtypes[23]->mt_cfrom

#define sipMappedType_QList_0201QGraphicsView        sipModuleAPI_Qsci_QtGui->em_mappedtypes[24]
#define sipForceConvertTo_QList_0201QGraphicsView    sipModuleAPI_Qsci_QtGui->em_mappedtypes[24]->mt_fcto
#define sipConvertFrom_QList_0201QGraphicsView       sipModuleAPI_Qsci_QtGui->em_mappedtypes[24]->mt_cfrom

#define sipMappedType_QList_0600QPair_2400_0100QPointF        sipModuleAPI_Qsci_QtGui->em_mappedtypes[25]
#define sipForceConvertTo_QList_0600QPair_2400_0100QPointF    sipModuleAPI_Qsci_QtGui->em_mappedtypes[25]->mt_fcto
#define sipConvertFrom_QList_0600QPair_2400_0100QPointF       sipModuleAPI_Qsci_QtGui->em_mappedtypes[25]->mt_cfrom

#define sipMappedType_QList_0201QGraphicsItem        sipModuleAPI_Qsci_QtGui->em_mappedtypes[26]
#define sipForceConvertTo_QList_0201QGraphicsItem    sipModuleAPI_Qsci_QtGui->em_mappedtypes[26]->mt_fcto
#define sipConvertFrom_QList_0201QGraphicsItem       sipModuleAPI_Qsci_QtGui->em_mappedtypes[26]->mt_cfrom

#define sipMappedType_QList_0200QInputMethodEvent_Attribute        sipModuleAPI_Qsci_QtGui->em_mappedtypes[27]
#define sipForceConvertTo_QList_0200QInputMethodEvent_Attribute    sipModuleAPI_Qsci_QtGui->em_mappedtypes[27]->mt_fcto
#define sipConvertFrom_QList_0200QInputMethodEvent_Attribute       sipModuleAPI_Qsci_QtGui->em_mappedtypes[27]->mt_cfrom

#define sipMappedType_QMap_0200QDate_0200QTextCharFormat        sipModuleAPI_Qsci_QtGui->em_mappedtypes[28]
#define sipForceConvertTo_QMap_0200QDate_0200QTextCharFormat    sipModuleAPI_Qsci_QtGui->em_mappedtypes[28]->mt_fcto
#define sipConvertFrom_QMap_0200QDate_0200QTextCharFormat       sipModuleAPI_Qsci_QtGui->em_mappedtypes[28]->mt_cfrom

#define sipMappedType_QList_0201QAbstractButton        sipModuleAPI_Qsci_QtGui->em_mappedtypes[29]
#define sipForceConvertTo_QList_0201QAbstractButton    sipModuleAPI_Qsci_QtGui->em_mappedtypes[29]->mt_fcto
#define sipConvertFrom_QList_0201QAbstractButton       sipModuleAPI_Qsci_QtGui->em_mappedtypes[29]->mt_cfrom

#define sipMappedType_QList_0200QKeySequence        sipModuleAPI_Qsci_QtGui->em_mappedtypes[30]
#define sipForceConvertTo_QList_0200QKeySequence    sipModuleAPI_Qsci_QtGui->em_mappedtypes[30]->mt_fcto
#define sipConvertFrom_QList_0200QKeySequence       sipModuleAPI_Qsci_QtGui->em_mappedtypes[30]->mt_cfrom

#define sipMappedType_QList_0201QAction        sipModuleAPI_Qsci_QtGui->em_mappedtypes[31]
#define sipForceConvertTo_QList_0201QAction    sipModuleAPI_Qsci_QtGui->em_mappedtypes[31]->mt_fcto
#define sipConvertFrom_QList_0201QAction       sipModuleAPI_Qsci_QtGui->em_mappedtypes[31]->mt_cfrom

#define sipMappedType_QVector_0200QAbstractTextDocumentLayout_Selection        sipModuleAPI_Qsci_QtGui->em_mappedtypes[32]
#define sipForceConvertTo_QVector_0200QAbstractTextDocumentLayout_Selection    sipModuleAPI_Qsci_QtGui->em_mappedtypes[32]->mt_fcto
#define sipConvertFrom_QVector_0200QAbstractTextDocumentLayout_Selection       sipModuleAPI_Qsci_QtGui->em_mappedtypes[32]->mt_cfrom

#define sipMappedType_QVector_0600QPair_2400_0100QColor        sipModuleAPI_Qsci_QtGui->em_mappedtypes[33]
#define sipForceConvertTo_QVector_0600QPair_2400_0100QColor    sipModuleAPI_Qsci_QtGui->em_mappedtypes[33]->mt_fcto
#define sipConvertFrom_QVector_0600QPair_2400_0100QColor       sipModuleAPI_Qsci_QtGui->em_mappedtypes[33]->mt_cfrom

#define sipMappedType_QList_0201QWidget        sipModuleAPI_Qsci_QtGui->em_mappedtypes[34]
#define sipForceConvertTo_QList_0201QWidget    sipModuleAPI_Qsci_QtGui->em_mappedtypes[34]->mt_fcto
#define sipConvertFrom_QList_0201QWidget       sipModuleAPI_Qsci_QtGui->em_mappedtypes[34]->mt_cfrom

#define sipMappedType_QList_0500QWizard_WizardButton        sipModuleAPI_Qsci_QtGui->em_mappedtypes[35]
#define sipForceConvertTo_QList_0500QWizard_WizardButton    sipModuleAPI_Qsci_QtGui->em_mappedtypes[35]->mt_fcto
#define sipConvertFrom_QList_0500QWizard_WizardButton       sipModuleAPI_Qsci_QtGui->em_mappedtypes[35]->mt_cfrom

#define sipMappedType_QList_0500QPrinter_PageSize        sipModuleAPI_Qsci_QtGui->em_mappedtypes[36]
#define sipForceConvertTo_QList_0500QPrinter_PageSize    sipModuleAPI_Qsci_QtGui->em_mappedtypes[36]->mt_fcto
#define sipConvertFrom_QList_0500QPrinter_PageSize       sipModuleAPI_Qsci_QtGui->em_mappedtypes[36]->mt_cfrom

#define sipMappedType_QList_0500QFontDatabase_WritingSystem        sipModuleAPI_Qsci_QtGui->em_mappedtypes[37]
#define sipForceConvertTo_QList_0500QFontDatabase_WritingSystem    sipModuleAPI_Qsci_QtGui->em_mappedtypes[37]->mt_fcto
#define sipConvertFrom_QList_0500QFontDatabase_WritingSystem       sipModuleAPI_Qsci_QtGui->em_mappedtypes[37]->mt_cfrom

#define sipMappedType_XEvent        sipModuleAPI_Qsci_QtGui->em_mappedtypes[38]
#define sipForceConvertTo_XEvent    sipModuleAPI_Qsci_QtGui->em_mappedtypes[38]->mt_fcto
#define sipConvertFrom_XEvent       sipModuleAPI_Qsci_QtGui->em_mappedtypes[38]->mt_cfrom
extern const sipExportedModuleDef *sipModuleAPI_Qsci_QtGui;

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipWrapper *,sipWrapperType *,const QMetaObject *);
extern sip_qt_metaobject_func sip_Qsci_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipWrapper *,sipWrapperType *,QMetaObject::Call,int,void **);
extern sip_qt_metacall_func sip_Qsci_qt_metacall;

typedef int (*sip_qt_metacast_func)(sipWrapper *,sipWrapperType *,const char *);
extern sip_qt_metacast_func sip_Qsci_qt_metacast;

#endif
